commit d73cd49799444f9045d44a414c7b35f129844504
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Sep 21 06:10:10 2015 -0400

    2.46.0

 NEWS         | 16 ++++++++++++++++
 configure.ac |  4 ++--
 2 files changed, 18 insertions(+), 2 deletions(-)

commit 3ffed912c19c5c24b7302d2ff12f82a6167f1c30
Author: Xavier Claessens <xavier.claessens@collabora.com>
Date:   Tue Sep 15 16:50:37 2015 -0400

    doc: small clarification in g_autoptr()

    https://bugzilla.gnome.org/show_bug.cgi?id=755077

 glib/docs.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 8297ea8badef5ae5bdeab85b74780fd70de60247
Author: Matthew Waters <matthew@centricular.com>
Date:   Thu Sep 17 20:38:10 2015 +1000

    win32: fix incorrect specifier

    error: format ‘%u’ expects argument of type ‘unsigned int’,
    but argument 4 has
       type ‘gsize {aka long long unsigned int}’ [-Werror=format=]

    https://bugzilla.gnome.org/show_bug.cgi?id=755154

 gio/gwin32appinfo.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 2bc094264b334b8afdbdc1cf35ff5265f0ac3415
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Sep 21 06:27:07 2015 -0400

    Documentation fixups

    Various parameter fixups and symbol list additions.

 docs/reference/gio/gio-sections.txt   |  4 +++-
 docs/reference/glib/glib-sections.txt |  1 +
 gio/gnativesocketaddress.c            |  6 +++---
 gio/gwin32registrykey.c               | 20 +++++++++----------
 glib/gasyncqueue.c                    | 36
 +++++++++++++++++------------------
 5 files changed, 35 insertions(+), 32 deletions(-)

commit 3ad2ef7510b036758d5aa928a6a0a1ac5c29c591
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:   Sun Sep 20 20:20:37 2015 +0200

    Updated Danish translation

 po/da.po | 864
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 443 insertions(+), 421 deletions(-)

commit b1af57256721fa0198b63585d3bf26265a8736dd
Author: Rafael Fontenelle <rffontenelle@gmail.com>
Date:   Sun Sep 20 14:32:13 2015 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 1465
 ++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 791 insertions(+), 674 deletions(-)

commit 1dc70d703e925bf441a12961223c4cb6d1e376bd
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Fri Sep 18 22:29:37 2015 +0300

    Updated Latvian translation

 po/lv.po | 1102
 +++++++++++++++++++++++++++-----------------------------------
 1 file changed, 477 insertions(+), 625 deletions(-)

commit 9d859934c5d097bc23578237d01324eb9b30c0f4
Author: Bernd Homuth <dev@hmt.im>
Date:   Thu Sep 17 15:36:28 2015 +0000

    Updated German translation

 po/de.po | 964
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 494 insertions(+), 470 deletions(-)

commit f1599649e55a52a8e331ee282ac4c5a03432cb43
Author: Stas Solovey <whats_up@tut.by>
Date:   Thu Sep 17 11:31:28 2015 +0000

    Updated Russian translation

 po/ru.po | 863
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 446 insertions(+), 417 deletions(-)

commit ea93847a7d6f341c8ed53733c78b8f38f9567bc4
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Sep 17 09:15:27 2015 +0800

    MSVC Build: Make Re-use Comment of Autotools Module Clearer

 build/Makefile.msvcproj | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit 9fe1c1b3e7a8d680e15d861c1ef224f4b7a2ebad
Author: Muhammet Kara <muhammetk@gmail.com>
Date:   Wed Sep 16 18:51:44 2015 +0000

    Updated Turkish translation

 po/tr.po | 376
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 194 insertions(+), 182 deletions(-)

commit 58eae7782acbbebb2d6793d4087b6e0a8f61e818
Author: Benjamin Otte <otte@redhat.com>
Date:   Wed Sep 16 18:44:48 2015 +0200

    tests: Do last commit's fix for enums, too

    We don't want to treat enums as ints but as ints.

 gobject/tests/signals.c | 25 +++++++++++++++++--------
 1 file changed, 17 insertions(+), 8 deletions(-)

commit 605ff1efe76ee26695077b08b96f222cef96efb2
Author: Benjamin Otte <otte@redhat.com>
Date:   Wed Sep 16 18:17:04 2015 +0200

    tests: Make testcase not pass 0 as a flags value

    This will not catch the case where we fail in libffi and always use 0.
    In fact, be a real annoying person and use (1 << 31) as a flags
    value to
    test signedness, too.

    Also update the testcase to actually use flags everywhere and ot uint.

    https://bugzilla.gnome.org/show_bug.cgi?id=754882

 gobject/tests/signals.c | 29 ++++++++++++++++++++++-------
 1 file changed, 22 insertions(+), 7 deletions(-)

commit 7b685eab8821686821c38e398536b0842b0ed131
Author: Ray Strode <rstrode@redhat.com>
Date:   Wed Sep 16 18:01:04 2015 +0200

    ffi: Marshal flags like enums

    Flags are enums.
    Fixes broken marshalling on BE 64bit architectures.

    https://bugzilla.gnome.org/show_bug.cgi?id=754882

 gobject/gclosure.c | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 846e206146c2f0b6b5321d245004d262c7d585a3
Author: Murray Cumming <murrayc@murrayc.com>
Date:   Wed Sep 16 14:30:29 2015 +0200

    GListModel docs: It's get_n_items(), not get_length().

 gio/glistmodel.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3bd1618ea955f950f87bc4e452029c5f0cea35aa
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Sep 14 18:42:12 2015 -0400

    Disable deprecation warnings for the stable release again

    Keeping these enabled causes too many people to file
    bugs against gobject, and not enough people to send
    patches to port away from deprecated properties.

 gobject/gobject.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5475be0c1053df95ac560a94b918445411b3639e
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Sep 14 08:42:18 2015 -0400

    2.45.8

 NEWS | 1 +
 1 file changed, 1 insertion(+)

commit 4c938c246cf3da8db16a2d9cda7209f1d72e37ee
Author: Fran Dieguez <fran@openhost.es>
Date:   Mon Sep 14 16:49:57 2015 +0200

    Updated Galician translations

 po/gl.po | 935
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 478 insertions(+), 457 deletions(-)

commit 69002f726d597c613223ad0ea8e6262b73842f1b
Author: Alexander Larsson <alexl@redhat.com>
Date:   Mon Sep 14 13:15:51 2015 +0200

    signal: return TRUE from g_signal_has_handler_pending for custom
    class closure

    This is almost always what you want, because if you're using this you
    want to know if any "custom code" (i.e. not the default class closure)
    is going to be run if you emit this signal.

    I looked at all the existing uses of this and they were all broken
    in the
    presence of g_signal_override_class_closure().

    https://bugzilla.gnome.org/show_bug.cgi?id=754986

 gobject/gsignal.c | 33 ++++++++++++++++++++++-----------
 1 file changed, 22 insertions(+), 11 deletions(-)

commit 2e96668f245dba66c3ceedfea7a8ecc565a018e7
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Sep 13 22:44:29 2015 -0400

    Updates

 NEWS | 33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)

commit a7b2b5686aea1199e3cdea7d1c743e087a1e5b1d
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Sep 13 13:37:10 2015 -0400

    Fix make check

    I forgot to add the include to make I_() known in gdbusdaemon.c

 gio/gdbusdaemon.c | 1 +
 1 file changed, 1 insertion(+)

commit 67c5bbaf03c95df198b2828d5dbf51b010721f11
Author: Mikhail Zabaluev <mikhail.zabaluev@gmail.com>
Date:   Sat Sep 12 12:13:10 2015 +0300

    glib/tests/utf8-validate: test known-length case along with
    null-terminated

    For all test cases where the text length is given as -1, also
    call g_utf8_validate() with the actual string length to exercise
    the known-length case. Unknown-length and known-length validation
    use different code paths, but most of the tests only exercised with
    unknown-length parameter.

    https://bugzilla.gnome.org/show_bug.cgi?id=754924

 glib/tests/utf8-validate.c | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 8ab28b448bfc852b61c515c6fe230f23a5c1298b
Author: Mikhail Zabaluev <mikhail.zabaluev@gmail.com>
Date:   Sat Sep 12 11:38:04 2015 +0300

    glib/tests/utf8-validate: add another test for invalid continuation
    bytes

    This would have caught the regression committed in the course of
    bug #738504.

 glib/tests/utf8-validate.c | 1 +
 1 file changed, 1 insertion(+)

commit d1f4d4a91a5274a33a0aee0748851bce7fbffa23
Author: Mikhail Zabaluev <mikhail.zabaluev@gmail.com>
Date:   Sat Sep 12 11:06:53 2015 +0300

    g_utf8_validate: fix a regression

    A recent change permitted some characters from range 0x80-0xbf as
    would-be valid sequence starters for length 2, as long as
    continuation characters were OK.

    https://bugzilla.gnome.org/show_bug.cgi?id=738504

 glib/gutf8.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a51a877d2739239e2ab7c72a60a5ecc27ba772f3
Author: Nicola Fontana <ntd@entidi.it>
Date:   Fri Mar 22 23:32:45 2013 +0100

    GParamSpec: do not use static GParamSpecTypeInfo

    g_param_type_register_static() has read-only access the pspec_info
    argument: no need to keep the original struct around.

    https://bugzilla.gnome.org/show_bug.cgi?id=696426

 gobject/gparamspecs.c | 42 +++++++++++++++++++++---------------------
 1 file changed, 21 insertions(+), 21 deletions(-)

commit 6f752b52e9145986a26a5c6f0bf064a185bb07d2
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Sat Sep 12 21:13:22 2015 +0000

    Updated Swedish translation

 po/sv.po | 761
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 392 insertions(+), 369 deletions(-)

commit d8a7e093b92bee5b4077968984314afe8bf193db
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Sep 12 19:55:24 2015 +0200

    Updated POTFILES.in

 po/POTFILES.in | 9 +++++++++
 1 file changed, 9 insertions(+)

commit b9a27679ec1555262c0c721ec1793d7acd7766d9
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Sep 12 12:05:31 2015 -0400

    Revert "Cleanups after we dropped mem vtables"

    This reverts commit 627854fee1fde93e01f27655b00a9082348ee15f.

    It has been argued that not aborting on malloc() failure is
    an incompatible change.

 glib/gstrfuncs.c | 25 +++++++++++++++++++++----
 1 file changed, 21 insertions(+), 4 deletions(-)

commit 9acd0ddbf3c0f14e6ae7cb3f7faf4c24767f13b8
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Sep 12 00:00:40 2015 -0400

    gio: Intern all signal names beforehand

    This avoids pointless copying of static strings.

 gio/gappinfo.c                 |  6 +++---
 gio/gapplication.c             | 12 ++++++------
 gio/gdbusauthobserver.c        |  4 ++--
 gio/gdbusconnection.c          |  2 +-
 gio/gdbusdaemon.c              |  2 +-
 gio/gdbusinterfaceskeleton.c   |  2 +-
 gio/gdbusobject.c              |  4 ++--
 gio/gdbusobjectmanager.c       |  8 ++++----
 gio/gdbusobjectmanagerclient.c |  4 ++--
 gio/gdbusobjectskeleton.c      |  2 +-
 gio/gdbusproxy.c               |  4 ++--
 gio/gdbusserver.c              |  2 +-
 gio/glistmodel.c               |  3 ++-
 gio/gmenumodel.c               |  4 +++-
 gio/gsettings.c                |  8 ++++----
 gio/gsocketservice.c           |  2 +-
 gio/gthreadedsocketservice.c   |  2 +-
 gio/gunixmounts.c              |  4 ++--
 18 files changed, 39 insertions(+), 36 deletions(-)

commit c90f283be33bffde48c244e0478b63fd6798fbcf
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Sep 12 01:47:13 2015 -0400

    Speed up g_dataset_id_dup_data

    This code is used in the property notification path, so it
    better be fast. This commit removes a g_return_if_fail check and
    treats the common case of just a single data element better.

 glib/gdataset.c | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit 59df5440f3805db3e1d00b86d91a76dcb50412e4
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Sep 11 22:48:05 2015 -0400

    Drop g_slice_set_config tests

    With g_quark_init, we are now calling GSlice from a constructor
    (this was already the case when linking against gobject).

 glib/tests/slice.c | 21 ---------------------
 1 file changed, 21 deletions(-)

commit 2fe992b099bfd3fb121a71b7af43e116b2142b5d
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Sep 11 23:59:27 2015 -0400

    Move quark initialization to a constructor

    This removes a branch from the very frequently called
    quark functions.

 glib/glib-init.c |  1 +
 glib/glib-init.h |  2 ++
 glib/gquark.c    | 26 ++++++++++++++------------
 3 files changed, 17 insertions(+), 12 deletions(-)

commit 627854fee1fde93e01f27655b00a9082348ee15f
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Sep 11 18:08:33 2015 -0400

    Cleanups after we dropped mem vtables

    Since g_malloc is now always malloc, we can just use
    strdup and strndup directly.

 glib/gstrfuncs.c | 25 ++++---------------------
 1 file changed, 4 insertions(+), 21 deletions(-)

commit 97a25d12031b07540c95387cb434ee5c87b82c46
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Sep 10 23:57:01 2015 -0400

    Optimize g_unichar_iswide

    Apply the same optimization that was done for g_unichar_get_script
    long ago: Use a quick check for the low end, and then remember the
    midpoint of the last bsearch, since we're likely to be called for
    characters that are close to each other.

    This change made g_unichar_iswide disappear from profiles of the
    gtk3-demo listbox example.

 glib/guniprop.c | 38 ++++++++++++++++++++++++++++++--------
 1 file changed, 30 insertions(+), 8 deletions(-)

commit 96675446c5fc9b47265124e479cc300f7a7ced65
Author: Dan Winship <danw@gnome.org>
Date:   Thu Aug 6 15:39:22 2015 -0400

    Make g_strerror() do less work

    Store the (translated, UTF-8-encoded) error strings in a hash table to
    avoid doing translation and (possibly) g_locale_to_utf8() in every
    g_strerror() call.

    https://bugzilla.gnome.org/show_bug.cgi?id=754788

 glib/gstrfuncs.c | 55
 ++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 34 insertions(+), 21 deletions(-)

commit 19eb511ba4f4914c1914472132d3601069bef906
Author: Dan Winship <danw@gnome.org>
Date:   Wed Sep 9 11:16:30 2015 -0400

    More g_strerror() fixes

    Add a check to configure.ac for strerror_r, since we don't currently
    require POSIX.1-2001 conformance in general. Add back a
    plain-strerror() case as a fallback, and rearrange the glibc-vs-POSIX
    strerror_r() branches.

    Update the docs to not claim that "not all platforms support the
    strerror() function" (we require C90), but still mention the UTF-8 and
    always-valid-string benefits. (And make test_strerror() check that
    last part.)

    https://bugzilla.gnome.org/show_bug.cgi?id=754788

 configure.ac          |  2 +-
 glib/gstrfuncs.c      | 27 +++++++++++++++------------
 glib/tests/strfuncs.c | 11 +++++++++++
 3 files changed, 27 insertions(+), 13 deletions(-)

commit ee6740aa78d267d9890bc3830a723dbc1eaf303a
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Thu Sep 10 20:46:21 2015 -0500

    Fix a typo

 gobject/gobject.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b8a5e22b6b6280ad05dd14cfa920316e85e30d04
Author: Kalev Lember <klember@redhat.com>
Date:   Thu Sep 10 15:06:56 2015 +0200

    Bump version

    So that early adopters of new api have a version to target.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d19411a76f91d47930ea67d16b30fba55734b449
Author: Kalev Lember <klember@redhat.com>
Date:   Thu Sep 10 14:08:35 2015 +0200

    autocleanups: Add GString type

    https://bugzilla.gnome.org/show_bug.cgi?id=754831

 glib/glib-autocleanups.h | 10 +++++++++-
 glib/tests/autoptr.c     |  8 ++++++++
 2 files changed, 17 insertions(+), 1 deletion(-)

commit 4025b5a54fcbe2f5bc4c71e3259bc1af60c99169
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Sep 9 11:58:44 2015 +0800

    MSVC Builds: "Add" MSVC 2015 Projects

    This "adds" the Visual Studio 2015 Project files by doing what we did
    before: copying the Visual Studio 2010 projects and replacing items
    in them, as the formats of the Visual Studio 201x projects are largely
    the same.

 build/win32/Makefile.am      |  3 ++-
 build/win32/vs14/Makefile.am | 44
 ++++++++++++++++++++++++++++++++++++++++++++
 configure.ac                 |  1 +
 3 files changed, 47 insertions(+), 1 deletion(-)

commit 9c7df09c3bc784d19c206e8c17c3c288368541d1
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Sep 9 11:54:11 2015 +0800

    MSVC Builds: Simplify Script to Generate glib-mkenums

    Use a simple all-purpose utility script to generate the glib-mkenums
    PERL script with the version info, and stop using the script that
    tries to parse the autotools files.  Move the things that
    were taken out from build/win32/setup.py back there.

 build/win32/Makefile.am                  |  2 +-
 build/win32/process_in_win32.py          | 77 -------------------------
 build/win32/replace.py                   | 98
 ++++++++++++++++++++++++++++++++
 build/win32/setup.py                     | 35 +++++++++++-
 build/win32/vs10/Makefile.am             |  3 +-
 build/win32/vs10/glib-gen-srcs.props     | 33 -----------
 build/win32/vs10/glib-gen-srcs.props.in  | 33 +++++++++++
 build/win32/vs9/Makefile.am              |  3 +-
 build/win32/vs9/glib-gen-srcs.vsprops    | 28 ---------
 build/win32/vs9/glib-gen-srcs.vsprops.in | 28 +++++++++
 configure.ac                             |  2 +
 11 files changed, 200 insertions(+), 142 deletions(-)

commit 0570adff8074a786023bfb7646e7475af52f88f9
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Tue Sep 8 23:19:40 2015 +0200

    Updated Slovenian translation

 po/sl.po | 936
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 481 insertions(+), 455 deletions(-)

commit 20e8b634771f85926a6f9a67e11f13eb01d45bc7
Author: Sebastian Dröge <sebastian@centricular.com>
Date:   Fri Sep 4 11:58:57 2015 +0300

    gioerror: Add more mappings for WinSock error codes

    https://bugzilla.gnome.org/show_bug.cgi?id=754560

 gio/gioerror.c | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit 5a84f84325cbb0a58014348cb5513656432ae25d
Author: Rico Tzschichholz <ricotz@ubuntu.com>
Date:   Tue Sep 8 14:15:44 2015 +0200

    gparam: Fix Since tag of g_param_spec_get_name_quark

 gobject/gparam.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 925dca1746b45855ad56dbe219f631200e87c9ff
Author: Rico Tzschichholz <ricotz@ubuntu.com>
Date:   Tue Sep 8 14:14:13 2015 +0200

    docs: Add index for 2.46 api

 docs/reference/glib/glib-docs.xml       | 4 ++++
 docs/reference/gobject/gobject-docs.xml | 4 ++++
 2 files changed, 8 insertions(+)

commit 0be6766d9be08bce4901ab3b5d80657070e65ee1
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Sep 7 14:46:10 2015 +0800

    MSVC Builds: Prepare For Visual Studio 2015

    Update the autotools module so that we can use it to upgrade the
    Visual Studio 2010 projects to become Visual Studio 2015-compatible.

    Note that this will make the MSVC 2015 builds use the the the latest
    VC140 CRT.

 build/Makefile-newvs.am      | 22 +++++++++++++---------
 build/win32/vs11/Makefile.am |  4 +---
 build/win32/vs12/Makefile.am |  4 +---
 3 files changed, 15 insertions(+), 15 deletions(-)

commit 00933dfc9cc525963c6833d3180b593a87bb15bb
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Sep 7 20:56:10 2015 -0400

    Speed up property change notification a bit

    Avoid the quark lock and hash table lookup for every
    emission of ::notify.

 gobject/gobject.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 41c0d15a6d680738e80a59e89c1058a97ca922ea
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Sep 7 20:54:01 2015 -0400

    Add a method to get the pspec name quark

    This lets us avoid the quark lookup in the hot
    property change notification path.

 docs/reference/gobject/gobject-sections.txt |  1 +
 gobject/gparam.c                            | 34
 ++++++++++++++++++++++++++---
 gobject/gparam.h                            |  3 +++
 3 files changed, 35 insertions(+), 3 deletions(-)

commit a62ad79f5c59152d1a52c3b52d969c3c48390cda
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Sep 7 19:57:53 2015 -0400

    Clean up locking in g_object_notify_queue_add

    Instaed of returning with the lock held, simply assert
    that this cannot happen:

    https://bugzilla.gnome.org/show_bug.cgi?id=749678#c4

 gobject/gobject.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 087d75e3c336547fff37a4bc5d33b1ad041485bf
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Sep 7 19:43:19 2015 -0400

    Make g_set_object more symmetric

    As argued in bug 748633, and order of ref, assign, unref is
    preferable.

 gobject/gobject.h | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

commit ebf961a58d540ea40611ad75bc983f5386d3635b
Author: Ting-Wei Lan <lantw@src.gnome.org>
Date:   Sat Sep 5 23:35:57 2015 +0800

    Make g_strerror work with non-glibc POSIX systems

    We should only use GNU-specific strerror_r on glibc. On other systems,
    we should use the XSI-compliant version.

    https://bugzilla.gnome.org/show_bug.cgi?id=754601

 glib/gstrfuncs.c | 13 +++++++++----
 1 file changed, 9 insertions(+), 4 deletions(-)

commit e773acfe9a0f8cf4d67799f6177997bd8a761ede
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Sep 7 14:59:22 2015 -0400

    tests: Don't test g_utf8_to_ucs4_fast too rigorously

    The function is documented to assume valid input, and doesn't
    guarantee behavior with invalid input. So don't test that.

    https://bugzilla.gnome.org/show_bug.cgi?id=754636

 tests/unicode-encoding.c | 33 ++++++++++++++++++++++++++-------
 1 file changed, 26 insertions(+), 7 deletions(-)

commit db3ffe5bf139a664609ab1f7e3715a2da5019805
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Sep 7 13:24:18 2015 -0400

    unicode-encoding test: Differentiate error messages

    Spitting out the same error for different cases in not helpful.

 tests/unicode-encoding.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cb3a03e1e2160d4548db3d7b2e55789c05e08225
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Tue Sep 8 01:59:08 2015 +0900

    Updated Korean translation

 po/ko.po | 939
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 470 insertions(+), 469 deletions(-)

commit 23229bfd0cbd2588402835758238e36407814148
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Sep 7 10:35:13 2015 -0400

    GString: Avoid some repeated parameter checking

    Many of the append and prepend variants are just thin wrappers
    around another one. Remove parameter checking in the wrapper
    for these cases. The wrapped function is checking them anyway.

 glib/gstring.c | 20 +-------------------
 1 file changed, 1 insertion(+), 19 deletions(-)

commit 03db1f455b4265654e237d2ad55464b4113cba8a
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Sep 7 09:50:41 2015 -0400

    Remove some unused code

    The function unescape_gstring_inplace was maintaining a line count
    without ever making use of it. Drop that.

 glib/gmarkup.c | 4 ----
 1 file changed, 4 deletions(-)

commit 44af2b1c17b5920052a6bb363c62d8452a570a42
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Sep 7 03:02:11 2015 -0400

    Simplify g_param_spec_get_redirect_target a bit more

    It is enough to look for exact matches here, so no need to
    dive into g_type_instance_is_a and take locks, etc.

 gobject/gparam.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit f1f80111c9bb691c658e8657c450845387cbefd1
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Sep 7 02:33:50 2015 -0400

    Simplify g_param_spec_get_redirect_target

    There is no need to do a type check in a g_return_if_fail if the
    type check is tne next thing the function does anyway.

 gobject/gparam.c | 8 +-------
 1 file changed, 1 insertion(+), 7 deletions(-)

commit 401f78652c31a6a9eab68197e1634dcb765eabe6
Author: Mikhail Zabaluev <mikhail.zabaluev@gmail.com>
Date:   Tue Oct 14 23:39:28 2014 +0300

    Reorganized utf8-performance tests

    Now each function-string pair gets its own test path to track
    a single performance result.

    https://bugzilla.gnome.org/show_bug.cgi?id=738504

 glib/tests/utf8-performance.c | 125
 ++++++++++++++++++++++++++----------------
 1 file changed, 77 insertions(+), 48 deletions(-)

commit b963565125f0ec2968300ddc80ab7750aa56625c
Author: Mikhail Zabaluev <mikhail.zabaluev@gmail.com>
Date:   Mon Oct 13 21:31:02 2014 +0300

    Unrolled implementation of g_utf8_to_ucs4_fast()

    Unrolling the branches and expressions for all expected cases
    of UTF-8 sequences facilitates the work of both an optimizing compiler
    and the branch prediction logic in the CPU. This speeds up decoding
    noticeably on text composed primarily of longer sequences.

    https://bugzilla.gnome.org/show_bug.cgi?id=738504

 glib/gutf8.c | 71
 ++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 43 insertions(+), 28 deletions(-)

commit 3188b8ee791a38ac3dd7e477f30761344442f745
Author: Mikhail Zabaluev <mikhail.zabaluev@gmail.com>
Date:   Tue Oct 14 01:18:57 2014 +0300

    Optimized branching in g_utf8_validate()

    The number of branches and logical operations can be reduced by
    never producing a resulting wide character value to check its range.
    Instead, individual bytes in the sequence are validated
    depending on the branch taken on the basis of preceding bytes.
    The syntax given in RFC 3629 is made use of.

    https://bugzilla.gnome.org/show_bug.cgi?id=738504

 glib/gutf8.c | 149
 ++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 80 insertions(+), 69 deletions(-)

commit 5644ee5083c5f03e01ee2e4de615c16cfc0dfcd0
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Sep 5 13:02:33 2015 -0400

    markup: trivial refactor

    Avoid an unnecessary branch.

 glib/gmarkup.c | 9 +++------
 1 file changed, 3 insertions(+), 6 deletions(-)

commit d28639507db2029b8f184a5d93e9d8c28acc1955
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Sep 4 13:55:46 2015 -0400

    list store: Fix a parameter check

    Getting this wrong causes build failures.

    https://bugzilla.gnome.org/show_bug.cgi?id=754582

 glib/gsequence.c | 18 +++++++++++-------
 1 file changed, 11 insertions(+), 7 deletions(-)

commit da4927b7fb0213f77d8ca087de6854948487c6ee
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Fri Sep 4 16:23:43 2015 +0000

    Updated Kazakh translation

 po/kk.po | 947
 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 465 insertions(+), 482 deletions(-)

commit 6e1618560035296f0d92231e241bf29b8d7d213c
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Fri Sep 4 07:49:58 2015 +0000

    Updated Italian translation

 po/it.po | 1651
 +++++++++++++++++++++++++-------------------------------------
 1 file changed, 663 insertions(+), 988 deletions(-)

commit 1387a16bf4eb1859170bd2fa9b9efb9d5169d1e7
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Sep 3 15:24:06 2015 +0800

    MSVC Builds: Remove Static Items

    ... which are now generated with the new autotools module, so we just
    need to ensure the generated items are being dist'ed.

    https://bugzilla.gnome.org/show_bug.cgi?id=735429

 build/win32/vs10/glib-compile-resources.vcxproj    | 181 -----------
 .../vs10/glib-compile-resources.vcxproj.filters    |  17 --
 build/win32/vs10/glib-compile-schemas.vcxproj      | 181 -----------
 .../vs10/glib-compile-schemas.vcxproj.filters      |  17 --
 build/win32/vs10/glib-install.props                | 332
 ---------------------
 build/win32/vs9/glib-compile-resources.vcproj      | 156 ----------
 build/win32/vs9/glib-compile-schemas.vcproj        | 156 ----------
 build/win32/vs9/glib-install.vsprops               | 314
 -------------------
 8 files changed, 1354 deletions(-)

commit 041e77249af8778db1e37b3ad47c034fa7934e05
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Sep 3 15:19:48 2015 +0800

    Cleanup and Enhance the MSVC Project Generation

    Make use of the common autotools module that is used to generate
    the MSVC
    project files from their respective templates so that the main
    build files
    beccome cleaner, and enhance them in a way that the headers that
    should be
    installed can be written to the property sheets during 'make dist',
    so that
    the chances of missing headers for MSVC builds can be greatly reduced.

    Also use this autotools module to fill in the projects for
    glib-compile-schemas and glib-compile-resources.

    https://bugzilla.gnome.org/show_bug.cgi?id=735429

 build/win32/vs10/.gitignore                        |   5 +
 build/win32/vs10/Makefile.am                       |  96 ++++++-----
 build/win32/vs10/gio.vcxproj.filtersin             |   4 +-
 build/win32/vs10/gio.vcxprojin                     |   4 +-
 .../vs10/glib-compile-resources.vcxproj.filtersin  |  12 ++
 build/win32/vs10/glib-compile-resources.vcxprojin  | 180
 +++++++++++++++++++++
 .../vs10/glib-compile-schemas.vcxproj.filtersin    |  12 ++
 build/win32/vs10/glib-compile-schemas.vcxprojin    | 180
 +++++++++++++++++++++
 build/win32/vs10/glib-install.propsin              | 102 ++++++++++++
 build/win32/vs10/glib.vcxproj.filtersin            |   4 +-
 build/win32/vs10/glib.vcxprojin                    |   2 +-
 build/win32/vs10/gobject.vcxproj.filtersin         |   2 +-
 build/win32/vs10/gobject.vcxprojin                 |   2 +-
 build/win32/vs9/.gitignore                         |   3 +
 build/win32/vs9/Makefile.am                        |  56 ++++---
 build/win32/vs9/gio.vcprojin                       |   2 +-
 build/win32/vs9/glib-compile-resources.vcprojin    | 155
 ++++++++++++++++++
 build/win32/vs9/glib-compile-schemas.vcprojin      | 155
 ++++++++++++++++++
 build/win32/vs9/glib-install.vspropsin             |  76 +++++++++
 build/win32/vs9/glib.vcprojin                      |   2 +-
 build/win32/vs9/gobject.vcprojin                   |   2 +-
 gio/Makefile.am                                    |  57 +++----
 glib/Makefile.am                                   |  50 ++----
 gobject/Makefile.am                                |  44 ++---
 24 files changed, 1032 insertions(+), 175 deletions(-)

commit 700983c8c9827cb4de93d25757c767d1d5211910
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Sep 3 19:08:55 2015 +0800

    build: Add Common Autotools Module for MSVC Projects

    This adds a common autotools module that can be used by various
    projects to generate the Visual Studio projects as needed, and
    if necessary, generate the headers listings to "install" for that
    project, based on items passed in to this.  This is modelled on the
    Makefile.introspection autotools file that is used by many GNOME
    projects to generate the introspection files.

    https://bugzilla.gnome.org/show_bug.cgi?id=735429

 build/Makefile.msvcproj | 110
 ++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 110 insertions(+)

commit 63a5556aa2821b266b2b14b436abaa9f77e73e46
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Wed Sep 2 21:17:11 2015 +0300

    Updated Lithuanian translation

 po/lt.po | 329
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 168 insertions(+), 161 deletions(-)

commit 7a65d1d3fb86b0ab46a0a425b79985e037cd3b68
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Sep 2 14:48:04 2015 +0100

    gmem: Fix a typo in the g_try_new0() documentation

 glib/gmem.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b77fe970dbbc3c1e2bfaca58aade6874f8530885
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Jan 14 10:44:12 2015 +0000

    gstring: Mark g_string_free() as taking (transfer full) input

    This is unusual, but the correct annotation for a free() function.

    https://bugzilla.gnome.org/show_bug.cgi?id=742903

 glib/gstring.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4cad3f5e1bc88e626450607ca8c6b59265d7242b
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Sep 2 16:09:58 2015 +0800

    glib/strfuncs.c: Fix Build on Windows

    Windows does not have strerror_r(), but does have strerror_s(),
    which is
    threadsafe, and does more or less the same thing, so use it on
    Windows to
    fix the build.

    https://bugzilla.gnome.org/show_bug.cgi?id=754431

 glib/gstrfuncs.c | 5 +++++
 1 file changed, 5 insertions(+)

commit 4a09d0cf7a65cd08d4156eafd80e943712216d49
Author: Ting-Wei Lan <lantw@src.gnome.org>
Date:   Wed Sep 2 01:19:40 2015 +0800

    Fix return value error in g_list_store_sort

 gio/gliststore.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f14e2e5c53a5f1113c5e063511b7ea31319f4ccf
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Sep 1 10:58:32 2015 -0400

    2.45.7

 NEWS         | 47 +++++++++++++++++++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 48 insertions(+), 1 deletion(-)

commit b04c565f33edbe7b81b028ba371da93b946f6393
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Aug 19 13:47:58 2015 +0100

    gio: Link against gmodule when building tools

    Otherwise cross-compilation will fail with linker errors.

    https://bugzilla.gnome.org/show_bug.cgi?id=753745

 gio/Makefile.am | 5 +++++
 1 file changed, 5 insertions(+)

commit 5ce70917df75f87c89a9b1e9d0583ae4135f0b2c
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Aug 19 13:38:30 2015 +0100

    Drop binary checks when cross-compiling

    We don't need to run binaries we just built in order to successfully
    build GLib and friends any more.

    Since commit b74e2a7, we don't need to run glib-genmarshal when
    building
    GIO; since commit f9eb9eed, all our tests (including the ones that do
    need to run binaries we just built) are only built when running "make
    check", instead of unconditionally at every build.

    This means that we don't need to check for existing, native binaries
    when cross-compiling, and fail the configuration step if they are not
    found — which also means that you don't need to natively build
    GLib for
    your toolchain, in order to cross-compile GLib.

    We can also use the cross-compilation conditional, and skip those
    tests
    that require a binary we just built in order to build.

    https://bugzilla.gnome.org/show_bug.cgi?id=753745

 configure.ac              | 24 ++----------------------
 gio/tests/Makefile.am     | 12 +++++-------
 gobject/tests/Makefile.am | 14 ++++++++------
 tests/gobject/Makefile.am | 20 +++++++-------------
 4 files changed, 22 insertions(+), 48 deletions(-)

commit 1dec512a66fddfd8b4b265231b00d4f918b16cef
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Sep 1 10:21:26 2015 -0400

    Revert "GSettings: delay backend subscription"

    This reverts commit 8ff5668a458344da22d30491e3ce726d861b3619.

    This change has had considerable fallout, and there was no
    follow-up to address it.

    https://bugzilla.gnome.org/show_bug.cgi?id=733791

 gio/gsettings-tool.c | 13 -------------
 gio/gsettings.c      | 47 ++++-------------------------------------------
 2 files changed, 4 insertions(+), 56 deletions(-)

commit 7fff264777ac9869ff347dd2bb02304e11d83a20
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Sep 1 10:18:23 2015 -0400

    Revert "GSettings: fix check for delaying backend subscription"

    This reverts commit d511d6b37f051d2cd8698055cbd85ee7f987325d.

 gio/gsettings.c | 12 +++---------
 1 file changed, 3 insertions(+), 9 deletions(-)

commit 16721468e5410732f2575be35652ece538587b94
Author: Iain Lane <iain@orangesquash.org.uk>
Date:   Wed Jul 15 17:01:03 2015 +0100

    gsignal: Don't crash when operating on signals on the wrong object

 gobject/gsignal.c | 21 +++++++++++++++------
 1 file changed, 15 insertions(+), 6 deletions(-)

commit 261250c46e3eab9b54c9cc59b405a69785a65b35
Author: Iain Lane <iain@orangesquash.org.uk>
Date:   Thu Jul 16 15:38:21 2015 +0100

    Test that disconnecting from the wrong thing warns and doesn't crash

    This broke in 916297be799ee001b4a214cc52c3b960bb0b5deb (≥ 2.45.3)

 gobject/tests/signals.c | 53
 +++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 53 insertions(+)

commit 976da775cbeff497e922f959f9a35d5e06cfc7a9
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Tue Sep 1 07:57:48 2015 +0000

    Updated French translation

 po/fr.po | 230
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 120 insertions(+), 110 deletions(-)

commit 9f2e3f6b7262a8cae817a4cc12388fcc1bd63bce
Author: Dan Winship <danw@gnome.org>
Date:   Wed Dec 3 05:57:29 2014 -0500

    gtestutils: add g_assert_cmpmem()

    Add a test macro to compare two buffers (which are not already known
    to be the same length) for equality.

    https://bugzilla.gnome.org/show_bug.cgi?id=754283

 docs/reference/glib/glib-sections.txt |  1 +
 gio/tests/async-close-output-stream.c |  9 ++-----
 gio/tests/converter-stream.c          | 46
 +++++++++++++++++------------------
 gio/tests/gdbus-peer.c                |  3 +--
 gio/tests/gsettings.c                 |  4 +--
 gio/tests/gsubprocess.c               | 11 ++++-----
 gio/tests/readwrite.c                 | 10 +++-----
 glib/gtestutils.c                     | 33 +++++++++++++++++++++----
 glib/gtestutils.h                     | 10 ++++++++
 glib/tests/base64.c                   | 25 ++++---------------
 glib/tests/bytes.c                    | 23 ++++++------------
 glib/tests/checksum.c                 |  3 +--
 glib/tests/gvariant.c                 |  3 +--
 glib/tests/hmac.c                     |  3 +--
 glib/tests/strfuncs.c                 |  3 +--
 glib/tests/string.c                   | 10 +++-----
 glib/tests/testing.c                  | 26 ++++++++++++++++++++
 17 files changed, 120 insertions(+), 103 deletions(-)

commit 367f36d630afa01b0967547f5a038a1f8f499f45
Author: Dan Winship <danw@gnome.org>
Date:   Fri Dec 12 12:47:00 2014 -0500

    gtestutils: forbid having two tests with the same full path

    In the same way that gtestutils used to let you create multiple suites
    with the same name, it also let you create multiple tests with the
    same name. Make that an error instead (and fix glib/tests/base64.c,
    which was registering three separate tests named
    "/base64/incremental/nobreak/4", and glib/tests/autoptr.c, which was
    running test_g_variant_builder() twice).

    https://bugzilla.gnome.org/show_bug.cgi?id=754286

 glib/gtestutils.c    | 16 +++++++++++++++-
 glib/tests/autoptr.c |  1 -
 glib/tests/base64.c  |  6 +++---
 3 files changed, 18 insertions(+), 5 deletions(-)

commit 123ea70d74e655f7401cf70d364ccfb2b03022a7
Author: Dan Winship <danw@gnome.org>
Date:   Sat Feb 1 18:23:13 2014 +0100

    gtestutils: improve non-TAP output, fix handling of incomplete tests

    In non-TAP mode, tests that used g_test_skip() were labelled "OK", and
    tests that used g_test_incomplete() were labelled "FAIL". Explicitly
    show them as "SKIP" and "TODO" instead, like in the TAP case.

    Also, incomplete/TODO tests are not supposed to be treated as
    failures, so fix that too.

    https://bugzilla.gnome.org/show_bug.cgi?id=754286

 glib/gtestutils.c | 20 ++++++++++++++------
 1 file changed, 14 insertions(+), 6 deletions(-)

commit 6e382208f72cfd449cf076ac1f1fa340fe6eea0f
Author: Dan Winship <danw@gnome.org>
Date:   Fri Dec 12 11:49:31 2014 -0500

    gtestutils: print the TAP test plan first, not last

    TAP allows you to print the "test plan" (ie, the expected number of
    tests" either at the start or the end of the test program, but if you
    put it at the end, and the program crashes, automake will complain
    "missing test plan", which is confusing to users (particularly since
    it prints that *before* it prints that the test program crashed,
    suggesting that somehow the lack of test plan was responsible for the
    crash or something, rather than vice versa).

    Anyway, change it to count the tests ahead of time, and print the test
    plan first. Keeping this simple requires disallowing the '-p', '-s',
    and '--GTestSkipCount' options when using '--tap' (although we were
    already printing the wrong number in the --GTestSkipCount case
    anyway).

    https://bugzilla.gnome.org/show_bug.cgi?id=754284

 glib/gtestutils.c | 44 ++++++++++++++++++++++++++++++++++++++++++--
 1 file changed, 42 insertions(+), 2 deletions(-)

commit 51c91ed53d54efed8f82d5ead200ac5b6ef52a6a
Author: Dan Winship <danw@gnome.org>
Date:   Fri Mar 14 14:57:51 2014 -0400

    gtestutils: move "/subprocess" path special-casing

    https://bugzilla.gnome.org/show_bug.cgi?id=754284

 glib/gtestutils.c | 42 ++++++++++++++++++------------------------
 1 file changed, 18 insertions(+), 24 deletions(-)

commit 91ff2ba844a917162307a75afa658571d419701f
Author: Dan Winship <danw@gnome.org>
Date:   Fri Mar 14 11:19:01 2014 -0400

    gtestutils: make g_test_suite_run{,internal} less confusing

    Rewrite g_test_suite_run() and g_test_suite_run_internal() to make it
    clearer what they do (while still preserving exact backward
    compatibility, meaning we need to handle the "-p" case differently
    from the non-"-p" case).

    https://bugzilla.gnome.org/show_bug.cgi?id=754284

 glib/gtestutils.c | 94
 ++++++++++++++++++++++++-------------------------------
 1 file changed, 41 insertions(+), 53 deletions(-)

commit 510331bacf803a905577b93f118f5a32bba55bd3
Author: Dan Winship <danw@gnome.org>
Date:   Fri Mar 14 11:41:44 2014 -0400

    gtestutils: reorganize g_test_name manipulation

    https://bugzilla.gnome.org/show_bug.cgi?id=754284

 glib/gtestutils.c | 20 +++++++++++++-------
 1 file changed, 13 insertions(+), 7 deletions(-)

commit 34ec21fab54ecd964ab7167060b650ab0ff44602
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Aug 31 13:48:22 2015 -0400

    win32: Fix a g_once_init_enter call

    g_once_init_enter must be given a gsize-sized location.
    A gboolean doesn't qualify. This broke the build on win64.

    http://bugzilla.gnome.org/show_bug.cgi?id=754307

 gio/gwin32appinfo.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 591eabcbbcaf3589b004e65c4a11a0d7d18887c8
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Aug 31 13:43:47 2015 -0400

    Remove an unused variable

 gio/gwin32registrykey.c | 2 --
 1 file changed, 2 deletions(-)

commit b8a2e08abadda92547ed63881dcfbe779594d03b
Author: Balázs Úr <urbalazs@gmail.com>
Date:   Mon Aug 31 16:16:49 2015 +0000

    Updated Hungarian translation

 po/hu.po | 510
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 256 insertions(+), 254 deletions(-)

commit e5734c37a6f1b0d3ce467e7a5ac11c29c1d5f56a
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Aug 26 23:20:39 2015 -0400

    Add g_list_store_sort

    GListStore already has a g_list_store_insert_sorted function,
    which can be used to keep the list sorted according to a fixed
    sort function. But if the sort function changes (as e.g. with
    sort columns in a list UI), the entire list needs to be
    resorted. In that case, you want g_list_store_sort().

    https://bugzilla.gnome.org/show_bug.cgi?id=754152

 docs/reference/gio/gio-sections.txt |  1 +
 gio/gliststore.c                    | 26 ++++++++++++++++++++++++++
 gio/gliststore.h                    |  5 +++++
 3 files changed, 32 insertions(+)

commit 516adb99c094fc2c4dcb95f97f9d251d7bba1716
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Fri Aug 28 19:47:19 2015 -0500

    Add certificate chain construction test

    Enhance GTestTlsBackend to allow setting the issuer property of
    GTlsCertificates, and add a test to ensure certificate chain
    construction with g_tls_certificate_new_from_pem() works as expected.

    https://bugzilla.gnome.org/show_bug.cgi?id=754264

 gio/tests/cert-tests/cert-list.pem | 16 +++++++++
 gio/tests/gtesttlsbackend.c        |  9 ++++-
 gio/tests/tls-certificate.c        | 69
 ++++++++++++++++++++++++++++++++++++++
 3 files changed, 93 insertions(+), 1 deletion(-)

commit 587068c969716df2b994362e3133c68d91455d47
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Fri Aug 28 19:43:09 2015 -0500

    GTlsCertificate: fix loading of chain with private key

    If a private key (or anything, in fact) follows the final certificate
    in
    the file, certificate parsing will be aborted and only the first
    certificate in the chain will be returned, with the private key
    not set.
    Be tolerant of this, rather than expecting the final character in the
    file to be the newline following the last certificate.

    https://bugzilla.gnome.org/show_bug.cgi?id=754264

 gio/gtlscertificate.c | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 1ab3e3ed3e0c50cc8e747a9617f9412af8a15bdd
Author: Dan Winship <danw@gnome.org>
Date:   Tue Aug 25 10:18:06 2015 -0400

    gsocket: add a wrapper around g_set_error() to avoid extra work

    If @error is NULL then we don't even need to evaluate the remaining
    arguments. And if errno is EWOULDBLOCK, then no one should see the
    error message anyway, so don't bother g_strdup_printf'ing up a pretty
    one.

    https://bugzilla.gnome.org/show_bug.cgi?id=752769

 gio/gsocket.c | 54 ++++++++++++++++++++++++++----------------------------
 1 file changed, 26 insertions(+), 28 deletions(-)

commit a70265779480e31d575dd2a4f0444bf5a1849c22
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   Fri Aug 28 20:49:53 2015 +0000

    Updated Greek translation

 po/el.po | 676
 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 315 insertions(+), 361 deletions(-)

commit 30d95388e7835487e5ed67334bddc2a45c0846a5
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Aug 28 16:05:05 2015 -0400

    Test g_strerror some more

    Set a locale here, so we actually do conversion, and also
    run the loop far enough that we hit the 'unknown error' case.

 glib/tests/strfuncs.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 36fac0849ceabafb9e2a15045230833e7dbc9e9d
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Aug 28 15:38:04 2015 -0400

    Make g_strerror threadsafe

    We need to use strerror_r here, in order to be threadsafe.

 glib/gstrfuncs.c | 18 +++++++++++++++---
 1 file changed, 15 insertions(+), 3 deletions(-)

commit eb7ffccf44ecb27f581693c4f62ed8d361999817
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Aug 28 14:13:24 2015 -0400

    test repeated g_hash_table_remove_all calls

    I just came across a situation where code ended up stuck in
    an infinite loop in GHashTable code, so lets verify that this
    is a safe thing.

 glib/tests/hash.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 323b1d9c5f20ff46d420bdb63f80f772f9f7fb2f
Author: Andika Triwidada <andika@gmail.com>
Date:   Fri Aug 28 13:00:20 2015 +0000

    Updated Indonesian translation

 po/id.po | 196
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 103 insertions(+), 93 deletions(-)

commit f8341badb87ffc7d48488b95b58efbd1c7747674
Author: K. Adam Christensen <pope@shifteleven.com>
Date:   Fri Aug 28 08:17:24 2015 -0400

    gfileenumerator: Don't leak memory if out_info is NULL

    In the unusual case where one just wants the filenames, avoid
    a leak.

    https://bugzilla.gnome.org/show_bug.cgi?id=754211

 gio/gfileenumerator.c | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

commit 4cbd0d6a602f82f42aa8dc8e83c3daee95134d03
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Thu Aug 27 23:21:08 2015 +0300

    Updated Hebrew translation

 po/he.po | 346
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 178 insertions(+), 168 deletions(-)

commit 42331aa15484dc60561a8848d4696a655ba2d22d
Author: Fran Dieguez <fran@openhost.es>
Date:   Thu Aug 27 16:47:01 2015 +0200

    Updated Galician translations

 po/gl.po | 173
 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 99 insertions(+), 74 deletions(-)

commit c061d6995c594c47f718d73b2419547161e92636
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed Aug 26 18:21:34 2015 +0200

    Updated Polish translation

 po/pl.po | 1406
 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 697 insertions(+), 709 deletions(-)

commit a3f567ad56af4e0c3cad8eab591360609ec94b5a
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Tue Aug 25 22:54:03 2015 +0000

    Updated Chinese (Taiwan) translation

 po/zh_TW.po | 903
 ++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 475 insertions(+), 428 deletions(-)

commit 91a6ec8d07eb521fc3f9be3bf7b7ae36a6108c88
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Tue Aug 25 10:49:06 2015 +0100

    gutils: Clarify return values of g_bit_nth_[lsf|msf]()

    Clarify in the documentation that both functions return -1 if no high
    bits could be found.

 glib/gutils.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit b233d7e324e7661c6a487df9362a6503f0acfea5
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:   Tue Aug 25 06:22:23 2015 +0000

    Updated Portuguese translation

 po/pt.po | 392
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 198 insertions(+), 194 deletions(-)

commit 7da3922d051907ccd9b32de140bab217c7665c02
Author: Dan Winship <danw@gnome.org>
Date:   Fri Aug 21 17:39:44 2015 -0400

    gdbus: fix race condition in connection filter freeing

    If you called g_dbus_connection_remove_filter() on a filter while it
    was running (or about to be run) in another thread, its GDestroyNotify
    would be run immediately, potentially causing the filter thread to
    crash.

    Fix this by refcounting the filters, and using the existing mechanism
    for running a GDestroyNotify in another thread in the case where the
    the gdbus thread is the one that frees it.

    Also, add a bit of documentation explaining this (and add a related
    clarification to g_dbus_connection_signal_subscribe()).

    https://bugzilla.gnome.org/show_bug.cgi?id=704568

 gio/gdbusconnection.c | 136
 +++++++++++++++++++++++++++++++++++---------------
 1 file changed, 95 insertions(+), 41 deletions(-)

commit 76c1f78cb92cdbfe46321da2b2d2ecfbfdf32eaa
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Mon Aug 24 10:38:27 2015 +0100

    gfile: Clarify g_file_get_parent() documentation

    Clarify that a parent in this case has to be an immediate parent,
    not an
    arbitrary ancestor several levels up in the tree.

 gio/gfile.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 50a65cc38a68dcb04f57fb492c83878e5238d15b
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Mon Aug 24 10:37:51 2015 +0100

    gfile: Clarify g_file_get_path() documentation

    Clarify that the returned path (if non-NULL) is guaranteed to be
    absolute and canonical, but might still contain symlinks.

 gio/gfile.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 02f9e84709b4e4756f3e512dede3430f3538fbf5
Author: Kalev Lember <klember@redhat.com>
Date:   Sat Aug 22 23:13:33 2015 +0200

    gdbus: Add a missing include

    This fixes the build on non-unix platforms, such as win32 where
    gunixfdlist.h is not included.

 gio/gdbusmethodinvocation.c | 1 +
 1 file changed, 1 insertion(+)

commit a6ae52fa132ef2c5468d924945470957a7ef4c42
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Fri Aug 21 16:46:33 2015 -0500

    docs: Fix a typo finalised -> finalized

    db8455f07d3d58b8d30d35371c0bbd3e342c8960 added use of both "finalised"
    and "finalized". We generally use American spelling, so prefer that.

 glib/gmain.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d33eae97c99c7dc0df362eba2010ec28ac08058e
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Aug 21 15:17:24 2015 +0100

    Revert "TODO ban maman"

    I can’t work git-bz.

    This reverts commit a228f0ac8031379d3568245e24fb287408cf3a26.

 docs/reference/gobject/tut_gtype.xml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a228f0ac8031379d3568245e24fb287408cf3a26
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Aug 19 12:00:00 2015 +0100

    TODO ban maman

 docs/reference/gobject/tut_gtype.xml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 57d0ec57e43ce9b98a76fc7d07b3b5827481e516
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Tue Feb 24 08:50:53 2015 +0000

    docs: Clarify costs of using the generic GObject C closure marshaller

    The libffi one is slower than type-specific generated ones, but is
    generally better to use.

    https://bugzilla.gnome.org/show_bug.cgi?id=744060

 docs/reference/gobject/tut_gsignal.xml |  3 ++-
 docs/reference/gobject/tut_howto.xml   | 19 +++++++++++++++----
 2 files changed, 17 insertions(+), 5 deletions(-)

commit e57741791e9bd317a0777ab2eff6b40923f0f854
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Mon Feb 23 15:32:47 2015 +0000

    docs: Port GObject concepts to use G_DECLARE_FINAL_TYPE

    And G_DECLARE_INTERFACE.

    https://bugzilla.gnome.org/show_bug.cgi?id=744060

 docs/reference/gobject/tut_gtype.xml | 172
 +++++++++++++++++------------------
 1 file changed, 85 insertions(+), 87 deletions(-)

commit ab9b52e69ce8d3da9bade6f73468736c7b1cec1a
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Mon Feb 23 15:30:57 2015 +0000

    docs: General cleanups and rewording in the GObject concepts docs

     • Remove copies of function declarations from the explanation
     — if
       people want those, they can follow links to the reference manual.
     • Add markup to make C code more defined.
     • Remove use of first person and irrelevant name dropping.

    https://bugzilla.gnome.org/show_bug.cgi?id=744060

 docs/reference/gobject/tut_gobject.xml |  95 ++++++------
 docs/reference/gobject/tut_gsignal.xml | 254
 +++++++++++++++------------------
 docs/reference/gobject/tut_gtype.xml   | 163 +++++++++------------
 docs/reference/gobject/tut_intro.xml   |  23 +--
 4 files changed, 243 insertions(+), 292 deletions(-)

commit a86ef242e4f2907ec1399057f194699f2fe28c94
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Feb 19 14:12:50 2015 +0000

    docs: Link to the GObject how-to from the GType tutorial

    So that first-time users don’t fall into the trap of reading
    about the
    gory memory layout details of GType and GObject when all they
    wanted to
    do was derive a class.

    https://bugzilla.gnome.org/show_bug.cgi?id=744060

 docs/reference/gobject/tut_gtype.xml | 18 ++++++++++++++++--
 1 file changed, 16 insertions(+), 2 deletions(-)

commit cd0d605b23f9efe247475ba425f811a513a138db
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Feb 19 14:08:43 2015 +0000

    docs: Mention g_clear_object() in the GObject tutorial

    As an alternative to g_object_unref().

    https://bugzilla.gnome.org/show_bug.cgi?id=744060

 docs/reference/gobject/tut_gobject.xml | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit f9410b16475828f90d27cee58faa3a78a5f181d2
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Feb 19 14:08:03 2015 +0000

    docs: Remove pointless copy of GObject headers from tutorial

    Remove a copy of the refcounting functions from gobject.h from the
    GObject tutorial. It suffices to link to the functions in the API
    reference.

    https://bugzilla.gnome.org/show_bug.cgi?id=744060

 docs/reference/gobject/tut_gobject.xml | 28 ----------------------------
 1 file changed, 28 deletions(-)

commit 92f6325509007aea2022df2d3f618033480f86dd
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Feb 19 14:07:20 2015 +0000

    docs: Miscellaneous formatting and wording fixes to GObject tutorial

    Convert a few sections to use the passive voice, and add some more
    <function> elements.

    https://bugzilla.gnome.org/show_bug.cgi?id=744060

 docs/reference/gobject/tut_gobject.xml | 72
 ++++++++++++++++------------------
 1 file changed, 33 insertions(+), 39 deletions(-)

commit 2aade94fcc768af254e7e169bfabc07477ed7179
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Feb 19 14:05:56 2015 +0000

    docs: Update code examples in GObject tutorial

    Use G_DECLARE_FINAL_TYPE, simplify property handling, and remove some
    unnecessary braces.

    https://bugzilla.gnome.org/show_bug.cgi?id=744060

 docs/reference/gobject/tut_gobject.xml | 74
 +++++++++++-----------------------
 1 file changed, 23 insertions(+), 51 deletions(-)

commit 42baaa88cd20adcce8767fb124682b1b3bd8b0ec
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Feb 20 13:16:08 2015 +0000

    docs: Use generic marshallers in GObject how-to examples

    They’re the new vogue for handling signals.

    https://bugzilla.gnome.org/show_bug.cgi?id=744060

 docs/reference/gobject/tut_howto.xml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 01962b4dd1f3ef15e1412a2d1e21ce8e6e68bd1d
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Feb 20 13:15:15 2015 +0000

    docs: Rename a parameter in a GObject how-to example

    Make it obvious the parameter is not related to AClass.

    https://bugzilla.gnome.org/show_bug.cgi?id=744060

 docs/reference/gobject/tut_howto.xml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a76242b35ab6809f7582fd06b8b30c05f82b3934
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Feb 20 13:14:08 2015 +0000

    docs: Add vfunc NULL checks to GObject how-to examples

    Not setting a pure vfunc is a programmer error, so can be handled
    with a
    g_return_if_fail() rather than needing a g_warning().

    https://bugzilla.gnome.org/show_bug.cgi?id=744060

 docs/reference/gobject/tut_howto.xml | 42
 ++++++++++++++++++++++++------------
 1 file changed, 28 insertions(+), 14 deletions(-)

commit 82abb80553e0da9dac512822e72f55281a68d38c
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Feb 20 13:12:49 2015 +0000

    docs: Update interfaces in GObject how-to examples

    Use G_DECLARE_INTERFACE and G_DEFINE_INTERFACE. Fix a couple of typos.
    Add some comments to empty functions to make it obvious they’re
    intentionally empty.

    https://bugzilla.gnome.org/show_bug.cgi?id=744060

 docs/reference/gobject/tut_howto.xml | 57
 +++++++++++++++++++++---------------
 1 file changed, 34 insertions(+), 23 deletions(-)

commit ffc248919bc6456a90792a1ea0ecb689b8078791
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Feb 20 13:10:04 2015 +0000

    docs: Update instance private data in GObject how-to examples

    Use get_instance_private().

    https://bugzilla.gnome.org/show_bug.cgi?id=744060

 docs/reference/gobject/tut_howto.xml | 22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

commit b88ac15e65bf424db69614b6021865afb79a333b
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Feb 20 13:08:34 2015 +0000

    docs: Update property handling in GObject how-to examples

    Be a bit more consistent about property enum numbering.

    https://bugzilla.gnome.org/show_bug.cgi?id=744060

 docs/reference/gobject/tut_howto.xml | 41
 +++++++++++++++++++-----------------
 1 file changed, 22 insertions(+), 19 deletions(-)

commit 2e4700d52babcf06ac01243f650ccdf546561812
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Feb 20 13:04:45 2015 +0000

    docs: Various wording changes in the GObject how-to

     • Consistently make all titles sentence case
     • Fix various typos
     • Remove an unnecessary footnote
     • Remove first person phrasing

    https://bugzilla.gnome.org/show_bug.cgi?id=744060

 docs/reference/gobject/tut_howto.xml | 205
 +++++++++++++----------------------
 1 file changed, 78 insertions(+), 127 deletions(-)

commit f1287a9b2f995b8c7ec228cc3b3418670ef92695
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Feb 20 12:54:05 2015 +0000

    docs: Remove commented out sections from GObject how-to

    Unused, outdated, and unsalvagable.

    https://bugzilla.gnome.org/show_bug.cgi?id=744060

 docs/reference/gobject/tut_howto.xml | 402
 -----------------------------------
 1 file changed, 402 deletions(-)

commit 0344e6cb83b338c8ba23d9ea8aa7a9fffa8d146e
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Feb 20 12:51:18 2015 +0000

    docs: Add missing <function> elements to GObject how-to

    Break the text up a little with some formatting.

    https://bugzilla.gnome.org/show_bug.cgi?id=744060

 docs/reference/gobject/tut_howto.xml | 57
 +++++++++++++++++++++---------------
 1 file changed, 33 insertions(+), 24 deletions(-)

commit b6b0f5f305eab272192f01bd5adb68adaa31c10b
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Feb 20 12:42:52 2015 +0000

    docs: Update GObject how-to for G_DECLARE_*_TYPE macros

    Restructure the section of the how-to which covers the header
    and source
    code boilerplate for declaring and defining GObjects to use the new
    G_DECLARE_*_TYPE macros. Present both final and derivable types.

    Trim various supporting paragraphs.

    Rename ‘class functions’ to ‘virtual functions’ to use
    consistent,
    modern terminology.

    https://bugzilla.gnome.org/show_bug.cgi?id=744060

 docs/reference/gobject/tut_howto.xml | 283
 +++++++++++++++++++++--------------
 1 file changed, 171 insertions(+), 112 deletions(-)

commit b6fc1df022a0326e7c36122b1416061bf796c98f
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Tue Oct 1 04:10:46 2013 -0400

    GLocalFileInfo: don't content-sniff zero-length files

    This will prevent attempting to read from some files that appear
    normal but are
    really device-like, such as those in /proc and /sys.

    If we can't stat() the file then don't bother attempting to sniff,
    either.

    https://bugzilla.gnome.org/show_bug.cgi?id=708525

 gio/glocalfileinfo.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 8f662e72594acf8e7f874f7670d1421af68c7fc6
Author: Ting-Wei Lan <lantw@src.gnome.org>
Date:   Sun May 17 16:25:35 2015 +0800

    glocalfileinfo: Support file creation time on FreeBSD and NetBSD

    FreeBSD and NetBSD have field st_birthtim and st_birthtime in
    struct stat,
    respectively, which can be used to get file creation time on
    supported file
    systems such as UFS2 and tmpfs.

    https://bugzilla.gnome.org/show_bug.cgi?id=749492

 configure.ac         |  2 +-
 gio/glocalfileinfo.c | 12 ++++++++++++
 2 files changed, 13 insertions(+), 1 deletion(-)

commit 60a6ae6f0b84f059e33b8c658ef22c3d933db0a2
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:   Sun Mar 29 17:15:15 2015 +0200

    Fix GError leak in g_file_query_writable_namespaces()

    gvfs commit b358ca "Make sure metadata is always returned by
    query_writable_namespaces()" changed the
    query_writable_namespaces vfunc to never return NULL, but the error
    checking in g_daemon_file_query_writable_namespaces still assumes
    vfunc
    failure implies NULL return value and GError set. This causes a memory
    leak as on failure the GError will be set but the vfunc implementation
    will have created its own default list so NULL will not be returned,
    and
    the GError will never be cleared.

    This commit directly checks if the GError is set to detect failures,
    my_error is directly dereferenced in the error block anyway.

    This also removes an unneeded call to g_file_attribute_info_new(); as
    the vfunc always returns us a non-NULL GFileAttributeInfoList.

    https://bugzilla.gnome.org/show_bug.cgi?id=747364

 gio/gfile.c | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit fa17536598ac931b811727944d7d74f8f4059820
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Aug 21 00:43:54 2015 -0400

    Code cleanup

 gio/tests/testfilemonitor.c | 13 -------------
 1 file changed, 13 deletions(-)

commit b67dac56e30d8e1ba39d6ddf27ea198cecae6f33
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Aug 21 00:41:09 2015 -0400

    Add a test for cross dir moves

    This is a test that is described in

    https://bugzilla.gnome.org/show_bug.cgi?id=742849

 gio/tests/testfilemonitor.c | 133
 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 133 insertions(+)

commit 3498f29b81b522cf4697ff7384b7538f645a63d4
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Aug 21 00:08:57 2015 -0400

    Test resource filesystem attributes

 gio/tests/resources.c | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit d942c64267ec72c19fa1b74050f238041918a479
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Aug 21 00:01:12 2015 -0400

    resource file: Return some filesystem info

    We now return "resource" as the filesystem type, and state
    that the filesystem if readonly.

 gio/gresourcefile.c | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

commit 1bfdcc8499f49e197c2f59a94a101b03fad51482
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Aug 20 23:48:51 2015 -0400

    resource file: Add a dummy file monitor

    This avoids the fallback to polling in GFile, which is unnecessarily
    expensive for a resource which can never change.

 gio/gresourcefile.c | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

commit b995c08bf32cb701b92bd8c98651de2d77cade9e
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Aug 20 22:31:41 2015 -0400

    Remove unused files

    We no longer have GLocalDirectoryMonitor implementations.
    These files were not included in the build for a while now.

 gio/inotify/ginotifydirectorymonitor.c | 138
 ---------------------------------
 gio/inotify/ginotifydirectorymonitor.h |  51 ------------
 2 files changed, 189 deletions(-)

commit d66e3f57cd5dcc4a2768d40d2a1f1351328ca2fc
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Aug 20 22:30:19 2015 -0400

    Add more directory monitoring tests

    These tests clear up a misunderstanding of mine: Monitoring
    nonexisting files and directories *does* work with the inotify
    implementation, it just has a very long timeout for scanning
    for missing locations, so the test needs to take that into
    account.

 gio/inotify/inotify-missing.c |   2 +-
 gio/inotify/inotify-path.c    |   2 +-
 gio/inotify/inotify-sub.c     |   2 +-
 gio/tests/testfilemonitor.c   | 110
 ++++++++++++++++++++++++++++++++++++++----
 4 files changed, 103 insertions(+), 13 deletions(-)

commit ee31d492d80821ab72d6dd1c8950353ad12d54d0
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Aug 20 21:10:49 2015 -0400

    poll file monitor: Don't reimplement g_strcmp0

    We have that function now, so use it.

 gio/gpollfilemonitor.c | 22 +++-------------------
 1 file changed, 3 insertions(+), 19 deletions(-)

commit 09b618f0a162986e5f449acdb68ed125073f50b0
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Aug 20 20:16:23 2015 -0400

    Avoid a false deprecation

    gtk-doc misinterprets this comment and marks
    g_find_program_in_path as deprecated, which it isn't.

 glib/gutils.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fa0f51ddf8357f0dbfe1066befb2f73fa639c1e4
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Thu Jun 25 10:05:53 2015 +0200

    fileinfo: Add a G_FILE_ATTRIBUTE_STANDARD_IS_VOLATILE attribute

    This is meant for opaque, non-POSIX-like backends to indicate that the
    URI is not persistent. Applications should look at
    G_FILE_ATTRIBUTE_STANDARD_SYMLINK_TARGET for the persistent URI.
    Examples of such backends could be a portal for letting sandboxed
    applications access the file-system, or a database-backed storage like
    Google Drive.

    In these cases, the user visible file and folder names are different
    from the real identifiers, used by the backend. So, a request to
    create google-drive://user@gmail.com/foo/New\ File, would actually
    lead to google-drive://user@gmail.com/foo/bar on the server even
    though
    the user visible name is still "New File". Since the server-defined
    URI
    is persistent and sanity-checked by the backend, it is recommended
    that
    applications switch to it as soon as possible. Backends will try to
    keep a mapping from "fake" to "real" URIs, but those are only on a
    best effort basis. They might not be persistent or have the same
    guarantees as the "real" URIs.

    https://bugzilla.gnome.org/show_bug.cgi?id=741602

 docs/reference/gio/gio-sections.txt |  1 +
 gio/gfileinfo-priv.h                |  1 +
 gio/gfileinfo.c                     |  1 +
 gio/gfileinfo.h                     | 14 ++++++++++++++
 4 files changed, 17 insertions(+)

commit 4a076032cf6629b3c7bd742ddafae2c9dbbcfab4
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Aug 19 19:27:58 2015 -0400

    More file monitor tests

    Test regular writes and attribute changes with a file monitor,
    as well as various file changes under a directory monitor.

 gio/tests/testfilemonitor.c | 235
 +++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 233 insertions(+), 2 deletions(-)

commit b8aad73af9325307a9cf82544a38d58480bd6ebb
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Aug 19 16:24:22 2015 -0400

    2.45.6

 NEWS         | 5 +++++
 configure.ac | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 8d8a1c205b8eb5b54ea1fc8a2e39197dacb1788b
Author: Dan Winship <danw@gnome.org>
Date:   Wed Aug 19 16:21:46 2015 -0400

    fix previous

 gio/gdbusmethodinvocation.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c6862451411ae3039029fdd1e3697343fa2aed19
Author: Dan Winship <danw@gnome.org>
Date:   Wed Aug 19 13:21:00 2015 -0400

    gdbus: don't warn when returning a value on a closed connection

    g_dbus_method_invocation_return_value(), etc, don't have GError
    parameters (which makes sense since they won't usually return errors,
    and there's not much you could do if they did), so in the rare case
    when something does go wrong, they print a warning.

    However, there is at least one situation where the warning is a bad
    idea: if you are using private bus connections, and a client connects,
    makes a request, and then disconnects before getting the response.
    Given that there's nothing the caller can do to prevent this case from
    getting hit (since the client might not disconnect until after the
    call to g_dbus_method_invocation_return_value() starts) and given that
    the server can never actually know for sure that the client has
    received the response (it might disconnect after reading the response,
    but before processing it), just kill the warning in this case.

    https://bugzilla.gnome.org/show_bug.cgi?id=753839

 gio/gdbusmethodinvocation.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit fc38156cbab15561f3139b2e851668641a6b17af
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Aug 19 15:11:12 2015 -0400

    2.45.5

 NEWS         | 40 ++++++++++++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 41 insertions(+), 1 deletion(-)

commit 656494a7840cfb6c53c2cb9a27d82f58e2dd6f40
Author: Dan Winship <danw@gnome.org>
Date:   Wed Aug 19 15:45:11 2015 -0400

    gpermission: fix async error returns

    a8eedd00 broke the error return values from
    g_permission_acquire/release_async() on GSimplePermission. Fix that.

 gio/gpermission.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 8c32f7c448593862055a3b8de24514b76da96158
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Aug 19 07:10:55 2015 -0400

    Add some file monitoring tests

    Add a new test which checks that atomically replacing a file that
    is being monitored by GFileMonitor produced the expected events.

    The test can easily be expanded to cover other file monitoring
    scenarios.

 gio/tests/Makefile.am       |   1 +
 gio/tests/testfilemonitor.c | 226
 ++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 227 insertions(+)

commit ac78d14125a39f1677a5a5d77bb8ab4cb5f2d3c9
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Aug 19 07:10:01 2015 -0400

    inotify: Fix handling of paired events for atomic replace

    After the big file monitoring rewrite, we only put the IN_MOVED_FROM
    event
    in the queue for such pairs. It matches INOTIFY_DIR_MASK and thus
    we call
    ip_dispatch_event on it, but that function was filtering it out
    because
    the filename in the 'from' event is the one of the temp file, not the
    one we are monitoring. That name is in the 'to' event, so compare
    it as
    well, and let the event passin that case.

    There is another instance of this check in glocalfilemonitor.c,
    which is
    corrected here as well.

    https://bugzilla.gnome.org/show_bug.cgi?id=751358

 gio/glocalfilemonitor.c    | 4 ++--
 gio/inotify/inotify-path.c | 3 ++-
 2 files changed, 4 insertions(+), 3 deletions(-)

commit 780b48c4cdc97ca5607ba15bc73ce5cc64d67c04
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Wed Aug 19 20:35:38 2015 +0200

    Updated Spanish translation

 po/es.po | 394
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 198 insertions(+), 196 deletions(-)

commit 5a642651c799906ec67ebb268cbd8148cd774d0a
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Dec 19 15:27:03 2014 +0000

    gmessages: Mention g_return_if_fail() in g_warning() and g_error()
    docs

    It seems to be common for people to use g_warning() or g_error()
    as pre-
    and post-condition error reporting functions, which is not really what
    they’re intended for. Similarly, it is generally a sign of bad API
    design to use g_warning() to report errors — use GError instead.

    Try and suggest this to the user in the hope that nice code results.

    https://bugzilla.gnome.org/show_bug.cgi?id=741779

 glib/gmessages.c | 8 ++++++++
 1 file changed, 8 insertions(+)

commit ef1ba452b3302e75f767d6160cf8d379af55d90d
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Dec 19 15:21:09 2014 +0000

    gsignal: Document memory management best practices for signal handlers

    It’s quite common to see naked g_signal_connect() calls without
    a paired
    g_signal_handler_disconnect(). This is commonly a bug which could lead
    to uses of the callback user data after it’s been freed.

    Document the best practices for avoiding this kind of bug by properly
    disconnecting all signal handlers.

    https://bugzilla.gnome.org/show_bug.cgi?id=741779

 gobject/gsignal.c | 26 ++++++++++++++++++++++++++
 gobject/gsignal.h |  3 +++
 2 files changed, 29 insertions(+)

commit db8455f07d3d58b8d30d35371c0bbd3e342c8960
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Dec 18 16:01:26 2014 +0000

    gmain: Document memory management best practices for GSources

    It’s very common to see code where a timeout is scheduled using
    g_timeout_add(), yet the owning object could be destroyed shortly
    afterwards, before the timeout is fired, leading to use-after-free.

    Try and prevent this happening with new code by documenting best
    practices for memory management of user data for GSource callbacks.

    https://bugzilla.gnome.org/show_bug.cgi?id=741779

 glib/gmain.c | 50 ++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 50 insertions(+)

commit c5cd1c5f023c6d03de9e551d0b0fde2d2f383d29
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Jan 16 09:44:27 2015 +0000

    gobject: Add cross-links from GObject reference docs to tutorials

    Add some brief links from the GObject reference documentation to the
    existing tutorial and overview sections on GObjects.

    https://bugzilla.gnome.org/show_bug.cgi?id=743018

 gobject/gobject.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 9874fe3c400f16bbe6769899702a343da525e1d6
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Jan 16 09:43:16 2015 +0000

    gobject: Cross-link from GType reference docs to GType conventions
    page

    Make it a little easier to find the GType conventions page, which I
    guess should be the canonical guide to how to name things.

    This adds a brief mention of the valid characters in a type name
    to the
    conventions page.

    https://bugzilla.gnome.org/show_bug.cgi?id=743018

 docs/reference/gobject/tut_gtype.xml | 4 ++++
 gobject/gtype.c                      | 8 ++++----
 2 files changed, 8 insertions(+), 4 deletions(-)

commit 10f96a914d4bdd9a472d304f76e2f1ed6ff47355
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Wed Aug 19 10:59:44 2015 +0000

    Updated Slovak translation

 po/sk.po | 407
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 208 insertions(+), 199 deletions(-)

commit d624bf4e6673cc989f0d452c6bc2f26b526891c9
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Dec 19 17:05:36 2014 +0000

    gthread: Suggest using *_async() functions instead of threads

    It’s unfortunately common to see worker threads being spawned
    all over
    the place to do operations which could be brought into the main thread
    with an async call, simplifying everything.

    https://bugzilla.gnome.org/show_bug.cgi?id=741779

 glib/gthread.c | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

commit 5ee333e4cb0b3d2160fcde7c6b3287fe2a8f079e
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Mar 4 11:37:40 2015 +0000

    gstrfuncs: Add a string formatting note about using G_GUINT64_FORMAT

    …and friends. The ‘String precision pitfalls’ section is
    already linked
    to from all the relevant printf()-style functions, so this
    documentation
    should hopefully be easy to find.

    https://bugzilla.gnome.org/show_bug.cgi?id=741779

 glib/gstrfuncs.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit 8c858a018d752e06e4a9720735ffc495c3159e20
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Dec 19 17:23:54 2014 +0000

    gvariant: Clarify that nullable strings should use maybe types

    Otherwise people might try to encode a NULL string as "NULL". I’m
    not
    even kidding.

    https://bugzilla.gnome.org/show_bug.cgi?id=741779

 docs/reference/glib/gvariant-varargs.xml | 3 ++-
 glib/gvariant.c                          | 9 ++++++---
 2 files changed, 8 insertions(+), 4 deletions(-)

commit 5d014a802a4b47fbf5774f613d61b4218a1aa2a2
Author: Janusz Lewandowski <lew21@xtreeme.org>
Date:   Fri Oct 10 22:58:20 2014 +0200

    Add a g_dbus_connection_register_object_with_closures function

    This is a binding-friendly version of
    g_dbus_connection_register_object.
    Based on a patch by Martin Pitt and the code of
    g_bus_watch_name_with_closures.

    https://bugzilla.gnome.org/show_bug.cgi?id=656325

 docs/reference/gio/gio-sections.txt |   1 +
 gio/gdbusconnection.c               | 253
 ++++++++++++++++++++++++++++++++++++
 gio/gdbusconnection.h               |   8 ++
 gio/tests/gdbus-export.c            |  58 ++++++++-
 4 files changed, 313 insertions(+), 7 deletions(-)

commit 61254347b19fa82c53a4f764346b5cb6b2aaf5dc
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Sat Aug 15 11:36:48 2015 +0000

    Updated French translation

 po/fr.po | 517
 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 258 insertions(+), 259 deletions(-)

commit 23d8cc57634945d4fcd86eba26e8bdbe1ecf2fa1
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Tue Aug 11 19:41:08 2015 +0200

    Updated Norwegian bokmål translation.

 po/nb.po | 725
 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 361 insertions(+), 364 deletions(-)

commit 66116fc272c01a16188b5ce25ab8e88d01d48d92
Author: Jordi Mas <jmas@softcatala.org>
Date:   Tue Aug 11 08:05:34 2015 +0200

    Update Catalan translation

 po/ca.po | 765
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 389 insertions(+), 376 deletions(-)

commit 34277d69960960aeeb936629fc4c5326c7414f25
Author: Felix Riemann <friemann@gnome.org>
Date:   Sun Aug 9 23:13:38 2015 +0200

    gio: g_menu_item_set_icon should not fail if icon is NULL

    It allows passing a NULL icon to unset the icon and thus should not
    log a critical warning if used like that.

    https://bugzilla.gnome.org/show_bug.cgi?id=753285

 gio/gmenu.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0993cf6dc08829aa7ef826f26757b36b5f6f92b4
Author: Muhammet Kara <muhammetk@gmail.com>
Date:   Sun Aug 9 15:46:12 2015 +0000

    Updated Turkish translation

 po/tr.po | 748
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 379 insertions(+), 369 deletions(-)

commit a8eedd00a726483cd29a2a5c9660c82438a5d57e
Author: Dan Winship <danw@gnome.org>
Date:   Fri Aug 7 09:48:27 2015 -0400

    gio: fix a leftover GSimpleAsyncResult usage

    And remove remaining unnecessary gsimpleasyncresult.h includes

 gio/gconverterinputstream.c    |  1 -
 gio/gconverteroutputstream.c   |  1 -
 gio/gdbusobjectmanagerclient.c |  1 -
 gio/gdummytlsbackend.c         |  1 -
 gio/gpermission.c              | 11 ++++++-----
 gio/gproxyresolver.c           |  1 -
 gio/gresolver.c                |  1 -
 gio/gunixinputstream.c         |  1 -
 gio/gunixmount.c               |  1 -
 gio/gunixoutputstream.c        |  1 -
 gio/gwin32inputstream.c        |  1 -
 gio/gwin32mount.c              |  1 -
 gio/gwin32outputstream.c       |  1 -
 13 files changed, 6 insertions(+), 17 deletions(-)

commit e02fa68068b05cdc93283af043e735cd19f40fcc
Author: Dan Winship <danw@gnome.org>
Date:   Fri Aug 7 09:47:09 2015 -0400

    gsettings-tool: fix deprecated call

 gio/gsettings-tool.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ff3dee4bf68c7bf971185f7fe6d06e71a71293d9
Author: Dan Winship <danw@gnome.org>
Date:   Thu Aug 6 17:00:16 2015 -0400

    gdbus: fix gdbus-exit-on-close for gdbusconnection change

 gio/tests/gdbus-exit-on-close.c | 12 ++----------
 1 file changed, 2 insertions(+), 10 deletions(-)

commit a3660532535f92cfac136435579ed4f23231f48c
Author: Dan Winship <danw@gnome.org>
Date:   Fri Aug 7 09:46:49 2015 -0400

    glib: remove deprecated g_mem_is_system_malloc() check in gprintf.c

 glib/gprintf.c | 7 -------
 1 file changed, 7 deletions(-)

commit ebaa1de304ccad8cd9b82e5d49f229bf1815d529
Author: Dan Winship <danw@gnome.org>
Date:   Thu Aug 6 15:45:47 2015 -0400

    glib: drop array-test test for bug 568760

    The test relied on g_mem_set_vtable(), so it fails now. But no one
    ever touches that code so it's not like we're going to break it again
    anyway.

 glib/tests/array-test.c | 37 -------------------------------------
 1 file changed, 37 deletions(-)

commit a0e74f6033e2a5aeab1de175de5bfb28328eb23d
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Thu Aug 6 22:53:12 2015 +0300

    Updated Lithuanian translation

 po/lt.po | 751
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 383 insertions(+), 368 deletions(-)

commit 66bc9660c44b71c8bff47b4f7e16a801169a9f23
Author: Colin Walters <walters@verbum.org>
Date:   Mon Jan 5 09:40:37 2015 -0500

    gdbusconnection: Don't g_printerr() when exiting

    exit-on-close for a DBus connection is a completely normal thing.  On
    a regular GNOME login, gdm retains the X server, but terminates the
    session login bus and associated helpers like gnome-settings-dameon,
    the a11y tools, etc.

    I've seen several downstream reports of confusion as to what these
    apparent error messages mean in the system log.  It doesn't help
    that they're so obtuse.

    We're also printing them to stderr, when this is not an error.

    The reason this was introduced is presumably some people were confused
    as to why their process exited when the system bus did.  But the
    solution for that I believe is documentation, not printing stuff to
    everyone's system log in normal operation.

    https://bugzilla.gnome.org/show_bug.cgi?id=742386

 gio/gdbusconnection.c | 11 -----------
 1 file changed, 11 deletions(-)

commit 905e916573a6a714bfbf513df2bb07bb365ca2a8
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Aug 5 17:18:48 2015 -0400

    Don't leak an error

    The previous commit introduced a possible memory leak in cases
    where we get a G_IO_ERROR_CLOSED error. Make sure to always
    free an error, if we got one.

    https://bugzilla.gnome.org/show_bug.cgi?id=753278

 gio/gdbusobjectmanagerserver.c | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit b3fcb1442e81d14846a8b5d2e33352ac0f6d48ea
Author: Stef Walter <stefw@redhat.com>
Date:   Wed Aug 5 13:25:47 2015 +0200

    gdbus: Don't use g_assert_no_error() GDBusObjectManagerServer

    There are real world cases where emitting signals can fail, such
    as if the DBus connection closes. Asserting and aborting the process
    in these cases is just plain lazy.

    Ignore the errors when the connection is closed, and turn the
    others into warnings.

    https://bugzilla.gnome.org/show_bug.cgi?id=753278

 gio/gdbusobjectmanagerserver.c | 14 ++++++++++++--
 1 file changed, 12 insertions(+), 2 deletions(-)

commit 46cf19c447f50d0aa9a4aee8c58ef2a7da2033ef
Author: Andika Triwidada <andika@gmail.com>
Date:   Mon Aug 3 11:28:22 2015 +0000

    Updated Indonesian translation

 po/id.po | 1010
 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 514 insertions(+), 496 deletions(-)

commit a2a35870364d925d1217e4973bbcff53fc3c880d
Author: Benjamin Otte <otte@redhat.com>
Date:   Sun Aug 2 17:36:05 2015 +0200

    gmain: Document return value of GSourceFuncs.dispatch

 glib/gmain.h | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 6b652b1a2e7c6f67e9576e4331da76971d54cc68
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Jul 29 11:56:41 2015 +0100

    gio: Fix application of GNetworkMonitor:network-metered patch

    The wrong patch from https://bugzilla.gnome.org/show_bug.cgi?id=750282
    was applied, causing test failures due to not implementing the
    property
    on GNetworkMonitorBase (plus some other omissions).

    Fix that by reverting commit a80e7db1a8f26dc558085844dcb8003edb6eca74
    and re-applying the correct patch over the top.

    https://bugzilla.gnome.org/show_bug.cgi?id=750282

 gio/gnetworkmonitor.c       | 18 +++++++++++-------
 gio/gnetworkmonitorbase.c   |  7 +++++++
 gio/gnetworkmonitornm.c     |  9 ++++++---
 gio/tests/network-monitor.c | 11 +++++++++++
 4 files changed, 35 insertions(+), 10 deletions(-)

commit 7f195ac956153b06483bd0e78cfd3b5c100413b5
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Tue Jul 28 10:13:12 2015 +0100

    gresource: Clarify error docs for g_resource_enumerate_children()

    Document that it returns G_RESOURCE_ERROR_NOT_FOUND if the path
    doesn’t
    exist.

 gio/gresource.c | 3 +++
 1 file changed, 3 insertions(+)

commit 6e4e1c168c2fa1fea4b449ba7a4b551aa4b6af6e
Author: Akom Chotiphantawanon <knight2000@gmail.com>
Date:   Tue Jul 28 15:55:05 2015 +0700

    Updated Thai translation

 po/th.po | 371
 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 185 insertions(+), 186 deletions(-)

commit b173244b7d06234ff45027ca277da9dd986b5b37
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Jul 28 00:04:35 2015 -0400

    Remove malloc tests

    These tests were about the no longer supported
    vtable functionality, so just remove them.

 glib/tests/Makefile.am |   1 -
 glib/tests/malloc.c    | 117
 -------------------------------------------------
 2 files changed, 118 deletions(-)

commit 3be6ed60aa58095691bd697344765e715a327fc1
Author: Alexander Larsson <alexl@redhat.com>
Date:   Sat Jun 27 18:38:42 2015 +0200

    Deprecate and drop support for memory vtables

    The memory vtables no longer work, because glib contructors are called
    before main(), so there is no way to set it them before use. This
    stops using
    the vtable at all, and deprecates and stubs out the related functions.

    https://bugzilla.gnome.org/show_bug.cgi?id=751592

 glib/gmem.c | 386
 +++++-------------------------------------------------------
 glib/gmem.h |   8 +-
 2 files changed, 34 insertions(+), 360 deletions(-)

commit 08a3f3f3d2190c7ff393ea13c5a310ba8a13a2e0
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jul 27 07:52:27 2015 -0400

    GOptionContext: Don't crash without main group

    This was introduced in 126c685f4aa and caused e.g. gdbus
    to crash when called without arguments.

    https://bugzilla.gnome.org/show_bug.cgi?id=752210

 glib/goption.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 17871e6881beb401eebb8b05eccb01490cfa85b6
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jul 27 06:51:17 2015 -0400

    Add a note to the g_str_hash docs

    Point out some shortcomings of the djb hash, as found in

    https://bugzilla.gnome.org/show_bug.cgi?id=751610

 glib/ghash.c | 4 ++++
 1 file changed, 4 insertions(+)

commit a80e7db1a8f26dc558085844dcb8003edb6eca74
Author: Richard Hughes <richard@hughsie.com>
Date:   Tue Jun 2 15:41:48 2015 +0100

    gio: Add network metered information to GNetworkMonitor

    Add a property to GNetworkMonitor indicating if the network
    is metered, e.g. subject to limitations set by service providers.

    The default value is FALSE

    https://bugzilla.gnome.org/show_bug.cgi?id=750282

 docs/reference/gio/gio-sections.txt |  1 +
 gio/gnetworkmonitor.c               | 47
 +++++++++++++++++++++++++++++++++++++
 gio/gnetworkmonitor.h               |  3 +++
 gio/gnetworkmonitornm.c             | 46
 ++++++++++++++++++++++++++++++++++++
 4 files changed, 97 insertions(+)

commit 9c4887027d6bd09f38120b195c677dbe3bc5654b
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jul 27 06:24:44 2015 -0400

    Remove some questionable documentation

    A function that takes a lock can certainly block in the sense
    that it has to wait if the lock is taken.

    https://bugzilla.gnome.org/show_bug.cgi?id=751751

 glib/gasyncqueue.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit c885d42751e35ac8210f889d80e4b059a08d86ae
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Jul 26 21:39:53 2015 -0400

    Add tests for GApplication::handle-local-options

 gio/tests/gapplication.c | 132
 +++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 132 insertions(+)

commit 243d740c0430a2fa123c2428bf25ae80768ed633
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:   Sun Jun 21 10:51:50 2015 +0200

    gapplication: Stop handle-local-options emission on errors

    A signal accumulator can return TRUE to continue signal emission, and
    FALSE to stop signal emission. handle-local-options callbacks
    can return
    « return a non-negative option if you have handled your options and
    want to exit the process ».

    Currently, g_application_handle_local_options_accumulator (the
    accumulator for the handle-local-options signal) returns TRUE on
    non-negative return value (ie continue signal emission), and returns
    FALSE on negative return values (ie when the default option processing
    should continue).
    This return value seems backward as on >= 0 values, subsequent
    handle-local-options callbacks could overwrite the 'exit request' from
    the handler, while on < 0 values, the handle-local-options processing
    could end up early if several callbacks are listening for this signal.
    In particular, the default handler for this signal
    (g_application_real_handle_local_options) always returns -1 and will
    overwrite >= 0 return values from other handlers.

    This commit inverts the check so that signal emission stops early when
    one of the handle-local-options callbacks indicates it wants
    processing
    to stop and the process to exit.

    https://bugzilla.gnome.org/show_bug.cgi?id=751598

 gio/gapplication.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2551685cf629b7f34030f146d71d2400825d36f7
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:   Sun Jun 21 10:56:58 2015 +0200

    gapplication: Fix typos in handle-local-options API doc

    The @options parameter was missing an 's', and the name of
    g_application_command_line_get_options_dict() was not correct.

    https://bugzilla.gnome.org/show_bug.cgi?id=751598

 gio/gapplication.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit c7e49a324164e80cfa64a1a66c110edde5e93cec
Author: Marek Černocký <marek@manet.cz>
Date:   Sat Jul 25 03:27:32 2015 +0200

    Updated Czech translation

 po/cs.po | 479
 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 234 insertions(+), 245 deletions(-)

commit 0441ae1ccf31ab10c4c65c74ea58012c44106be5
Author: Peter Meerwald <p.meerwald@bct-electronic.com>
Date:   Thu Jul 23 11:38:47 2015 +0200

    ghash: Fix typo in g_hash_table_replace() documentation

    https://bugzilla.gnome.org/show_bug.cgi?id=752767

 glib/ghash.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8520ae3ffa71e2680076fd3fcc1b7350a364ae76
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Jun 12 08:32:11 2015 +0100

    gsocket: Factor out blocking parameter from g_socket_send_messages()

    This will make future API additions easier. The factored version is
    internal for the time being.

    https://bugzilla.gnome.org/show_bug.cgi?id=751924

 gio/gsocket.c | 25 ++++++++++++++++++++++++-
 1 file changed, 24 insertions(+), 1 deletion(-)

commit b65287fea54eea8979914b06ff44adea4bc809cc
Author: TingPing <tingping@tingping.se>
Date:   Sat Dec 20 18:59:15 2014 -0500

    win32: Fix leak in g_win32_get_command_line()

    https://bugzilla.gnome.org/show_bug.cgi?id=741822

 glib/gwin32.c | 1 +
 1 file changed, 1 insertion(+)

commit 3cc349b04e76880a9d2f3c3d2195d171e110f66c
Author: TingPing <tingping@tingping.se>
Date:   Sat Dec 20 18:39:00 2014 -0500

    win32: Replace usage of __wgetmainargs()

    It was an internal function that has been removed with VS 2015

    Use g_win32_get_command_line() or CommandLineToArgvW() directly.

    https://bugzilla.gnome.org/show_bug.cgi?id=741822

 gio/tests/gio-du.c         | 49
 ++++++++++++++++------------------------------
 glib/gspawn-win32-helper.c | 20 +++----------------
 glib/gspawn.c              |  9 ++-------
 3 files changed, 22 insertions(+), 56 deletions(-)

commit be7de8a7fd0883f8514cf8b532ce1c820f7e35fa
Author: Arun Raghavan <git@arunraghavan.net>
Date:   Tue Jul 21 12:09:16 2015 +0530

    gdbusconnection: Fix signal subscription documentation

    https://bugzilla.gnome.org/show_bug.cgi?id=752656

 gio/gdbusconnection.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 53d487e31bc41cca9bca147e02e81b69e404fe07
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Jul 21 11:26:29 2015 +0800

    config.h.win32.in: Clean Up and Update

    Merge the parts that has things to do with stdint.h and inttypes.h
    with
    the !_MSC_VER portions, and add initial support for Visual Studio
    2015,
    which added support for C99 snprintf() and vsnprintf().

    Not too sure about the !_MSC_VER for C99 snprintf() and vsnprintf(),
    but
    since this file is mainly for Visual Studio builds, anyways...

 config.h.win32.in | 38 +++++++++++++++++---------------------
 1 file changed, 17 insertions(+), 21 deletions(-)

commit ab3805ab0471d47a2f7cc93d15eeb392c9d22b4b
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jul 20 16:00:16 2015 -0400

    2.45.4

 NEWS         | 27 +++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 28 insertions(+), 1 deletion(-)

commit de1bd45fe9ef82c1f5f48c63975ee18ede67d23a
Author: Dan Winship <danw@gnome.org>
Date:   Mon Jul 20 17:33:42 2015 -0400

    gio/tests/task: fix for change to cancellation behavior

    Multiple tasks cancelled at the same time now complete in the opposite
    order from how they used to. Fix the test to not assume any particular
    order.

 gio/tests/task.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 717ebba9d78151c999b1c1d08dc539be978ee27c
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Jul 20 21:39:49 2015 +0200

    Updated POTFILES.in

 po/POTFILES.in | 1 +
 1 file changed, 1 insertion(+)

commit 45e99833e39af76ec9db13bb9d9edcaf3a719870
Author: Paolo Borelli <pborelli@gnome.org>
Date:   Sun Jul 19 23:47:57 2015 +0200

    Move a unit test to the right file

    Move a test for threaded socket service to socket-service.c.

 gio/tests/socket-listener.c | 134
 -------------------------------------------
 gio/tests/socket-service.c  | 136
 ++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 136 insertions(+), 134 deletions(-)

commit e1d44799c0ba87506873c309ad4e16cce13bbfc4
Author: Paolo Borelli <pborelli@gnome.org>
Date:   Fri Jul 10 21:30:28 2015 +0200

    socketservice: add an "active" property

    We already have start, stop and is_active methods, but turning it
    into a real property is useful for a few reasons:
     - it allows us to bind the property to an UI or a setting
     - it allows us to get notified when the state changes
     - it allows us to instantiate objects directly in the stopped state

    https://bugzilla.gnome.org/show_bug.cgi?id=752089

 gio/gsocketservice.c       | 142
 ++++++++++++++++++++++++++++++++++++---------
 gio/tests/.gitignore       |   1 +
 gio/tests/Makefile.am      |   1 +
 gio/tests/socket-service.c | 111 +++++++++++++++++++++++++++++++++++
 4 files changed, 226 insertions(+), 29 deletions(-)

commit a223796d0b4f47277fe570313829376db0de8108
Author: Paolo Borelli <pborelli@gnome.org>
Date:   Sun Jul 12 19:51:17 2015 +0200

    networkaddress: use free_full

    https://bugzilla.gnome.org/show_bug.cgi?id=752293

 gio/gnetworkaddress.c | 10 +---------
 1 file changed, 1 insertion(+), 9 deletions(-)

commit 6a392a55ec37f33e001bad6495c8513f28f160cc
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Sun Jul 19 12:39:15 2015 +0300

    Updated Hebrew translation

 po/he.po | 449
 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 224 insertions(+), 225 deletions(-)

commit 0c121775145645b847aace30d403496d81261fae
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Jul 17 16:46:26 2015 -0400

    notification: Add an assertion to clarify

    Coverity doesn't see that g_enum_get_value will never return
    NULL here since we always pass it a valid enum value. Help
    it along with an assertion.

 gio/gnotification.c | 1 +
 1 file changed, 1 insertion(+)

commit dab20975872a9b3d5f37beffa9e8e2b78efe6c02
Author: Daniel Macks <dmacks@netspace.org>
Date:   Wed Jul 1 14:36:35 2015 -0400

    Use GRegexMatchFlags not GRegexCompileFlags for TEST_MATCH _match_opts

    Fix the enums used in some test cases to use the correct enum type in
    some test cases.

    https://bugzilla.gnome.org/show_bug.cgi?id=751798

 glib/tests/regex.c | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

commit 27fae8390946e73e8343a7fd7505796f3599ee23
Author: Ilya Konstantinov <ilya.konstantinov@gmail.com>
Date:   Thu Jun 11 21:42:00 2015 +0300

    gbacktrace: fix G_BREAKPOINT on Darwin (OSX, iOS)

    Using __builtin_trap() according to Apple's own documentation:
    https://developer.apple.com/library/mac/technotes/tn2124/_index.html#//apple_ref/doc/uid/DTS10003391-CH1-SECCONTROLLEDCRASH

    https://bugzilla.gnome.org/show_bug.cgi?id=750807

 glib/gbacktrace.h | 2 ++
 1 file changed, 2 insertions(+)

commit dafc454e70460b371775a876f3831f280bf097b8
Author: Xavier Claessens <xavier.claessens@collabora.com>
Date:   Wed Jul 8 14:38:16 2015 -0400

    GAsyncInitable: Fix leaked object when using _newv_async

 gio/gasyncinitable.c | 1 +
 1 file changed, 1 insertion(+)

commit 7ed76a4eca245edbf3149815a06795065164cb1f
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Mon Jul 6 10:21:33 2015 -0400

    file monitors: report MOVED only with both sides

    Make sure we know the destination file before reporting a MOVED event.
    Otherwise, we should just fall back to reporting it as a DELETED.

    https://bugzilla.gnome.org/show_bug.cgi?id=751731

 gio/glocalfilemonitor.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c5221f8aea3c4407024a665ce66d8535237d7d62
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:   Mon Jul 6 01:50:10 2015 +0300

    Updated Greek translation

 po/el.po | 717
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 367 insertions(+), 350 deletions(-)

commit e337fe31637fe868ab94b488caf9b4898a2a1040
Author: Руслан Ижбулатов <lrn1986@gmail.com>
Date:   Thu Jul 2 11:06:17 2015 +0000

    W32: Add back the dummy g_app_info_reset_type_associations()

 gio/gwin32appinfo.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 155a6886357eefaed1da156b6593c7a6ec7cddd1
Author: Руслан Ижбулатов <lrn1986@gmail.com>
Date:   Wed Jun 24 10:07:40 2015 +0000

    W32: Add a g_app_info_get_all_for_type() implementation

    Also add g_app_info_get_fallback_for_type() and
    g_app_info_get_recommended_for_type() as proxies for
    g_app_info_get_all_for_type(), until gcontenttype support is improved.

 gio/gwin32appinfo.c | 77
 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 77 insertions(+)

commit b9d919bd8f95e9eac7144ec7c413256c3f5cfc56
Author: Руслан Ижбулатов <lrn1986@gmail.com>
Date:   Wed Jun 24 10:07:15 2015 +0000

    Don't ref a NULL pointer

 gio/gwin32appinfo.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f405f4211565fde3c58f3da9b18ddcdc5d82ccf2
Author: Stef Walter <stefw@redhat.com>
Date:   Tue Mar 17 13:06:02 2015 +0100

    gsocket: Don't g_error() if file-descriptor is not a socket

    This code was out of date with current coding practices.

    Nowadays it's common to receive file descriptors over environment
    variables from other processes like systemd. The unit files that
    control these file descriptors are configurable by sysadmins.

    It is not (necessarily) a programmer error when
    g_socket_details_from_fd()
    is called with a file descriptor that is not a socket. It can also
    be a system and/or configuration error.

    https://bugzilla.gnome.org/show_bug.cgi?id=746339

 gio/gsocket.c | 21 +++------------------
 1 file changed, 3 insertions(+), 18 deletions(-)

commit a9c8cc143ce696c70526fb24079fb04b98adbfc7
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:   Wed Jul 1 21:58:39 2015 +0000

    Updated Portuguese translation

 po/pt.po | 2072
 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 1076 insertions(+), 996 deletions(-)

commit f2c1cfe8c770f73367a021044bcdda550348714c
Author: Iain Lane <iain@orangesquash.org.uk>
Date:   Tue Jun 30 17:13:49 2015 +0100

    gio/tests/appmonitor: Delete file before checking for changed event

    In 4e7d22e268a4e06beb1c09585a48288c31004da5, deleting the file
    was moved
    after the assertion which checks for the changed event that results
    from
    it being deleted. This is the wrong way around and makes the assertion
    fail.

    Move the deletion back up before we check the condition. delete_app is
    no longer an idle callback so it can be made void. The change
    notification might come in when the loop isn't running now, so
    don't try
    to quit if it isn't running. In this case we'll wait for the three
    second timeout and the test will still pass.

    https://bugzilla.gnome.org/show_bug.cgi?id=751737

 gio/tests/appmonitor.c | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 475445e6e0e1388af7c07eedd1fb3c7679e09561
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Jun 29 20:14:40 2015 +0100

    tests: Fix compiler warning

    Use `const gchar * const` to define a const array of const strings,
    and
    initialize the array when declaring it.

    https://bugzilla.gnome.org/show_bug.cgi?id=751672

 glib/tests/keyfile.c | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit b25fa8feed42d226b63f4d89ebf4b07041d26181
Author: Dan Winship <danw@gnome.org>
Date:   Sun Jun 21 12:10:06 2015 -0400

    gio/tests/socket.c: fix on OS X

    The semantics of calling shutdown() on a dup()ed socket aren't
    well-specified, so don't require any specific behavior.

    https://bugzilla.gnome.org/show_bug.cgi?id=747676

 gio/tests/socket.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit b97d666b2f4ce7f05b54f07906122608358fc177
Author: Dan Winship <danw@gnome.org>
Date:   Sun Jun 21 12:00:07 2015 -0400

    gio/tests/socket.c: clean up a test case a bit

 gio/tests/socket.c | 33 ++++++++++++++++++---------------
 1 file changed, 18 insertions(+), 15 deletions(-)

commit 368c3f205ff6447e140396cfac10db31de70f135
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Jun 18 10:37:46 2015 -0400

    GTask: Remove unused function

    We no longer resort the queue, so this function can go.

    https://bugzilla.gnome.org/show_bug.cgi?id=751160

 gio/gtask.c | 8 --------
 1 file changed, 8 deletions(-)

commit e419e1c4e212b1195c8e531fd6eeb4a0b80108d3
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Jun 18 10:36:23 2015 -0400

    GTask: Avoid resorting

    When a task is cancelled, we want to move it to the front
    of the queue - our sort function does that for us, but there
    is no need to resort the entire queue here, we can just
    move the one item and be done with it. This uses just-introduced
    threadpool api for this purpose.

    https://bugzilla.gnome.org/show_bug.cgi?id=751160

 gio/gtask.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 9486f697bb3ed3b02fa2c82f50662fde7d77267e
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jun 29 08:19:31 2015 -0700

    GThreadPool: Add some queue manipulation api

    GTask has a need for an api that boosts an unprocessed
    item to the front of the queue, so add one.

    https://bugzilla.gnome.org/show_bug.cgi?id=751160

 docs/reference/glib/glib-sections.txt |  1 +
 glib/gthreadpool.c                    | 30 ++++++++++++++++++++++++++++++
 glib/gthreadpool.h                    |  4 ++++
 3 files changed, 35 insertions(+)

commit 26d87927109d0758775e5455d4c0a22c1b3f9f75
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jun 22 11:35:06 2015 -0400

    Add tests for new GAsyncQueue api

    https://bugzilla.gnome.org/show_bug.cgi?id=751160

 glib/tests/asyncqueue.c | 48
 ++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 48 insertions(+)

commit b662c6f09fe1a01bb1345f6cd7ab5a702eec5ee3
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Jun 18 10:26:14 2015 -0400

    GAsyncQueue: Add some useful api

    The underlying queue supports removing and pushing items to
    the front, and these operations can sometimes be useful.

    https://bugzilla.gnome.org/show_bug.cgi?id=751160

 docs/reference/glib/glib-sections.txt |   4 ++
 glib/gasyncqueue.c                    | 100
 ++++++++++++++++++++++++++++++++++
 glib/gasyncqueue.h                    |  13 +++++
 3 files changed, 117 insertions(+)

commit 5574315b5207e959d162553e3bb5681b6264fe27
Author: Ting-Wei Lan <lantw@src.gnome.org>
Date:   Wed Apr 29 14:51:14 2015 +0800

    tests: Fix tests that fail with non-English locales

    Some tests check whether the translated messages are expected,
    so we have to
    force the use of English locales for them.

    https://bugzilla.gnome.org/show_bug.cgi?id=748610

 glib/tests/date.c             | 2 +-
 glib/tests/fileutils.c        | 1 +
 glib/tests/markup-subparser.c | 1 +
 glib/tests/option-context.c   | 3 +--
 4 files changed, 4 insertions(+), 3 deletions(-)

commit f9af40a1330a8226d72c96bff56cdb4ab895dac7
Author: Dan Winship <danw@gnome.org>
Date:   Tue Jun 9 09:19:43 2015 -0400

    Fix a FIXME in the WinXP inet_pton() implementation

    https://bugzilla.gnome.org/show_bug.cgi?id=749912

 gio/ginetaddress.c | 44 ++++++++++++++++----------------------------
 1 file changed, 16 insertions(+), 28 deletions(-)

commit a4c3ab58ccf32b0f50ce6f78fa7d18ee5745d510
Author: Wouter Paesen <wouter@blue-gate.be>
Date:   Tue May 26 17:03:50 2015 +0200

    Fix g_inet_address_to_string() on XP

    [This patch originally also included an equivalent to the fix that was
    committed in 3e29dada, but that was not the complete fix for the bug.]

    https://bugzilla.gnome.org/show_bug.cgi?id=749911

 gio/ginetaddress.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 93dadb17ce9840a6c835f89984350edfb68a5946
Author: Ting-Wei Lan <lantw@src.gnome.org>
Date:   Thu Feb 19 01:18:42 2015 +0800

    gmessages: Add G_GNUC_NORETURN to g_error static function declaration

    https://bugzilla.gnome.org/show_bug.cgi?id=741901

 glib/gmessages.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d7a1d890c109c8610333f938dee15e5d938ee8d8
Author: Ting-Wei Lan <lantw@src.gnome.org>
Date:   Thu Jan 1 13:28:21 2015 +0800

    gmacros: Only set G_ANALYZER_ANALYZING to 1 when clang static analyzer
    is in use

    We set G_ANALYZER_ANALYZING to 1 when clang supporting static
    analyzing before,
    but this will cause compilation error when -Werror=return-type is
    used and the
    static analyzer is not in use because g_error static function only has
    __attribute__((analyzer_noreturn)), which is useless for normal
    compilation.

    https://bugzilla.gnome.org/show_bug.cgi?id=741901

 glib/gmacros.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cb86c222cce2436d6a213e574fbba159b6f34010
Author: Christian Hergert <christian@hergert.me>
Date:   Sat Jun 27 22:41:13 2015 -0700

    gtypemodule: use G_GNUC_UNUSED in G_DEFINE_DYNAMIC_TYPE_EXTENDED

    We already do this in the normal case, might as well support it
    for the
    dynamic type module case as well. This prevents seeing a warning
    when not
    using the get_instance_private() in the dynamic type.

 gobject/gtypemodule.h | 1 +
 1 file changed, 1 insertion(+)

commit 409202c1fd6552d4f655ffed3bcc649f30a7dcdb
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Tue Apr 8 09:12:24 2014 +0100

    build: Ensure glibconfig.h.win32 is in DISTCLEANFILES

    Otherwise it’s possible for it to not be regenerated when
    glibconfig.h
    is, leading to inconsistencies.

    https://bugzilla.gnome.org/show_bug.cgi?id=727829

 glib/Makefile.am | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit c612fcab0fb2d3f0bdaf011d5b566dc949dbd18a
Author: Kalev Lember <klember@redhat.com>
Date:   Mon Jun 22 19:56:38 2015 +0200

    gapplication: Initialize backend before withdrawing notifications

    Make sure to initialize the notification backend in
    g_application_withdraw_notification() the same way as is done in
    g_application_send_notification().

    This makes it possible for an app to withdraw notifications it
    has sent
    in a previous execution of the application.

    https://bugzilla.gnome.org/show_bug.cgi?id=750625

 gio/gapplication.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit bb41a89c42dc4b24dc0a302b406df78e7c273744
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jun 22 12:46:32 2015 -0400

    2.45.3

 NEWS         | 2 ++
 configure.ac | 2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

commit 4e7d22e268a4e06beb1c09585a48288c31004da5
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Jun 23 06:55:28 2015 -0400

    Fix distcheck

    The appmonitor test was sometimes leaving files behind, causing
    distcheck some heartburn.

 gio/tests/appmonitor.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 3e29dadae46fe4d1e26ff91c30d9d3b84eb6d84e
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Jun 23 13:52:25 2015 +0800

    gio/ginetaddress.c: Fix Windows XP inet_pton() Emulation

    We need to be more careful when we try to assign values to gpointers,
    so
    that means we have to assign the value to the properly-dereference
    gpointer, so that the assigned value will be retained after the
    function
    returns.  This code will be dropped soon, but it is done for XP
    compatibility's sake for 2.44.

    Should fix the issue reported in bug 730352 comment #24.

 gio/ginetaddress.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit fd789f118741d89df348ba21ddc1d813da02fb76
Author: Tim-Philipp Müller <tim@centricular.com>
Date:   Wed Jun 3 13:06:24 2015 +0100

    gsocket: avoid unnecessary select in _send_messages() and
    _receive_message()

    For performance reasons we should always try to send or
    receive our messages first and only wait for more space
    or data to become available if we get an EAGAIN (and
    are in blocking mode).

    https://bugzilla.gnome.org/show_bug.cgi?id=751122

 gio/gsocket.c | 26 ++++++++++++++------------
 1 file changed, 14 insertions(+), 12 deletions(-)

commit 9e85f60ec68eb0330e18254726facdc5d8983e35
Author: Paolo Borelli <pborelli@gnome.org>
Date:   Thu Jun 18 09:36:12 2015 +0200

    socketclient: annotate the connection param of "event" as nullable

    When emitting the RESOLVING/RESOLVED events the connection param is
    set to NULL.

 gio/gsocketclient.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f5d4543139172f366afa0de36dd7e5eac08e2297
Author: Alexander Larsson <alexl@redhat.com>
Date:   Wed Jun 17 17:31:19 2015 +0200

    configure: test have_docbook_style != yes, not have_docbook_dtd

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4b02bfd6eee43aaaa0ad30955cc85558f402d90f
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Jun 17 09:25:49 2015 +0100

    gfile: Clarify that g_file_replace_contents() uses atomic renames

    It uses g_file_replace() internally, so is inherently safe.

    Though it might vomit .goutputstream-XXXXXX files all over the place
    occasionally.

 gio/gfile.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 6e576503876759d18c94bbad3c20ebb83b82c631
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Jun 16 18:38:27 2015 -0400

    key file: Clarify documentation around comments

    The documentation was not very clear about the handling
    of the '#' comment markers. State clearly how these are
    handled by the getter and the setter.

    https://bugzilla.gnome.org/show_bug.cgi?id=479730

 glib/gkeyfile.c | 14 ++++++++++----
 1 file changed, 10 insertions(+), 4 deletions(-)

commit 7a295f063fdef26ae87bfe3a942847c5ecd7f7c3
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Jun 16 14:46:04 2015 -0400

    Updates

 NEWS | 54 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 54 insertions(+)

commit 9f90ee5eeccd47f39c7a03dcd786b125a19c195d
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Jun 13 22:52:33 2015 -0500

    genmarshal: silence register storage class warnings

    Using the register keyword triggers warnings on noteworthy compilers
    (clang), since it's deprecated in C++ and at danger of being removed
    from the language. There is no reason to use it since it isn't 1980
    anymore.

    https://bugzilla.gnome.org/show_bug.cgi?id=750918

 gobject/glib-genmarshal.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 0d6e200384c8c2fb172273dcfaa6a48bc357d4a3
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Thu Jun 11 15:56:25 2015 -0700

    gresource: fix a couple of typos in documentation

 gio/gresource.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 1f0a11c59aa244a70766bdb4c3b06d3d79b25c7a
Author: Rico Tzschichholz <ricotz@ubuntu.com>
Date:   Thu Jun 11 07:52:40 2015 +0200

    g_log_set_handler_full: Bump "Since" version accordingly

 glib/gmessages.c | 2 +-
 glib/gmessages.h | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 2471d9cf8697b07d4e86b6f143eda7b779be02a9
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Nov 28 23:31:00 2014 -0500

    Add g_log_set_handler_full

    This is a bindable version of g_log_set_handler that takes
    a destroy notify for the user_data.

    https://bugzilla.gnome.org/show_bug.cgi?id=740516

 docs/reference/glib/glib-sections.txt |  1 +
 glib/gmessages.c                      | 38
 ++++++++++++++++++++++++++++++++---
 glib/gmessages.h                      |  6 ++++++
 3 files changed, 42 insertions(+), 3 deletions(-)

commit 1102e6f9ca89b54e4e1139cca80f97c7bfb72dc3
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Mar 29 14:00:36 2015 -0400

    Allow property actions to invert booleans

    This can be handy when you want to change the sense of a toggle
    in the UI without rewriting the underlying logic. Currently, this
    is just exposed as a construct-only property. We may add a
    convenience wrapper or a special !property syntax for this later.

    https://bugzilla.gnome.org/show_bug.cgi?id=728489

 gio/gpropertyaction.c | 45 ++++++++++++++++++++++++++++++++++++++++++++-
 gio/tests/actions.c   | 31 +++++++++++++++++++++++++++++++
 2 files changed, 75 insertions(+), 1 deletion(-)

commit fb1e5ff04b48b9bb93b99b127abf3ffe73a98e5c
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Jun 9 19:17:58 2015 -0400

    Fix deprecation notice

    GSimpleAsyncResult has not been deprecated all that long.

 gio/gsimpleasyncresult.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b701c3c60824fca4c0056a7a46c627fe2977257d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Mon Apr 27 16:26:33 2015 +0100

    Regression test for falling back to autolaunch: and
    XDG_RUNTIME_DIR/bus

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=747941
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Philip Withnall <philip.withnall@collabora.co.uk>

 gio/tests/Makefile.am            |   2 +
 gio/tests/dbus-launch.c          |  77 ++++++++++++++++++
 gio/tests/gdbus-unix-addresses.c | 170
 +++++++++++++++++++++++++++++++++++++++
 3 files changed, 249 insertions(+)

commit 32492c6ab0000c50564360c74acf069814d942d1
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Wed Apr 15 17:57:29 2015 +0100

    GDBus: try XDG_RUNTIME_DIR/bus before resorting to dbus-launch

    This is the right thing to do for the "a session is a user-session"
    model implemented in dbus 1.9.14, which is described in
    <http://lists.freedesktop.org/archives/dbus/2015-January/016522.html>.

    It also resembles sd-bus' behaviour, although sd-bus will only try
    kdbus and XDG_RUNTIME_DIR/bus, and never runs dbus-launch.

    On systems following the more traditional "a session is a
    login-session"
    model, X_R_D/bus won't exist, so it is harmless to check for it before
    falling back to X11 autolaunching. Again, this matches the behaviour
    of current libdbus and sd-bus versions.

    Now that we do this, g_test_dbus_unset() needs to clear
    XDG_RUNTIME_DIR
    as well as everything else.

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=747941
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Philip Withnall <philip.withnall@collabora.co.uk>

 gio/gdbusaddress.c | 67
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 gio/gtestdbus.c    |  2 ++
 2 files changed, 69 insertions(+)

commit 0d3f56e31c9099653539fa2539e05b3ba336a441
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Wed Apr 15 19:59:50 2015 +0100

    g_dbus_address_connect: specifically use dbus-launch for autolaunch:

    This only alters what happens if we specifically connect to
    "autolaunch:", for instance via
    "DBUS_SESSION_BUS_ADDRESS=autolaunch:".
    We will still potentially try other platform-specific things if
    DBUS_SESSION_BUS_ADDRESS is unset. There are currently no other
    platform-specific things, so there is no practical difference yet,
    but I'm about to add a more-preferred fallback path before autolaunch.

    This matches libdbus' behaviour and the D-Bus Specification, in which
    the autolaunch: transport specifically means X11 autolaunch
    (as implemented by "dbus-launch --autolaunch") on Unix, or a
    shared-memory-based protocol on Windows. Other platform-specific
    transports or default/fallback modes, including launchd on Mac OS X
    and XDG_RUNTIME_DIR/bus on Unix, are not part of "autolaunch:".

    It's rather unfortunate that the same name means two different
    platform-specific mechanisms, specific to different platforms -
    if they were added today I'd call them x11: and windows-shm: or
    something - but it's been like this since 2007 so it's too late now.

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=747941
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Philip Withnall <philip.withnall@collabora.co.uk>

 gio/gdbusaddress.c | 38 +++++++++++++++++++++-----------------
 1 file changed, 21 insertions(+), 17 deletions(-)

commit bf181a3ac78e824ca7e67ecfb2ba957e740594d7
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Mon Apr 27 14:38:41 2015 +0100

    regex: if PCRE is 8.34 or later, disable auto-possessification for DFA

    Normally, recent PCRE behaves as if certain patterns were replaced
    by a more "possessive" pattern that gives the same answer for normal
    regex matching, but is more efficient. However, the modified pattern
    produces fewer results under DFA. If we want the full set of results
    we have to apply PCRE_NO_AUTO_POSSESS, and that's a compile-time flag.

    This currently only affects a system PCRE, but would also work
    fine for
    an internal PCRE 8.34 or later if the embedded copy is updated.

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=733325
    Reviewed-by: Christian Persch <chpe@gnome.org>

 glib/gregex.c | 128
 +++++++++++++++++++++++++++++++++++++++++++---------------
 1 file changed, 95 insertions(+), 33 deletions(-)

commit f45ceb838dae8f96b9bf646998a26a954a6fbf3d
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:   Wed Jun 3 11:30:43 2015 +0200

    gapplication: Make sure --help output is translated

    Currently, applications using g_application_add_main_option_entries()
    won't get translated entries in --help output. We need to call
    g_option_group_set_translation_domain() with a NULL domain to ensure
    that the
    default application gettext domain (ie the one passed to the
    textdomain() call) will be used for the main entries passed by the
    application.

    If we want to allow more flexibility on which gettext domain should be
    used for these entries, new API will be needed.

    https://bugzilla.gnome.org/show_bug.cgi?id=750322

 gio/gapplication.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 6cd1f8b40ff66509eedfce9c3c46cbef799a7ffe
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Dec 19 20:43:06 2014 +0000

    gsettings: Document GSettings build system integration

    Add a new section to the main GSettings documentation which documents
    the best practices for integrating GSettings into an autoconf/automake
    build system using the GLIB_GSETTINGS macro.

    Some of this material was adapted from the migrating-gconf.xml guide.

    https://bugzilla.gnome.org/show_bug.cgi?id=741788

 gio/gsettings.c | 54
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 54 insertions(+)

commit 723961b749613aad05b6bd22d1f12479a0022bef
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Dec 19 20:42:21 2014 +0000

    gsettings: Expand documentation default value l10n

    Mention context, translation category, and the need for syntactic
    validity of the translated values.

    https://bugzilla.gnome.org/show_bug.cgi?id=741788

 gio/gsettings.c | 30 +++++++++++++++++++++++++++---
 1 file changed, 27 insertions(+), 3 deletions(-)

commit 73a71d6a435485714d8a96a156bb805d47438ac0
Author: Xavier Claessens <xavier.claessens@collabora.com>
Date:   Mon Jun 8 11:09:39 2015 -0400

    doc: Add missing GTlsDatabaseClass

    https://bugzilla.gnome.org/show_bug.cgi?id=750573

 docs/reference/gio/gio-sections.txt |  1 +
 gio/gtlsdatabase.c                  | 36
 ++++++++++++++++++++++++++++++++++++
 2 files changed, 37 insertions(+)

commit 1405eeeed797470bed9d8062d4051bf5b011e42b
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Jun 5 19:13:19 2015 -0400

    Add registry helpers to the docs

 docs/reference/gio/gio-docs.xml     |  4 +++
 docs/reference/gio/gio-sections.txt | 69
 +++++++++++++++++++++++++++++++++++++
 2 files changed, 73 insertions(+)

commit e5e6c25c88349bf9fe2456efeb3785655967ad71
Author: Руслан Ижбулатов <lrn1986@gmail.com>
Date:   Tue May 5 02:12:25 2015 +0000

    Bump W32 Registry API 'Since:' version

    https://bugzilla.gnome.org/show_bug.cgi?id=734888

 gio/gwin32registrykey.c | 60 +++++++++++++++++++++---------------------
 gio/gwin32registrykey.h | 70
 ++++++++++++++++++++++++-------------------------
 2 files changed, 65 insertions(+), 65 deletions(-)

commit 6579c87bd2e9d61cac078165505e502f57b03623
Author: Руслан Ижбулатов <lrn1986@gmail.com>
Date:   Tue May 5 02:09:10 2015 +0000

    Make W32 registry API compatible with MSVC

    * Only check __OBJECT_ATTRIBUTES_DEFINED and __UNICODE_STRING_DEFINED
      on MinGW (MSVC doesn't have these)
    * MSVC: disable:4005 when including windows.h and ntstatus.h
    * Move NTAPI cconv into the parens with the NtQueryKeyFunc
    * Fix return values in some functions

    https://bugzilla.gnome.org/show_bug.cgi?id=734888

 gio/gwin32registrykey.c | 31 +++++++++++++++++--------------
 1 file changed, 17 insertions(+), 14 deletions(-)

commit 1ac5b92c2f16335d686268191e0605ae1f344b4a
Author: Руслан Ижбулатов <lrn1986@gmail.com>
Date:   Mon Aug 25 03:38:35 2014 +0000

    Add W32 Registry reading API to gio

    https://bugzilla.gnome.org/show_bug.cgi?id=734888

 gio/Makefile.am         |    2 +
 gio/gwin32registrykey.c | 2418
 +++++++++++++++++++++++++++++++++++++++++++++++
 gio/gwin32registrykey.h |  283 ++++++
 3 files changed, 2703 insertions(+)

commit 2a71f187d731a71ef16f4368d49af68aa3fe158d
Author: Руслан Ижбулатов <lrn1986@gmail.com>
Date:   Sun May 17 11:42:55 2015 +0000

    Make GWin32AppInfo MSVC-compatible - use G_VA_COPY

    https://bugzilla.gnome.org/show_bug.cgi?id=666831

 gio/gwin32appinfo.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4d800e4d86db6825dd3c508c83352b9a4cd24350
Author: Руслан Ижбулатов <lrn1986@gmail.com>
Date:   Fri Aug 29 08:53:35 2014 +0000

    GWin32AppInfo rewrite

    - On first call scan the registry, collect information about URI
    protocols,
      file extensions, applications and handlers, store that as a set of
      interconnected structures in several hash tables
    - Watch the registry keys, re-scan the registry when any one of
    them changes.

    https://bugzilla.gnome.org/show_bug.cgi?id=666831

 gio/gwin32appinfo.c | 4987
 +++++++++++++++++++++++++++++++++++++++++++++------
 gio/gwin32appinfo.h |    4 +-
 2 files changed, 4432 insertions(+), 559 deletions(-)

commit 5bc0bc2fdeb8a7c7bb56fabbd8886b56bf34c85b
Author: Mikhail Zabaluev <mikhail.zabaluev@gmail.com>
Date:   Tue Oct 14 01:25:56 2014 +0300

    Added g_utf8_validate() to UTF-8 performance testing

    https://bugzilla.gnome.org/show_bug.cgi?id=738504

 glib/tests/utf8-performance.c | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

commit 007f6684c54a695a6c35315f12f9f306d5af83bb
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Jun 5 15:27:59 2015 -0400

    Add index for new api

 docs/reference/gio/gio-docs.xml | 4 ++++
 1 file changed, 4 insertions(+)

commit 01e9302673630b20120505d92bbc245ba1bd027a
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Jun 5 15:27:25 2015 -0400

    Add new API to docs

 docs/reference/gio/gio-sections.txt | 1 +
 1 file changed, 1 insertion(+)

commit cb7020af5e864eed81520e980d66ccd683697ed4
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Nov 19 12:45:38 2014 -0500

    GSettings: deprecate g_settings_list_keys()

    This is now possible with g_settings_schema_list_keys().

    https://bugzilla.gnome.org/show_bug.cgi?id=740308

 gio/gsettings.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6cf867fb2a5086d2c5c0ac6c71ac795008cd13ae
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Nov 19 12:45:06 2014 -0500

    gsettings tests: use g_settings_schema_list_keys()

    Stop using g_settings_list_keys() because soon it will be deprecated.

    https://bugzilla.gnome.org/show_bug.cgi?id=740308

 gio/tests/gsettings.c | 32 ++++++++++++++++++++++++++++++--
 1 file changed, 30 insertions(+), 2 deletions(-)

commit bb8eea6148fab965969c74e80a936864fc65e671
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Nov 19 12:42:10 2014 -0500

    gsettings tool: use schema for listing keys

    Use the newly added g_settings_schema_list_keys() API instead of
    g_settings_list_keys() in order to list keys.

    Doing this allows the 'list-keys' command to work without creating a
    GSettings object, which is more efficient.  It also means that
    we don't
    have to provide a (meaningless and ignored) path when listing keys on
    relocatable schemas.

    While we're at it, update the 'range' command not to require
    creation of
    a GSettings object, in a similar way.

    https://bugzilla.gnome.org/show_bug.cgi?id=740308

 gio/gsettings-tool.c | 75
 +++++++++++++++++++++++++++++++++++++++-------------
 1 file changed, 57 insertions(+), 18 deletions(-)

commit 82fcfeb3b065d7cc4d53e80776f9b476df7c2137
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Nov 19 12:40:22 2014 -0500

    GSettingsSchema: add g_settings_schema_list_keys()

    The list of keys in a GSettings object depends entirely on the schema,
    so it makes sense to expose this API there.

    Move the implementation out of gsettings.c and into gsettingsschema.c,
    replacing the earlier with a simple call to the new location.

    We don't do the same for children because the children can change.

    https://bugzilla.gnome.org/show_bug.cgi?id=740308

 gio/gsettings.c       | 18 +-----------------
 gio/gsettingsschema.c | 41 +++++++++++++++++++++++++++++++++++++++++
 gio/gsettingsschema.h |  3 +++
 3 files changed, 45 insertions(+), 17 deletions(-)

commit 36e093a31a9eb12021e7780b9e322c29763ffa58
Author: Patrick Griffis <tingping@tingping.se>
Date:   Wed Mar 25 15:51:29 2015 -0400

    Implement GNotification on OSX

    https://bugzilla.gnome.org/show_bug.cgi?id=747146

 gio/Makefile.am                 |   5 +-
 gio/gcocoanotificationbackend.c | 278
 ++++++++++++++++++++++++++++++++++++++++
 gio/giomodule.c                 |   7 +
 gio/gnotificationbackend.c      |   4 +-
 4 files changed, 292 insertions(+), 2 deletions(-)

commit 89058e8a9b769ab223bc75739f5455dab18f7a3d
Author: Patrick Griffis <tingping@tingping.se>
Date:   Mon Apr 13 13:39:28 2015 -0400

    configure: Require OSX >= 10.9

    https://bugzilla.gnome.org/show_bug.cgi?id=747146

 configure.ac | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 9e8f4d473604e291c0164965bf9bba5ac77cc2bf
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Thu Mar 26 16:35:06 2015 -0400

    kqueue: add a bit of extra paranoia on cancel

    Cancellation of GPollFileMonitor is now handled correctly (in
    the sense
    that no further signals will follow) but let's be extra paranoid and
    disconnect our handler anyway, for good measure.

    https://bugzilla.gnome.org/show_bug.cgi?id=739424

 gio/kqueue/gkqueuefilemonitor.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit a367921d445f290263b052ad3da55525c1a5deb3
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Thu Mar 26 16:31:48 2015 -0400

    gpollfilemonitor: send 'changes done' for creates

    The new rules of GFileMonitor says that users should expect to see a
    CHANGES_DONE_HINT following a CREATED as well as CHANGED.

    https://bugzilla.gnome.org/show_bug.cgi?id=739424

 gio/gpollfilemonitor.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 62e5ee5514f0838689bc7d2d2c1a43fa912eaf1a
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Thu Mar 26 16:29:19 2015 -0400

    gpollfilemonitor: don't emit after cancellation

    GPollFileMonitor emits CHANGES_DONE_HINT after CHANGED signals, but it
    doesn't check to ensure that the file monitor wasn't cancelled
    before it
    does that.

    If the original signal caused the monitor to be unreffed, cancelled
    and
    destroyed, we would still end up emitting an extra signal on it.

    Avoid that by checking first for cancellation.

    https://bugzilla.gnome.org/show_bug.cgi?id=739424

 gio/gpollfilemonitor.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 16190d2dcd111b75b240baffe88653e5fa2822f6
Author: Mikhail Zabaluev <mikhail.zabaluev@gmail.com>
Date:   Mon Oct 6 02:01:38 2014 +0300

    glib/genviron.c, GSubprocessLauncher: ain't no "filename encoding"

    Removed all mentions of GLib file name encoding referring to
    the environment strings. The env var content has no defined relation
    to GLib's notion of filename encoding, or any encoding whatsoever.
    It would be wrong to pass all UTF-8 strings through
    g_filename_from_utf8() in order to put them into the environment,
    for one thing.

    https://bugzilla.gnome.org/show_bug.cgi?id=738185

 gio/gsubprocesslauncher.c | 22 +++++++++-------------
 glib/genviron.c           | 19 ++++++++-----------
 2 files changed, 17 insertions(+), 24 deletions(-)

commit b31a873fb3bd1b67af9f7cc88bf44f8b5a941cec
Author: Jan Safranek <jsafrane@redhat.com>
Date:   Tue Nov 4 11:54:00 2014 +0000

    GDBus: Add new call flag to allow interactive authorization

    DBus has recently introduced new message flag
    DBUS_HEADER_FLAG_ALLOW_INTERACTIVE_AUTHORIZATION, which tells that
    caller is willing to wait for unspecified amount of time for the call
    to return, as the service may perform interactive authorization (e.g.
    using polkit).

    https://bugzilla.gnome.org/show_bug.cgi?id=739616

 gio/gdbusconnection.c |  8 +++++++-
 gio/gioenums.h        | 11 +++++++++--
 2 files changed, 16 insertions(+), 3 deletions(-)

commit 865ce79ce0e92326b247ef51e7e2c78aaad99889
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Thu May 21 12:32:20 2015 -0500

    GActionGroupExporter: flush queue on requests

    In order to maintain a logical stream of events, we need to make
    sure we
    flush and queued change notifications before responding to any
    requests
    for information from clients.

    If we don't do this, it's possible that we emit an 'add' event
    that was
    queued at the time of a 'DescribeAll' call _after_ the reply to that
    call (which already contained the description of the new action).

    In practice, this is not only logically incorrect, but it can
    also cause
    problems.  If a change to action 'state' or 'enabled' occurs after the
    DescribeAll but before the signal has been dispatched, it will be
    ignored because an 'add' signal is already pending.  When that add
    signal is sent, it will contain the correct data, but the receiver
    will
    ignore it because it already saw the action in the DescribeAll reply.

    https://bugzilla.gnome.org/show_bug.cgi?id=749693

 gio/gactiongroupexporter.c | 13 +++++++++++++
 1 file changed, 13 insertions(+)

commit eeae7950fca962e65a5e08cfceae372782f5cc7e
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sun May 25 11:21:06 2014 +0200

    GActionGroup: fix an annotation

    .get_action_state_type() does not return a copy.

    We remove the annotation entirely because it is evident from the
    'const'
    on the return type.

    https://bugzilla.gnome.org/show_bug.cgi?id=730168

 gio/gactiongroup.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 96df2727f4c120a9fec888a2840f60ac3c3edde9
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Jun 5 12:30:15 2015 -0400

    win32: Make g_content_type_get_mime_type work for directories

    Now that we are using inode/directory for directories, handle
    this case in g_content_type_get_mime_type() as well.

 gio/gcontenttype-win32.c | 3 +++
 1 file changed, 3 insertions(+)

commit 5f0665cbbc1d8b2fafeeb1fba7569612832b7541
Author: Руслан Ижбулатов <lrn1986@gmail.com>
Date:   Thu Apr 30 23:09:30 2015 +0000

    W32: Special treatment for inode/directory mime/type

    This is a hack for GLocalFileInfo to correctly get icons for
    directories.
    Without this change content type for any W32 directory is NULL
    (because there's no registry entry for "inode/directory" by default,
    and in any way there's no file extension that means "directory"
    to put there),
    and GLocalFileInfo uses content type to grab icons.

    https://bugzilla.gnome.org/show_bug.cgi?id=748727

 gio/gcontenttype-win32.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 9931336d2dfbaf44aeb54b7e31164b91718e7769
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Jun 5 12:26:41 2015 -0400

    win32: Return proper icon names

    The code here was returning gtk-directory and similar names as
    fallback, with a comment claiming that these are 'builtin gtk'.
    But they aren't, anymore, so just return the standard names.

 gio/gcontenttype-win32.c | 19 +++++++++----------
 1 file changed, 9 insertions(+), 10 deletions(-)

commit c20f3b239cd37733df1b68f113fdc17621cc3157
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Jun 5 11:30:17 2015 -0400

    Fix a markup confusion

    "0." at the beginning of a line is interpreted as a numeric list
    by the gtk-doc markdown parser, so be careful to avoid that.

    https://bugzilla.gnome.org/show_bug.cgi?id=750399

 glib/gdate.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 07b3595c230c42ef8a31406d00477c9f755e902d
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Jun 5 11:21:57 2015 -0400

    Trivial: fix a typo

    Pointed out in https://bugzilla.gnome.org/show_bug.cgi?id=750399

 glib/gerror.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c94e4c6f03e39e3e7749980b8d19f1644aacb003
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Dec 19 21:03:46 2014 +0000

    gsettings: Add a documentation section on relocatable schemas

    https://bugzilla.gnome.org/show_bug.cgi?id=741788

 gio/gsettings.c | 26 +++++++++++++++++++++++++-
 1 file changed, 25 insertions(+), 1 deletion(-)

commit 338741fff5381d1a8d11b8f62c9e208af8b016fa
Author: Stefan Ekenberg <stefeg@axis.com>
Date:   Wed Jun 3 15:59:57 2015 +0200

    Prevent race condition in g_io_condition_get_type

    Prevents race condition in function g_io_condition_get_type by
    ensuring
    that the initialization section for 'etype' is executed only once
    during a program's life time, and that concurrent threads are blocked
    until initialization completes. This changes solves the problem that
    concurrent threads could execute the check 'etype == 0' before any of
    them had initialized it, which in turn meant that multiple threads
    would then attempt to register the "GIOCondition" type.

    https://bugzilla.gnome.org/show_bug.cgi?id=750386

 gobject/gsourceclosure.c | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit 6c43b6a21aca5cac33992c6b690e566ac1664997
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Jun 4 19:25:20 2015 -0400

    Trivial: fix a comment typo

 gio/gunixmounts.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cac0a49ca031bbf0d3fa9902010b05e2ad6523b3
Author: Balázs Úr <urbalazs@gmail.com>
Date:   Thu Jun 4 21:03:10 2015 +0000

    Updated Hungarian translation

 po/hu.po | 502
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 261 insertions(+), 241 deletions(-)

commit bdc3f149ec134081943fcd626a1c826cccd05171
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Wed Jun 3 17:16:21 2015 -0700

    binding: Simplify the default transform func

    https://bugzilla.gnome.org/show_bug.cgi?id=750369

 gobject/gbinding.c | 8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)

commit ace7f6861e180d8a9a3b6982e2cfa522cb0cb5a0
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Wed Jun 3 17:15:17 2015 -0700

    binding: Remove conditional from the default transform function

    Avoiding checking for INVERT_BOOLEAN each and
    instead choose the correct function in constructed().

    https://bugzilla.gnome.org/show_bug.cgi?id=750369

 gobject/gbinding.c | 49 +++++++++++++++++--------------------------------
 1 file changed, 17 insertions(+), 32 deletions(-)

commit 36593a3aba8dded2781a2bdd9b2ad0050dc939f2
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Wed Jun 3 17:13:53 2015 -0700

    binding: Remove GObject data usage

    It isn't actually doing anything, instead it is
    being managed without actually being used.
    This has the result that GBinding is now more
    thread-safe.

    https://bugzilla.gnome.org/show_bug.cgi?id=745013

 gobject/gbinding.c | 46 ++--------------------------------------------
 1 file changed, 2 insertions(+), 44 deletions(-)

commit f68582356dd94f34e85574852556ab591854da27
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed Jun 3 19:02:12 2015 +0200

    Updated POTFILES.in

 po/POTFILES.in | 1 +
 1 file changed, 1 insertion(+)

commit 0d8dd2cf5cb7ba2d75b71bf765b299727eb32e26
Author: Xavier Claessens <xavier.claessens@collabora.com>
Date:   Wed Jun 3 10:18:36 2015 -0400

    doc: add GTlsInteractionClass

    https://bugzilla.gnome.org/show_bug.cgi?id=750344

 docs/reference/gio/gio-sections.txt | 2 +-
 gio/gtlsinteraction.c               | 9 +++++++++
 2 files changed, 10 insertions(+), 1 deletion(-)

commit 7cba800a84730c9c5843acdd775e42b8c1438edf
Author: Alexander Larsson <alexl@redhat.com>
Date:   Mon Jun 1 10:02:47 2015 +0200

    GNetworkMonitorNetlink: Fix check for non-kernel messages

    This code used to look at the SCM_CREDENTIALS and ignore every message
    not from uid 0. However, when user namespaces are in use this does not
    work, as if uid 0 is not mapped you get overflowuid instead. Right now
    this means we ignore all messages in such user namespaces and glib
    apps hang on startup.

    We can't look at pids either, as pid 0 is returned for processes
    outside your pid namespace.

    Instead the correct approach is to look at the sending sockaddr and
    if the port id (nl_pid) is zero, then its from the kernel.

    Source:
    http://lists.linuxfoundation.org/pipermail/containers/2015-May/036032.html

    https://bugzilla.gnome.org/show_bug.cgi?id=750203

 gio/gnetworkmonitornetlink.c | 30 +++++++++++++++---------------
 1 file changed, 15 insertions(+), 15 deletions(-)

commit f8273f39a1fa5e961c30e96fa2a82d728736be09
Author: Alexander Larsson <alexl@redhat.com>
Date:   Mon Jun 1 10:01:26 2015 +0200

    Add GNativeSocketAddress for handling "other" addresses

    Instead of just dropping address types that we're not specifically
    handling we return a GNativeSocketAddress which is just a dummy
    container for the stuct sockaddr.

    https://bugzilla.gnome.org/show_bug.cgi?id=750203

 docs/reference/gio/gio-sections.txt |  20 +++++
 gio/Makefile.am                     |   2 +
 gio/giotypes.h                      |   1 +
 gio/gnativesocketaddress.c          | 160
 ++++++++++++++++++++++++++++++++++++
 gio/gnativesocketaddress.h          |  65 +++++++++++++++
 gio/gsocketaddress.c                |   3 +-
 6 files changed, 250 insertions(+), 1 deletion(-)

commit f7b13e05f9bc5bd2b54f589d16ad580f6d833173
Author: Mattias Ellert <mattias.ellert@fysast.uu.se>
Date:   Fri Oct 24 12:29:00 2014 +0000

    thread: Check sysconf value before using it

    sysconf() is documented as returning -1 if it can't determine
    a minimum thread stack size. Check for this case before using
    the return value.

    https://bugzilla.gnome.org/show_bug.cgi?id=739122

 glib/gthread-posix.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 916297be799ee001b4a214cc52c3b960bb0b5deb
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Sep 20 01:08:32 2014 -0400

    Add a global signal handler table

    Add a global lookup table for signal handlers. We already give
    them a unique ID, so there is no good reason to pay for
    non-constant lookups when disconnecting handlers.

    https://bugzilla.gnome.org/show_bug.cgi?id=737009

 gobject/gsignal.c | 50 ++++++++++++++++++++++++++++++++++++++++----------
 1 file changed, 40 insertions(+), 10 deletions(-)

commit 8a97dc56528b45dcd84a8c46f94b9a25a26d5cc3
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Sep 20 00:34:24 2014 -0400

    Add a performance test for signal connection

    This test checks the performance of connecting, disconnecting and
    blocking many handlers. Various cases are checked: disconnect in
    the same order, in the inverse order, at random. Connect to one
    signal on a single object, to two signals on the same object, or
    to the same signal on two different objects.

    https://bugzilla.gnome.org/show_bug.cgi?id=737009

 gobject/tests/Makefile.am      |   1 +
 gobject/tests/signal-handler.c | 299
 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 300 insertions(+)

commit ff1381e31e2c05d0e410c49e6a728ad175a9fc0a
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue May 26 19:25:56 2015 +0200

    Updated Spanish translation

 po/es.po | 504
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 262 insertions(+), 242 deletions(-)

commit 102ac0e7765796f49ccd271dd9de97885bc3c605
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon May 25 23:29:41 2015 -0400

    2.45.2

 NEWS         | 32 ++++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 33 insertions(+), 1 deletion(-)

commit 126c685f4aa627a8190e09adfc8ab0733c14a6ea
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon May 25 13:26:48 2015 -0400

    GOptionContext: Improve help in simple cases

    Only add [OPTION...] to the usage line if the context
    has options. And shorten "Application Options" to just
    "Options" if we don't have to differentiate from other
    kinds of options.

 glib/goption.c | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

commit 525bbbd6bd7c9abb45c4ddfcfb8dcf45bbbd5726
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon May 25 14:04:06 2015 +0100

    Do not use a string literal when a format string is expected

    Otherwise we'll get compiler errors.

    Based on a patch by: Vincent Le Garrec <legarrec.vincent@gmail.com>

    https://bugzilla.gnome.org/show_bug.cgi?id=696749

 gio/gregistrysettingsbackend.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5e7e058a9c26fa735386cf45b41ad91cc7768137
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Apr 20 14:11:12 2015 +0100

    docs: Add an example of G_DEFINE_BOXED_TYPE

    Mention that the GType of the boxed type is stored inside the
    g_define_type_id variable.

    See bug: https://bugzilla.gnome.org/show_bug.cgi?id=723394

 gobject/gtype.h | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

commit 7313195ae776dad441b18fb948149dfdd6ae76cc
Author: Akom Chotiphantawanon <knight2000@gmail.com>
Date:   Sun May 24 17:42:33 2015 +0700

    Updated Thai translation

 po/th.po | 1203
 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 628 insertions(+), 575 deletions(-)

commit 13a9e8b7a649fb8739f47e88fc2ab4218b9aed7a
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Sat May 23 20:36:38 2015 +0000

    Updated Slovak translation

 po/sk.po | 431
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 223 insertions(+), 208 deletions(-)

commit 3bd703e9c4a4de0ea3faf2073ffaffcb182c5b5d
Author: David Shea <dshea@redhat.com>
Date:   Wed Apr 8 13:14:22 2015 -0400

    Add introspection annotations to GListStore

    GListStore requires that item-type be derived from GObject, so specify
    that the type of the item parameters is GObject so the functions
    can be
    used via gobject-introspection.

    Add a scope parameter for the callback used during insert_sorted.

 gio/gliststore.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 074fe89f226d4c0f3c6bdd48b6b03c8051fbaf75
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri May 15 22:53:41 2015 -0400

    glib-compile-schemas: Improve an error message

    Mention the expected type when failing to parse a GVariant.

 gio/glib-compile-schemas.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit aecac6e1cb80b3b5e64459f5a8536ad93d021c1b
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri May 15 22:41:29 2015 -0400

    glib-compile-schemas: Show error positions

    GMarkup provides this information, pass it on.

 gio/glib-compile-schemas.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit d853ceddb5bd07e0835ef7b7953404f5c866832d
Author: Jordi Mas <jmas@softcatala.org>
Date:   Fri May 15 22:14:44 2015 +0200

    Fixes to Catalan translation

 po/ca.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 4c1f716ef6d8d9bf73e60175ebad52b2c1d13b6b
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Fri May 15 08:46:51 2015 +0000

    Updated French translation

 po/fr.po | 443
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 228 insertions(+), 215 deletions(-)

commit ace7846322634159271c5c75ccadfa3cade78620
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Tue Apr 28 10:10:58 2015 +0100

    regex test: do not assert that system PCRE still has an 8.31 bug

    This was fixed in 8.32, so if we have that version, assert that it is
    fixed; if we don't (e.g. the current internal pcre), still don't
    assert that it *isn't* fixed.

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=733325
    Reviewed-by: Christian Persch <chpe@gnome.org>
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 glib/tests/regex.c | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

commit fe1a2dc1965b564727480c8a99740252ea81274b
Author: Iain Lane <iain.lane@canonical.com>
Date:   Mon Mar 31 11:06:05 2014 +0100

    gdbus tests: wait up to 60s for gdbus-testserver to take its bus name

    Previously, we waited up to 0.5s, but that can fail on slow
    architectures like ARM; now we wait up to 60s in 0.1s increments.

    Patch originally by Simon McVittie <simon.mcvittie@collabora.co.uk>,
    modified by Iain Lane to be called earlier, to catch all testcases
    in a
    particular test.

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=724113
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Acked-by: Matthias Clasen <mclasen@redhat.com>

 gio/tests/gdbus-connection-loss.c |  3 +--
 gio/tests/gdbus-tests.c           | 52
 +++++++++++++++++++++++++++++++++++++++
 gio/tests/gdbus-tests.h           |  2 ++
 gio/tests/gdbus-threading.c       |  8 +-----
 4 files changed, 56 insertions(+), 9 deletions(-)

commit 3beb67f9f3b1db6ee133973edfd89df89d7bdde5
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Tue Feb 11 14:23:15 2014 +0000

    gdbus-connection: wait up to 10s to actually send a message

    We previously waited 0.25s, which should be enough even on slow
    machines,
    but you never know; but we also now wait in 0.1s increments, so
    this test
    should actually be faster now.

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=724113
    Acked-by: Matthias Clasen <mclasen@redhat.com>

 gio/tests/gdbus-connection.c | 14 ++++++++++++--
 1 file changed, 12 insertions(+), 2 deletions(-)

commit f1c2e703454cb876a7df9c081c456a3df97b906e
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Wed May 13 23:12:49 2015 -0700

    Connect to the detailed notify signal in GBinding

    This avoids the notify handler being called for each
    and every emitted notify.

    https://bugzilla.gnome.org/show_bug.cgi?id=749353

 gobject/gbinding.c | 44 ++++++++++++++++++++++++++------------------
 1 file changed, 26 insertions(+), 18 deletions(-)

commit b07ba8ed3b3c6b2b0402946283e896ad66b0a573
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Wed May 13 22:15:27 2015 -0700

    Fix g_binding_unbind() when the source and target are the same

    It tried to remove a weak ref, but it is only taken if the
    source and target object are different.

    https://bugzilla.gnome.org/show_bug.cgi?id=749352

 gobject/gbinding.c      |  9 +++++++--
 gobject/tests/binding.c | 13 +++++++++++++
 2 files changed, 20 insertions(+), 2 deletions(-)

commit 31496767c7caed25c134e58b0f41b1e696f671fe
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu May 14 08:31:22 2015 +0100

    gresource: Document generated C file function naming

    Mention the relationship to the --c-name argument, plus the need
    to call
    some_prefix_get_resource() to get the GResource object.

 gio/gresource.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit a8c157f92be6915549e1ec06e611e72da935385b
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu May 14 08:15:46 2015 +0100

    gresource: Minor capitalisation fixes in documentation

 gio/gresource.c | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 6ac2e8c79a012e2d43292efdbd3250de31abff47
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed May 13 15:22:57 2015 +0100

    gmessages: Tweak docs for G_LOG_DOMAIN to use AM_CPPFLAGS

    Instead of INCLUDES, which is deprecated in automake. Using
    AM_CPPFLAGS
    also gives the hint that the -D argument should be a CPPFLAGS
    variable,
    rather than CFLAGS.

 glib/gmessages.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 29d380cc5bbd97ee5b0c95b5499d6dd17523b71b
Author: Garrett Regier <garrett.regier@riftio.com>
Date:   Tue Apr 14 20:44:38 2015 -0700

    gtype: Bump allowed number of children

    Restricting the number of children to be less than 4095 can
    be an issue when generating types. This is also an issue for
    the Lua bindings as each Lua state will create a new GType each
    time the Lua code is executed.

    https://bugzilla.gnome.org/show_bug.cgi?id=747882

 gobject/gtype.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 45dae4b5063f9af7de8211ced95dd73cc770a86e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Mon May 11 17:03:00 2015 +0100

    tests: replace most g_print() with g_printerr()

    I searched all files that mention g_test_run, and replaced most
    g_print() calls. This avoids interfering with TAP. Exceptions:

    * gio/tests/network-monitor: a manual mode that is run by
      "./network-monitor --watch" is unaffected
    * glib/gtester.c: not a test
    * glib/gtestutils.c: not a test
    * glib/tests/logging.c: specifically exercising g_print()
    * glib/tests/markup-parse.c: a manual mode that is run by
      "./markup-parse --cdata-as-text" is unaffected
    * glib/tests/testing.c: specifically exercising capture of stdout
      in subprocesses
    * glib/tests/utils.c: captures a subprocess's stdout
    * glib/tests/testglib.c: exercises an assertion failure in g_print()

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=725981
    Reviewed-by: Colin Walters <walters@verbum.org>
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 gio/tests/defaultvalue.c        |   2 +-
 gio/tests/g-file.c              |   4 +-
 gio/tests/gdbus-connection.c    |   2 +-
 gio/tests/gdbus-export.c        |  10 +--
 gio/tests/gdbus-peer.c          |   4 +-
 gio/tests/gdbus-proxy-threads.c |   4 +-
 gio/tests/gdbus-test-codegen.c  |   2 +-
 gio/tests/gdbus-threading.c     |  12 +--
 gio/tests/live-g-file.c         |  12 +--
 glib/tests/1bit-mutex.c         |   2 +-
 glib/tests/base64.c             |   4 +-
 glib/tests/bookmarkfile.c       |  26 +++---
 glib/tests/cond.c               |  16 ++--
 glib/tests/fileutils.c          |   6 +-
 glib/tests/gdatetime.c          |   6 +-
 glib/tests/mutex.c              |   2 +-
 glib/tests/private.c            |   6 +-
 glib/tests/queue.c              |   2 +-
 glib/tests/rec-mutex.c          |   4 +-
 glib/tests/rwlock.c             |   2 +-
 glib/tests/sequence.c           |   8 +-
 glib/tests/shell.c              |   2 +-
 glib/tests/utils.c              |   2 +-
 gobject/tests/binding.c         |   4 +-
 gobject/tests/dynamictests.c    |   8 +-
 gobject/tests/private.c         |   8 +-
 gobject/tests/threadtests.c     |   8 +-
 tests/asyncqueue-test.c         |   2 +-
 tests/testglib.c                | 182
 ++++++++++++++++++++--------------------
 29 files changed, 176 insertions(+), 176 deletions(-)

commit 064183a633b7fcfd9b7c1b5a2917fb6f0e9128d3
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Mon May 11 16:50:00 2015 +0100

    GFileMonitor test: use g_test_skip() instead of g_print()

    This stops it from interfering with structured stdout such as TAP.

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=725981
    Reviewed-by: Colin Walters <walters@verbum.org>
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 gio/tests/file.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0a9d91ab7b3b11df74a46d2068316a7c198e8558
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Mon May 11 16:38:57 2015 +0100

    testglib: my_hash_callback_remove_test: actually fail the test

    The test is to remove all the odd values with
    my_hash_callback_remove(),
    then iterate over all values and verify that they are even. However,
    failing this check would just print "bad!" instead of failing
    the test.

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=725981
    Reviewed-by: Colin Walters <walters@verbum.org>
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 tests/testglib.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4865538ce3d93dda802d25cbf93743e842507c5f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Mon May 11 16:34:35 2015 +0100

    GTestDBus: use g_printerr() for status message

    This avoids any possibility of interfering with test syntax (such as
    TAP) on stdout. TAP specifically does not parse stderr.

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=725981
    Reviewed-by: Colin Walters <walters@verbum.org>
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 gio/gtestdbus.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 472dee39097881502bb593eb2effe37b3b6064a2
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Fri May 8 16:38:33 2015 +0100

    gdatetime test: don't assume that time stands still

    If we call time(NULL), then do something (however trivial), then call
    g_date_time_new_now_utc(), they do not necessarily share a seconds
    value. Let's say the gmtime call takes 2ms. time(NULL) could
    return xx:xx:23 when the time is actually xx:xx:23.999999, resulting
    in the g_date_time_new_now_utc() happening at xx:xx:24.000001. This is
    unlikely, but did happen to me in a parallel build:

    GLib:ERROR:.../glib/tests/gdatetime.c:674:test_GDateTime_now_utc:
    assertion failed (tm.tm_sec == g_date_time_get_second (dt)):
    (23 == 24)

    A similar argument applies to the rollover from xx:23:59.999999 to
    xx:24:00, so comparing seconds with a 1s "fuzz" or a >= comparison
    is not sufficient; and so on into higher-order fields.

    I haven't seen the other tests that use _now() fail in the same way,
    but they could.

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=749080
    Reviewed-by: Philip Withnall <philip.withnall@collabora.co.uk>
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 glib/tests/gdatetime.c | 79
 +++++++++++++++++++++++++++++++++++++-------------
 1 file changed, 59 insertions(+), 20 deletions(-)

commit e18e7956bfc8a65ecec18b1837d5b7835312c40a
Author: Evan Nemerson <evan@nemerson.com>
Date:   Sat May 9 23:45:03 2015 -0700

    gnetworkaddress: add return type annotation to parse methods

    https://bugzilla.gnome.org/show_bug.cgi?id=749180

 gio/gnetworkaddress.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit bced30cfbb9d98fdaf71225bae3330e95ea548fa
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Thu May 7 17:36:01 2015 +0100

    GDBus tests: change progress noise from "if not quiet" to "if verbose"

    It seems that even after Bug #711796, these can still interfere
    with TAP testing:

    PASS: gdbus-proxy-threads 1 /gdbus/proxy/vs-threads
    tap-driver.sh: internal error getting exit status
    tap-driver.sh: fatal: I/O or internal error

    Let's shut them up unless --verbose is used (which would be
    appropriate
    when running them interactively).

    Similar symptoms have been seen in Debian:
    https://buildd.debian.org/status/fetch.php?pkg=glib2.0&arch=mipsel&ver=2.39.91-1&stamp=1394394568
    and in Guix:
    https://lists.gnu.org/archive/html/bug-guix/2014-12/msg00002.html

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=725981
    Reviewed-by: Philip Withnall <philip.withnall@collabora.co.uk>
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 gio/tests/gdbus-proxy-threads.c | 4 ++--
 gio/tests/gdbus-threading.c     | 8 ++++----
 2 files changed, 6 insertions(+), 6 deletions(-)

commit 6f859fe21a1955ab60ba4aa7e22841c7dbffdea3
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Thu May 7 16:45:48 2015 +0100

    gdbus-peer test: let GDBusServer start before notifying main thread

    When running the nonce-tcp and tcp-anonymous tests in one run
    of gdbus-peer, or running one of them twice via command-line options
    "-p /gdbus/tcp-anonymous -p /gdbus/tcp-anonymous", the one run second
    would sometimes fail to connect with ECONNRESET.

    Adding more debug messages revealed that in the successful case,
    g_main_loop_run() was executed in the server thread first:

     # tcp-anonymous: server thread: listening on
     tcp:host=localhost,port=53517
     # tcp-anonymous: server thread: starting server...
     # tcp-anonymous: server thread: creating main loop...
     # tcp-anonymous: server thread: running main loop...
     # tcp-anonymous: main thread: trying tcp:host=localhost,port=53517...
     # tcp-anonymous: main thread: waiting for server thread...

    but in the failing case, the main thread attempted to connect
    before the call to g_main_loop_run() in the server thread:

     # tcp-anonymous: server thread: listening on
     tcp:host=localhost,port=40659
     # tcp-anonymous: server thread: starting server...
     # tcp-anonymous: server thread: creating main loop...
     # tcp-anonymous: main thread: trying tcp:host=localhost,port=40659...
     # tcp-anonymous: server thread: running main loop...

    (The log message "creating main loop" was immediately before
    create_service_loop(), and "running main loop" was immediately
    before g_main_loop_run().)

    To ensure that the GDBusServer has a chance to start accepting
    connections before the main thread tries to connect to it, do not
    tell the main thread about the service_loop immediately, but instead
    defer it to an idle.

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=749079
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Philip Withnall <philip.withnall@collabora.co.uk>

 gio/tests/gdbus-peer.c | 41 ++++++++++++++++++++++++++++-------------
 1 file changed, 28 insertions(+), 13 deletions(-)

commit 474877d916439e20769a4aad4bccdedff2ad04ac
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun May 10 20:09:48 2015 +0200

    Fix a minor typo in a comment

 glib/gdatetime.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d92a67afcb4349bd3e9f6d02b0fd1acf4526d5be
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Wed Apr 29 12:28:27 2015 +0100

    gtestutils: better diagnostics if a captured subprocess fails

    It's unhelpful to get an error saying that stderr didn't match a
    desired pattern, or matched an undesired pattern, without also
    telling you what *was* on stderr. Similarly, if a test subprocess
    exits 1, there's probably something useful on its stderr that
    could have told you why.

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=748534
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Dan Winship <danw@gnome.org>

 glib/gtestutils.c | 43 +++++++++++++++++++++++++++++++++++++++----
 1 file changed, 39 insertions(+), 4 deletions(-)

commit f42d2c1b54541cf8d4e399f5c6d27d3ac40fc1a9
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Tue Apr 21 20:46:47 2015 +0100

    gdbus-serialization: use check_serialization() instead of dbus-daemon

    This test originally did not connect to the bus, which meant it was
    omitted from commits like 415a8d81 that made sure none of GLib tests
    rely on the presence of an existing session bus. (In particular,
    Debian autobuilders don't have a session bus.)

    When test_double_array() was added, environments like the Debian
    autobuilders didn't catch the fact that this test relied on having a
    session bus, because it is often skipped in minimal environments
    due to its libdbus-1 dependency.

    We don't actually need to connect to a dbus-daemon here: it's enough
    to convert the message from GVariant to D-Bus serialization, and
    back into an in-memory representation through libdbus. That's what
    check_serialization() does, and I've verified that when I re-introduce
    bug #732754 by reverting commits 627b49b and 2268628 locally, this
    test still fails.

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=744895
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: Colin Walters <walters@verbum.org>

 gio/tests/gdbus-serialization.c | 26 ++++++++------------------
 1 file changed, 8 insertions(+), 18 deletions(-)

commit 23a5352cd8a1f247ac831ebada9dbc9f5d24476f
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sun May 3 12:17:10 2015 +0100

    glocalfilemonitor: Emit notification on rate limit change

    The changed variable was previously uninitialised in the path
    where the
    rate limit was actually changed. This could result in the
    GObject::notify signal not getting emitted.

    Spotted by Coverity.

    CID: #1296516

    https://bugzilla.gnome.org/show_bug.cgi?id=748834

 gio/glocalfilemonitor.c | 2 ++
 1 file changed, 2 insertions(+)

commit 517ce45f8e21b2f7524fd429ee90ab1fbca9a30a
Author: Ting-Wei Lan <lantw@src.gnome.org>
Date:   Wed Apr 29 15:17:00 2015 +0800

    gsocketlistener: Don't double unref address

    https://bugzilla.gnome.org/show_bug.cgi?id=748614

 gio/gsocketlistener.c | 2 --
 1 file changed, 2 deletions(-)

commit 34e946838d055cff810e32f6dba4331c49ea28c4
Author: Ting-Wei Lan <lantw@src.gnome.org>
Date:   Wed Apr 29 14:55:00 2015 +0800

    tests: Use de_DE.UTF-8 instead of de_DE

    de_DE.UTF-8 is supported by more operating systems, including FreeBSD,
    NetBSD and OpenBSD.

    https://bugzilla.gnome.org/show_bug.cgi?id=748612

 glib/tests/option-context.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7ebf2618aac31547131ced79f563266810917ae0
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Apr 30 13:40:42 2015 -0400

    2.45.1

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c5fc7608792202b56b2b40e56941a4fcbbe1f400
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Apr 30 12:46:20 2015 -0400

    Updates

 NEWS | 76
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 75 insertions(+), 1 deletion(-)

commit aeb069cd78e17cafa3002dbc40d074131d370571
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Wed Apr 29 14:23:50 2015 +0300

    Updated Hebrew translation

 po/he.po | 433
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 223 insertions(+), 210 deletions(-)

commit c71b16c3be17113f80693690555c453f31e5f31a
Author: Hans Petter Jansson <hpj@cl.no>
Date:   Tue Apr 28 16:50:42 2015 +0200

    gmarkup: Make append_escaped_text() slightly more robust.

    https://bugzilla.gnome.org/show_bug.cgi?id=631597

 glib/gmarkup.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4e29e9a079a8e7a80ee78d9dc55b9ceb90f3421c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Sun Jul 20 19:34:54 2014 +0100

    regex test: do not assert that system PCRE allows "(?P<1>)"

    Perl >= 5.18, and PCRE >= 8.34, disallow this.

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=733325
    Reviewed-by: Christian Persch <chpe@gnome.org>

 glib/tests/regex.c | 3 +++
 1 file changed, 3 insertions(+)

commit 1fdece4f227a800ae44d04838fc29b6d8343fed5
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Sun Jul 20 19:33:17 2014 +0100

    regex test: improve diagnostics for some failures

    These fail with system PCRE 8.35, but the improved diagnostics are
    generic.

    Reviewed-by: Christian Persch <chpe@gnome.org>
    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=733325

 glib/tests/regex.c | 65
 +++++++++++++++++++++++++++++++++++++++++++++++++++---
 1 file changed, 62 insertions(+), 3 deletions(-)

commit 073a81d1da69689c3228846c81e93de2a4931ff4
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Mon Jun 30 15:57:28 2014 +0100

    gsignal: Mark the return value of g_signal_emitv() as (inout)
    (optional)

    https://bugzilla.gnome.org/show_bug.cgi?id=719966

 gobject/gsignal.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit ee742ec69cc543962917e073b3ec8ed19d296a10
Author: Marek Černocký <marek@manet.cz>
Date:   Sat Apr 25 12:41:09 2015 +0200

    Updated Czech translation

 po/cs.po | 404
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 208 insertions(+), 196 deletions(-)

commit 0c97cb5fa21f66e6552fa15d3577cd4edb0bc574
Author: Sveinn í Felli <sv1@fellsnet.is>
Date:   Fri Apr 24 14:36:02 2015 +0000

    Updated Icelandic translation

 po/is.po | 5561
 +++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 3144 insertions(+), 2417 deletions(-)

commit 10b5a8befc16bdefdbfb8d1fc10df11d53acb6ef
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed May 14 16:02:35 2014 +0800

    Fix the thumbnail-verification Test

    The third parameter of the thumnail_verify() function had been
    updated to
    const GLocalFileStat, so update the thumbnail-verification test
    likewise
    so that the test works properly on all supported platforms.

    https://bugzilla.gnome.org/show_bug.cgi?id=711547

 gio/tests/thumbnail-verification.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2bb898c60f43330f8bdf277e1931228031fe49b4
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Thu Apr 2 17:17:35 2015 -0400

    app info: tweak default application algorithm

    Always run the full algorithm for a given mime type before considering
    fallback types.

    This includes considering installed applications capable of handling a
    particular mimetype, even if such an app is not explicitly marked as
    default, and there is a default app for a less-specific type.

    Specifically, this often helps with cases of installing apps that can
    handle a particular subtype of text/plain.  We want to take those apps
    in preference to a generic text editor, even if that editor is
    listed as
    the default for text/plain and there is no default listed for the more
    specific type.

    Because of the more holistic approach taken by the algorithm, it
    is now
    more complicated, but it also means that we can do more work while
    holding the lock.  In turn, that lets us avoid duplicating some
    strings,
    which is nice.

    https://bugzilla.gnome.org/show_bug.cgi?id=744282

 gio/gdesktopappinfo.c | 103
 ++++++++++++++++++++++----------------------------
 1 file changed, 45 insertions(+), 58 deletions(-)

commit cf940b66bcea7835c2e01b9bfa051a2e826835c9
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Apr 22 16:36:13 2015 +0800

    build/Makefile-newvs.am: Fix %.vcxproj Rule

    The if-else statement added in commit 9bc3ae9 was missing a '\'
    after the
    'else', causing 'make dist/distcheck' to break with "unexpected
    end-of-file" errors.

    Fix this-didn't notice this when reviewing that patch.  My fault. :|

 build/Makefile-newvs.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bc01109618009ad748abdc58bdc0c64891b84db0
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Apr 21 23:57:17 2015 +0100

    gdbusmessage: Fix a minor memory leak on an error path

    If g_dbus_message_to_blob() fails at all, it will leak its
    mbuf. Spotted
    by running the gdbus-serialization test under Valgrind — so there
    is a
    justification for leak-free tests after all!

 gio/gdbusmessage.c | 3 +++
 1 file changed, 3 insertions(+)

commit 1b3dbec0658695deee02b35b7d9a3fce981ce772
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Apr 21 23:56:10 2015 +0100

    gvariant-parser: Clarify g_variant_parse() returns a non-floating ref

    Unlike, say, g_variant_new(), which returns a floating reference.
    g_variant_parse() returns a non-floating one, so must always have
    g_variant_unref() called on the result.

 glib/gvariant-parser.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit c62f7a7d688cc7c6d4f88e45cddd74aac5dc4582
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Tue Apr 21 23:55:49 2015 +0100

    tests: Fix various minor memory leaks in gdbus-serialization

 gio/tests/gdbus-serialization.c | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 41acf970accd25c4446e8f28c0b817e332722c23
Author: Marc-André Lureau <marcandre.lureau@gmail.com>
Date:   Fri Mar 6 15:22:33 2015 +0100

    gdbus: fix out-of-bound array access

    In path_rule_matches(), the given paths may be of 0-length. Do not
    access memory before the array in those case. This is for example
    triggered by:

    test_match_rule (con, G_DBUS_SIGNAL_FLAGS_MATCH_ARG0_PATH, "/",
    "", FALSE);

    in test_connection_signal_match_rules().

    This bug was found thanks to GCC AddressSanitizer.

    https://bugzilla.gnome.org/show_bug.cgi?id=745745

 gio/gdbusconnection.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 9bc3ae920731448575741bf0a799a32c9c1a6668
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Mon Apr 20 14:54:28 2015 +0100

    Makefile-newvs: some .vcxproj.filters files are in builddir, some
    in srcdir

    Without this change, out-of-tree distcheck doesn't get very far.

    Similarly, allow *.vcxproj, *.props to be in either the builddir or
    the srcdir.

    Finally, since I'm touching these lines anyway, eliminate some
    useless uses of cat: "cat x | sed 's/foo/bar/' > y" is
    equivalent to "sed 's/foo/bar/' < x > y".

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=748176
    Reviewed-by: Chun-wei Fan <fanchunwei@src.gnome.org>

 build/Makefile-newvs.am | 20 +++++++++++++++-----
 1 file changed, 15 insertions(+), 5 deletions(-)

commit 812ce28d5ccf626bb6594749f4d87951ed5cfc73
Author: Arun Raghavan <git@arunraghavan.net>
Date:   Fri Apr 17 10:00:50 2015 +0530

    gsocketconnection: Fix copy-pasto in documentation

    https://bugzilla.gnome.org/show_bug.cgi?id=748019

 gio/gsocketconnection.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 92331eb10a6ad05d3b811546539a82470a36a466
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Mon Apr 20 12:15:42 2015 +0100

    Distribute summary-xmllang-and-attrs.gschema.xml in tarballs

    This is needed for "make distcheck".

    Reviewed-by: Matthias Clasen <mclasen@redhat.com>
    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=748177

 gio/tests/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit 68bb63e3eea4a52a4c3486804087ed60a6f28404
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Apr 17 13:59:28 2015 +0800

    build/Makfile-newvs.am: Use Pattern Rules

    Make use of pattern rules when generating the Visual Studio 2012/2013
    Projects from the Visual Studio 2010 projects, which will help to
    clean up
    the file and also avoid problems when running items like 'make
    -jN dist'.

 build/Makefile-newvs.am | 34 ++++++++++++----------------------
 1 file changed, 12 insertions(+), 22 deletions(-)

commit 6a2543444cf596023efd4d8f185088ecdbc0d507
Author: Руслан Ижбулатов <lrn1986@gmail.com>
Date:   Mon Aug 4 12:39:08 2014 +0000

    W32: use 64-bit stat for localfile size calculation

    https://bugzilla.gnome.org/show_bug.cgi?id=728669

 gio/glocalfile.c | 32 ++++++++++++++++++++++++++++++--
 1 file changed, 30 insertions(+), 2 deletions(-)

commit 46779a31224714ce28d0bea4b0575826bb27e772
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Apr 13 12:30:16 2015 -0700

    Remove UTF-8 quotation marks

    https://bugzilla.gnome.org/show_bug.cgi?id=747772

 glib/gmacros.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 21107959ab12da217151fe8d5f0eb65bd93fd5aa
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Apr 8 22:07:26 2015 -0400

    gdbus: Validate the --dest argument

    Passing an nonsense string for the --dest argument can lead
    to a segfault of gdbus. Thats not nice, so use our existing
    validation function for bus names here.

    https://bugzilla.gnome.org/show_bug.cgi?id=747541

 gio/gdbus-tool.c | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

commit 3fa0a051a47ca9e7ddcaf56cf842dc133fceede9
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Apr 8 22:11:27 2015 -0400

    gsettings: add test for repeated <summary> errors

    Make sure error handling on repeated <summary> and <description> is
    being done properly, not resulting in glib-compile-schemas throwing a
    critical.

    https://bugzilla.gnome.org/show_bug.cgi?id=747542

 gio/tests/gschema-compile.c                                 |  3 +++
 .../schema-tests/summary-xmllang-and-attrs.gschema.xml      | 13
 +++++++++++++
 2 files changed, 16 insertions(+)

commit 7f4fdb59aa6963a066e251063dc6b7cfb766fdfe
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Apr 8 22:08:13 2015 -0400

    gsettings: fix schema compiler error handling

    Fix a couple of issues in error handling in glib-compile-schemas.

    The first problem is that, in case of repeated <summary> or
    <description> tags we were still allocating a GString which was never
    being freed (due to the throwing of the error resulting in immediate
    termination of the parse).

    The second problem is that if the repeated <summary> tag also had
    attributes, we would attempt to set the GError twice.

    https://bugzilla.gnome.org/show_bug.cgi?id=747542

 gio/glib-compile-schemas.c | 34 ++++++++++++++++++++--------------
 1 file changed, 20 insertions(+), 14 deletions(-)

commit 2b8f131599842d7d6249815412a261df6fa65d15
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Apr 8 21:55:58 2015 -0400

    gsettings: stay compatible with installed schemas

    Bug 747209 introduced an error when multiple <summary> or
    <description>
    tags are found for a single key in a GSettings schema.  This check
    should have been present from the start, but it was left out
    because the
    schema compiler doesn't include these items in the cache file.  Even
    still -- part of the schema compiler's job is validation, and
    it should
    be enforcing proper syntax here.

    Repeated <summary> and <description> tags are a semi-common problem
    when
    intltool has been misconfigured in the build system of a package, but
    it's possible to imagine mistakes being made by hand as well.

    The idea is that these problems would be caught during the build of a
    package and maintainers would be forced to fix their build systems.

    An unintended side-effect of this change, however, is that the schema
    compiler started ignoring already-installed schemas that contained
    these
    problems, when rebuilding the cache.  This means that the installation
    of _any_ application would cause the regeneration of the entire cache,
    with these already-installed applications being excluded.  Without the
    schema in the cache, the application would crash on next startup.

    The validation check in the gsettings m4 macro passes --strict to the
    compiler, which is not used when rebuilding the cache after
    installation.  Pass this flag down into the parser and only throw the
    error in case --strict was given.  This will result in the (desired)
    build failure without also causing already-installed apps to stop
    functioning.

    This means that we will not get even a warning about the invalid
    schema
    file in the already-installed case, but that's fine.  There is
    no sense
    spamming the user with these messages when they are already quite
    fatal
    for the developer at build time.

    https://bugzilla.gnome.org/show_bug.cgi?id=747472

 gio/glib-compile-schemas.c | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 89d46d1bdc49755ff99982fb124ec081a2297c12
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Apr 8 06:38:16 2015 -0400

    docs: Document the --strict option of glib-compile-schemas

    Curiously, this option has managed to remain undocumented for
    5 years.

 docs/reference/gio/glib-compile-schemas.xml | 8 ++++++++
 1 file changed, 8 insertions(+)

commit cc287a21cf15350c6edcb029ee83cbf20259c48a
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Apr 7 16:20:00 2015 -0400

    Mention the glib-compile-schemas change in NEWS

 NEWS | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 495d864e438472a1c1dce1db79d1ae18a584687d
Author: Ross Lagerwall <rosslagerwall@gmail.com>
Date:   Tue Apr 7 18:22:58 2015 +0100

    docs: Fix documentation for 95d300eac58e

 docs/reference/gio/gio-sections.txt | 1 +
 gio/gtlsclientconnection.c          | 2 +-
 gio/gtlsclientconnection.h          | 1 +
 3 files changed, 3 insertions(+), 1 deletion(-)

commit b470b12c49750777e14990f24d98166d3aab9965
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:   Sat Feb 21 13:34:36 2015 +0100

    gatomic: Add missing new line in API doc comment

    This causes an overlong line, and a spurious '*' in the generated
    documentation.

    https://bugzilla.gnome.org/show_bug.cgi?id=747363

 glib/gatomic.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 7b8f51750391bf57278c080e366bf0e41235b4f3
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Apr 7 15:02:22 2015 +0800

    gio/gdbusproxy.c: Include gasyncresult.h

    Commit f10b655 removed the inclusion of gasyncresult.h from
    gdbusproxy.c,
    but gdbusproxy.c uses g_async_result_get_source_object(), which
    caused a
    build warning/error.  Fix that.

 gio/gdbusproxy.c | 1 +
 1 file changed, 1 insertion(+)

commit 7e8d4145af745e6ac51337ffcc65872791e7299f
Author: Dan Winship <danw@gnome.org>
Date:   Mon Apr 6 10:09:04 2015 -0400

    gdbus: fix deadlock on message cancel/timeout

    The gdbus GTask port introduced a deadlock because some code had been
    using g_simple_async_result_complete_in_idle() to ensure that the
    callback didn't run until after a mutex was unlocked, but in the gtask
    version, the callback was being run immediately. Fix it to drop the
    mutex before calling g_task_return*(). Also, tweak
    tests/gdbus-connection to test this.

    https://bugzilla.gnome.org/show_bug.cgi?id=747349

 gio/gdbusconnection.c        | 58
 +++++++++++++++++++++-----------------------
 gio/tests/gdbus-connection.c | 15 ++++++++++++
 2 files changed, 43 insertions(+), 30 deletions(-)

commit 95d300eac58e6e6a7d57ce50896a7c656ebe78cf
Author: Ross Lagerwall <rosslagerwall@gmail.com>
Date:   Thu Feb 26 22:24:36 2015 +0000

    tls: Add support for copying session data

    Add support for copying session data between client connections.
    This is needed for implementing FTP over SSL. Most servers use
    a separate
    session for each control connection and enforce sharing of each
    control
    connection's session between the related data connection.

    Copying session data between two connections is needed for two
    reasons:
    1) The data connection runs on a separate port and so has a different
    server_identity which means it would not normally share the session
    with
    the control connection using the session caching currently
    implemented.
    2) It is typical to have multiple control connections, each of which
    uses a different session with the same server_identity, so only one of
    these sessions gets stored in the cache. If a data connection
    is opened,
    (ignoring the port issue) it may try and reuse the wrong control
    connection's session, and fail.

    This operation is conceptually the same as OpenSSL's
    SSL_copy_session_id
    operation.

    https://bugzilla.gnome.org/show_bug.cgi?id=745255

 gio/gtlsclientconnection.c | 26 ++++++++++++++++++++++++++
 gio/gtlsclientconnection.h |  6 ++++++
 2 files changed, 32 insertions(+)

commit eac975c68225e3c7d5ae21dbf382d6e5b6b02824
Author: Руслан Ижбулатов <lrn1986@gmail.com>
Date:   Mon Apr 21 14:52:35 2014 +0000

    Make sure GStatBuf is typedefed correctly

    https://bugzilla.gnome.org/show_bug.cgi?id=728663

 glib/gstdio.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b64e2956f6b9ae74f1fdcecb129bff7738817509
Author: Paolo Borelli <pborelli@gnome.org>
Date:   Thu Oct 9 15:54:43 2014 +0200

    Add an event signal to GSocketListener

    This allows the caller to know when a socket has been bound so that
    it can for instance set the SO_SENDBUF and SO_RECVBUF socket options
    before listen is called

    https://bugzilla.gnome.org/show_bug.cgi?id=738207

 docs/reference/gio/gio-sections.txt |   1 +
 gio/gioenums.h                      |  23 ++++++
 gio/gsocketlistener.c               | 138
 ++++++++++++++++++++++++++++++++----
 gio/gsocketlistener.h               |   5 +-
 gio/tests/socket-listener.c         |  65 +++++++++++++++++
 5 files changed, 216 insertions(+), 16 deletions(-)

commit ec9c248d7d5cf6c60e212c7ba4b9e8a0a4f76452
Author: Dan Winship <danw@gnome.org>
Date:   Tue Apr 17 10:38:37 2012 -0400

    gio: deprecate GSimpleAsyncResult

    GTask has been around for a long time now, everything in GLib is using
    it, and the run-in-thread deadlock problems should be fixed now.

    https://bugzilla.gnome.org/show_bug.cgi?id=661767

 gio/gasyncinitable.c            |  2 ++
 gio/gasyncresult.c              |  2 ++
 gio/gsimpleasyncresult.c        | 54
 +++++++++++++++++++++++++++++++++++++++++
 gio/gsimpleasyncresult.h        | 50
 +++++++++++++++++++-------------------
 gio/tests/simple-async-result.c |  4 +++
 5 files changed, 87 insertions(+), 25 deletions(-)

commit f10b6550ff2ce55d06b92d6dc3e443fc007b2f7a
Author: Dan Winship <danw@gnome.org>
Date:   Thu Aug 2 15:46:32 2012 -0400

    gio: (belatedly) port gdbus from GSimpleAsyncResult to GTask

    https://bugzilla.gnome.org/show_bug.cgi?id=661767

 gio/gdbusaddress.c    |  77 ++++-----
 gio/gdbusconnection.c | 431
 ++++++++++++++++++--------------------------------
 gio/gdbusprivate.c    | 197 +++++++++--------------
 gio/gdbusprivate.h    |   3 +-
 gio/gdbusproxy.c      | 266 +++++++++++++------------------
 5 files changed, 366 insertions(+), 608 deletions(-)

commit e2655cd455db5ce3c768693127d983086ac1345c
Author: Dan Winship <danw@gnome.org>
Date:   Sat Apr 4 10:00:39 2015 -0400

    tests: clean up / ignore some more generated files

 gio/tests/.gitignore      | 2 ++
 glib/tests/Makefile.am    | 2 +-
 glib/tests/bookmarkfile.c | 1 +
 glib/tests/fileutils.c    | 1 +
 glib/tests/keyfile.c      | 1 +
 5 files changed, 6 insertions(+), 1 deletion(-)

commit 86866a2a6d4b7aa289f4f782dddac156869400bf
Author: Dan Winship <danw@gnome.org>
Date:   Mon Mar 9 16:33:16 2015 -0400

    gtask: remove hardcoded GTask thread-pool size

    GTask used a 10-thread thread pool for g_task_run_in_thread() /
    g_task_run_in_thread_sync(), but this ran into problems when task
    threads blocked waiting for another g_task_run_in_thread_sync()
    operation to complete. Previously there was a workaround for this, by
    bumping up the thread limit when that case was detected, but deadlocks
    could still happen if there were non-GTask threads involved. (Eg, task
    A sends a message to thread X and waits for a response, but thread X
    needs to complete task B in a thread before returning the response to
    task A.)

    So, allow GTask's thread pool to be expanded dynamically, by watching
    it from the glib worker thread, and growing it (at an
    exponentially-decreasing rate) if too much time passes without any
    tasks completing. This should solve the deadlocking problems without
    causing sudden breakage in apps that assume they can queue huge
    numbers of tasks at once without consequences.

    https://bugzilla.gnome.org/show_bug.cgi?id=687223

 README.in        |  18 ++++++++
 gio/gtask.c      | 138
 +++++++++++++++++++++++++++++++++++++++++--------------
 gio/tests/task.c |  91 ++++++++++++++++++++++++++++++++++++
 3 files changed, 212 insertions(+), 35 deletions(-)

commit b2734d762f9b33c60575e835bbf9ef190315c79a
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Apr 1 18:55:54 2015 -0400

    glib-compile-schema: Don't accept duplicate docs

    This schema compiler was completely ignoring <summary> and
    <description> tags. Unfortunately, there are modules out there
    who merge translations for these back in, with xml:lang. And
    this is giving dconf-editor a hard time. Since this is not
    how translations of schemas are meant to be done, just
    reject such schema files.

    Also add tests exercising the new error handling.

    https://bugzilla.gnome.org/show_bug.cgi?id=747209

 gio/glib-compile-schemas.c                         | 27
 ++++++++++++++++++++--
 gio/tests/Makefile.am                              |  2 ++
 gio/tests/gschema-compile.c                        |  2 ++
 .../schema-tests/description-xmllang.gschema.xml   | 13 +++++++++++
 gio/tests/schema-tests/summary-xmllang.gschema.xml | 13 +++++++++++
 5 files changed, 55 insertions(+), 2 deletions(-)

commit 6ba363b6196d06799204655344f8e26b332b7970
Author: Stas Solovey <whats_up@tut.by>
Date:   Mon Mar 30 21:45:26 2015 +0000

    Updated Russian translation

 po/ru.po | 187
 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 88 insertions(+), 99 deletions(-)

commit 1f1fa69375f6ed2c8f863aa9a3de38e3be49fb27
Author: alex94puchades <alex94puchades@gmail.com>
Date:   Wed Mar 25 15:26:07 2015 +0100

    Make glib-compile-resources a little smarter

    glib-compile-resources was guessing a filename ending
    in .c when generating sources, but did not do the same
    for headers. Fix it so it generates a .h file when
    guessing the filename for headers.

    https://bugzilla.gnome.org/show_bug.cgi?id=746753

 gio/glib-compile-resources.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 61a105b883c39b188c0eba5fd211adada2677c4d
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Mar 29 11:41:00 2015 -0400

    Clarify a confusing string

    Relative was repeated twice here, when clearly what was meant is
    relative or absolute. Pointed out in
    https://bugzilla.gnome.org/show_bug.cgi?id=726447

 gio/gapplication-tool.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fd40b5942dc94effbd424302ccc9390e64005d5f
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Thu Mar 26 14:49:26 2015 -0400

    inotify: fix move event matching accounting

    The hash table stores the list of unmatched IN_MOVE_FROM events,
    but we
    were removing entries from it when popping IN_MOVE_TO events.

    Fix that up to correct a crash in nautilus due to the assertion
    failure
    below.

    https://bugzilla.gnome.org/show_bug.cgi?id=746749

 gio/inotify/inotify-kernel.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 706c4d32adfbca25cdb0663077aa0d82477fb356
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Mar 25 23:08:38 2015 -0400

    file monitors: fix a typo

    Due to a typo, a rename reported via a pair of delete/create events
    (due
    to the watcher not giving the flag for moves to be paired) was
    accidentally reported as being created with the old name instead
    of the
    new name.

    Fix that.

 gio/glocalfilemonitor.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 4a292721bcf2943bfc05c6a1c859992f28e3efec
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Mar 25 09:29:49 2015 -0400

    GListModel: roll back use of type redefinition

    We declare the typedefs for GListModel and GListStore in giotypes.h,
    as
    a matter of convention.  This is not actually required, since the
    typedef is emitted as part of the G_DECLARE_* macros.

    The giotypes.h approach is only used to avoid cyclic dependencies
    between headers, which is not a problem in this case.

    Type redefinition is a C11 feature, and although it was around in some
    compilers before then, gcc 4.2.1 (from 2007) is apparently still
    in wide
    use, being the default compiler for OpenBSD.

    Eventually, we will probably hit a case where we actually need to
    redefine a type, but since we're not there yet, let's back off a bit.

 gio/giotypes.h | 2 --
 1 file changed, 2 deletions(-)

commit 3f36407d4a27e17f766a41fb7b9e7a0fcd75c85b
Author: Petr Kovar <pkovar@redhat.com>
Date:   Wed Mar 25 13:01:47 2015 +0100

    Update Czech translation

 po/cs.po | 184
 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 104 insertions(+), 80 deletions(-)

commit 69fd1fd1d0f110800ec713bac5dafb418ceecc1c
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sun Nov 9 11:22:42 2014 -0500

    GClosure: add valgrind hints

    GClosure has been in the "allocate area before the pointer" game since
    before we did this with GTypeInstance.  At the time that this was done
    for GClosure, we didn't have valgrind.h in GLib.

    Now that we do, we should add similar valgrind hints as the ones
    we did
    for GTypeInstance.  This substantially reduces reports of "possibly
    lost" on pretty much any program that makes use of signals.

    https://bugzilla.gnome.org/show_bug.cgi?id=739850

 gobject/gclosure.c | 43 ++++++++++++++++++++++++++++++++++++++-----
 1 file changed, 38 insertions(+), 5 deletions(-)

commit b0e330b68c161adfc5cffededd6703b6450562d5
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Mar 22 15:05:13 2015 -0400

    Fix the build

    The world would be a better place if gcc had __has_feature(), too.

 glib/gmacros.h | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 42870201f8cd304d9e38b1b99d63a407dc9ae107
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Mar 22 14:18:36 2015 -0400

    Account for clangs lack of __alloc_size__

    clang's emulation of gcc 4.3 is not perfect, despite its
    pretending that it is.

    https://bugzilla.gnome.org/show_bug.cgi?id=745821

 glib/gmacros.h | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 0e0b777cfb8b645e9cc06e899a446c7d1d1d51a3
Author: Muhammet Kara <muhammetk@gmail.com>
Date:   Sun Mar 22 00:17:31 2015 +0000

    Updated Turkish translation

 po/tr.po | 1526
 +++++++++++++++++++++++++++++---------------------------------
 1 file changed, 711 insertions(+), 815 deletions(-)

commit 1b22df78221c829f89d0955eac970d73790dae4a
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu May 15 11:44:18 2014 +0100

    gsocket: Document FD ownership with g_socket_new_from_fd()

    https://bugzilla.gnome.org/show_bug.cgi?id=730188

 gio/gsocket.c | 3 +++
 1 file changed, 3 insertions(+)

commit d4e7b4cf256380008d7d1b930b4c929b462700a4
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:   Sat Mar 21 16:24:42 2015 +0100

    Updated Danish translation

 po/da.po | 566
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 296 insertions(+), 270 deletions(-)

commit ba46f1a0830531d4d6c55ed7a23420f054aa61f3
Author: Christian Kirbach <Christian.Kirbach@gmail.com>
Date:   Sat Mar 21 15:22:09 2015 +0000

    Updated German translation

 po/de.po | 45 +++++++++++++++++++++------------------------
 1 file changed, 21 insertions(+), 24 deletions(-)

commit fdb6974d3d443553136fc406781911d5eb327b50
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Sat Mar 21 16:07:05 2015 +0100

    Updated Basque language

 po/eu.po | 293
 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 159 insertions(+), 134 deletions(-)

commit 15c5e643c64b5f428fdbb515625dd6e939dcd40b
Author: Dan Winship <danw@gnome.org>
Date:   Fri Mar 6 13:43:37 2015 -0500

    gversionmacros: add 2.46 version macros

 docs/reference/glib/glib-sections.txt |  4 ++++
 glib/gversionmacros.h                 | 44
 +++++++++++++++++++++++++++--------
 2 files changed, 38 insertions(+), 10 deletions(-)

commit 7c70377abf045ed93e18227e424b473c087f12df
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Fri Dec 19 17:05:59 2014 -0500

    gmain: Save errno when handling unix signals

    Our signal handler calls write() on a pipe or an eventfd in order to
    deliver the notification.  It's unlikely, but this could fail, setting
    errno.  We even check the case that it fails with EINTR.

    If it does set errno, then it has potentially blown away the value or
    errno that the preempted code cared about (ie: if the signal arrived
    shortly after a system call but before errno was checked).

    Wrap the handler with code to save errno.

    https://bugzilla.gnome.org/show_bug.cgi?id=741791

 glib/gmain.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 671292bbb284735aead726f55fbd8c99f9793959
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Mar 12 19:20:30 2015 +0800

    Win32: Port Directory Monitoring to New GLocalFileMonitor

    This WIP patch moves the Windows Directory Monitoring code to the new
    GLocalFileMonitor mechanism, and adds file monitoring in the process.

    Progress from previous patch:
    -File renames are now properly supported, but
    G_FILE_MONITOR_EVENT_MOVED_IN
     and G_FILE_MONITOR_EVENT_MOVED_OUT needs to be investigated, as
     ReadDirectoryChangesW() seems to send FILE_ACTION_REMOVED when a
     file is
     moved out of a directory.
    -Events are handled for both the long and short (8.3) variants of the
     filenames, and files monitored will report changes when it is changed
     via its short or long filenames.

    Things to be done:
    -Perhaps find out about attribute changes in files in a monitored
     directory; if a file is monitored, attribute changes are correctly
     handled.
    -Investigate on G_FILE_MONITOR_EVENT_MOVED_OUT,
     G_FILE_MONITOR_EVENT_MOVED_IN, G_FILE_MONITOR_EVENT_PRE_UNMOUNT,
     G_FILE_MONITOR_EVENT_UNMOUNTED.
    -Investigate on the "boredom" algoritm, and see how we can do it on
     Windows.

    https://bugzilla.gnome.org/show_bug.cgi?id=730116

 gio/Makefile.am                    |   5 +-
 gio/win32/Makefile.am              |   6 +-
 gio/win32/gwin32directorymonitor.c | 244 ---------------------
 gio/win32/gwin32directorymonitor.h |  60 ------
 gio/win32/gwin32filemonitor.c      | 105 +++++++++
 gio/win32/gwin32filemonitor.h      |  62 ++++++
 gio/win32/gwin32fsmonitorutils.c   | 422
 +++++++++++++++++++++++++++++++++++++
 gio/win32/gwin32fsmonitorutils.h   |  76 +++++++
 8 files changed, 672 insertions(+), 308 deletions(-)

commit d682df186e9cca2b8db0e921450a4db31cf0c467
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sat Jan 17 11:11:22 2015 -0500

    file monitors: rewrite FAM file monitor

    Completely rewrite the FAM file monitor.  Major changes:

     - now runs in the worker thread

     - dispatches events in a threadsafe way via GFileMonitorSource

     - uses unix fd source instead of a GIOChannel

     - is now simple enough to fit into one short file

 gio/fam/Makefile.am            |  10 +-
 gio/fam/fam-helper.c           | 274
 -----------------------------------------
 gio/fam/fam-helper.h           |  36 ------
 gio/fam/fam-module.c           |  54 --------
 gio/fam/gfamdirectorymonitor.c | 155 -----------------------
 gio/fam/gfamdirectorymonitor.h |  52 --------
 gio/fam/gfamfilemonitor.c      | 258
 +++++++++++++++++++++++++-------------
 gio/fam/gfamfilemonitor.h      |  53 --------
 8 files changed, 172 insertions(+), 720 deletions(-)

commit 21ab660cf8d2622917eceaa24fbd07d81ea949af
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Fri Jan 16 20:25:38 2015 -0500

    fen: remove Solaris file monitor support

    This code is unmaintained and we have no way to port it to the
    new file
    monitoring API.

 configure.ac                   |  17 --
 gio/Makefile.am                |   7 -
 gio/fen/Makefile.am            |  27 --
 gio/fen/fen-dump.c             |  74 -----
 gio/fen/fen-dump.h             |  27 --
 gio/fen/fen-helper.c           | 193 -------------
 gio/fen/fen-helper.h           |  31 --
 gio/fen/fen-kernel.c           | 550 -----------------------------------
 gio/fen/fen-kernel.h           |  41 ---
 gio/fen/fen-node.c             | 638
 -----------------------------------------
 gio/fen/fen-node.h             | 102 -------
 gio/fen/gfendirectorymonitor.c | 140 ---------
 gio/fen/gfendirectorymonitor.h |  56 ----
 gio/fen/gfenfilemonitor.c      | 140 ---------
 gio/fen/gfenfilemonitor.h      |  57 ----
 15 files changed, 2100 deletions(-)

commit 641b98ce6b7f58d32001002881f049be4680429b
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Fri Jan 16 18:51:34 2015 -0500

    kqueue backend: port to new GLocalFileMonitor API

    This is the bare minimal effort.  This seems not to crash immediately,
    but it definitely needs some better testing.

    The backend is not in good shape.  It could use some serious work.

 gio/kqueue/Makefile.am               |   2 -
 gio/kqueue/gkqueuedirectorymonitor.c | 205
 -----------------------------------
 gio/kqueue/gkqueuedirectorymonitor.h |  49 ---------
 gio/kqueue/gkqueuefilemonitor.c      |  54 ++++-----
 gio/kqueue/gkqueuefilemonitor.h      |   4 +-
 gio/kqueue/kqueue-helper.c           | 138 +++++------------------
 gio/kqueue/kqueue-helper.h           |   3 +-
 gio/kqueue/kqueue-utils.c            |  32 ------
 gio/kqueue/kqueue-utils.h            |   4 -
 9 files changed, 49 insertions(+), 442 deletions(-)

commit 19522424b15ff4b0e2be6dc453183e836953d20c
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Fri Jan 16 16:41:21 2015 -0500

    GPollFileMonitor: use thread default main context

    Attach the GPollFileMonitor to the thread default main context instead
    of the global default.

    This matches the behaviour of the other file monitors.

 gio/gpollfilemonitor.c | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

commit c5d5e2916bc2ce81e4882167f1439570f0ac178e
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Thu Jan 15 16:38:22 2015 -0500

    inotify: implement "boredom" algorithm

    Use the "interesting" value from g_file_monitor_source_handle_event()
    to
    decide if we're currently being flooded by a stream of boring events.

    The main case here is when one or more files is being written to
    and the
    change events are all being rate-limited in the GFileMonitor
    frontends.

    In that case, we become "bored" with the event stream and add
    a backoff
    timeout.  In the case that it is exactly one large file being written
    (which is the common case) then leaving the event in the queue
    also lets
    the kernel perform merging on it, so when we wake up, we will only see
    the one event.  Even in the case that the kernel is unable to perform
    merging, the context switch overhead will be vastly reduced.

    In testing, this cuts down on the number of wake ups during a
    large file
    copy, by a couple orders of magnitude (ie: less than 1% of the
    number of
    wake ups).

 gio/inotify/inotify-helper.c |  24 ++--
 gio/inotify/inotify-kernel.c | 260
 ++++++++++++++++++++++++++++++++++---------
 gio/inotify/inotify-kernel.h |   2 +-
 gio/inotify/inotify-path.c   |  29 +++--
 gio/inotify/inotify-path.h   |   2 +-
 5 files changed, 241 insertions(+), 76 deletions(-)

commit 9adf948a2b2215814bbc6b10e827349d05f2c883
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Thu Jan 15 15:39:43 2015 -0500

    GFileMonitorSource: return "interesting" value

    Return an "interesting" boolean from the event handler function on
    GFileMonitorSource.

    An event was "interesting" if it will result in a signal actually
    being
    dispatched to the user.  It is "uninteresting" if it only hit an
    already-dirty rate limiter.

    We will use this information to do some backing off in the backends
    when
    faced with a flood of uninteresting events.

 gio/glocalfilemonitor.c | 35 +++++++++++++++++++++++------------
 gio/glocalfilemonitor.h |  2 +-
 2 files changed, 24 insertions(+), 13 deletions(-)

commit 3d2d4b8efe44af1da7206b10e4565e59dbdb5121
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Thu Jan 15 11:08:35 2015 -0500

    inotify: send CHANGES_DONE when new files 'appear'

    We generally assume that an IN_CREATE event is the start of a
    series of
    events in which another process is doing this:

      fd = creat (...)         -> IN_CREATE
      write (fd, ..)           -> IN_MODIFY
      write (fd, ..)           -> IN_MODIFY
      close (fd)               -> IN_CLOSE_WRITE

    and as such, we use the CHANGES_DONE_HINT event after CREATED in order
    to show when this sequence of events has completed (ie: when we
    receive
    IN_CLOSE_WRITE when the user closes the file).

    Renaming a file into place is handled by IN_MOVED_FROM so we
    don't have
    to worry about that.

    There are many other cases, however, where a new file 'appears' in a
    directory in its completed form already, and the kernel reports
    IN_CREATE.  Examples include mkdir, mknod, and the creation of
    hardlinks.  In these cases, there is no corresponding IN_CLOSE_WRITE
    event and the CHANGES_DONE_HINT will have to be emitted by an
    arbitrary
    timeout.

    Try to detect some of these cases and report CHANGES_DONE_HINT
    immediately.

    This is not perfect.  There are some cases that will not be reliably
    detected.  An example is if the user makes a hardlink and then
    immediately deletes the original (before we can stat the new file).
    Another example is if the user creates a file with O_TMPFILE.  In both
    of these cases, CHANGES_DONE_HINT will still eventually be delivered
    via
    the timeout.

 gio/inotify/inotify-helper.c | 39 ++++++++++++++++++++++++++++++++++++++-
 1 file changed, 38 insertions(+), 1 deletion(-)

commit 2737ab3201163631be152801a859b3874a667f10
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Mon Jan 12 14:59:35 2015 -0500

    substantially rework file monitors

    Remove all event merging and dispatch logic from GFileMonitor.
    The only
    implementation of GFileMonitor outside of glib is in gvfs and
    it already
    does these things properly.

    Get rid of GLocalDirectoryMonitor.  We will use a single class,
    GLocalFileMonitor, for both directory and file monitoring.  This will
    prevent every single backend from having to create two objects
    separately (eg: ginotifydirectorymonitor.c and ginotifyfilemonitor.c).

    Introduce GFileMonitorSource as a thread-safe cross-context dispatch
    mechanism.  Put it in GLocalFileMonitor.  All backends will be
    expected
    to dispatch via the source and not touch the GFileMonitor object
    at all
    from the worker thread.

    Remove all construct properties from GLocalFileMonitor and remove the
    "context" construct property from GFileMonitor.  All backends must now
    get the information about what file to monitor from the ->start() call
    which is mandatory to implement.

    Remove the implementation of rate limiting in GFileMonitor and add an
    implementation in GLocalFileMonitor.  gvfs never did anything
    with this
    anyway, but if it wanted to, it would have to implement it for itself.
    This was done in order to get the rate_limit field into the
    GFileMonitorSource so that it could be safely accessed from the worker
    thread.

    Expose g_local_file_is_remote() internally for NFS detection.

    With the "is_remote" functionality exposed, we can now move all
    functions for creating local file monitors to a proper location in
    glocalfilemonitor.c

    Port the inotify backend to adjust to the changes above.  None of the
    other backends are ported yet.  Those will come in future commits.

 gio/Makefile.am                        |   2 -
 gio/gdesktopappinfo.c                  |  14 +-
 gio/gfilemonitor.c                     | 632 ++++--------------------
 gio/gioenums.h                         |  27 +-
 gio/giomodule.c                        |  34 +-
 gio/glocaldirectorymonitor.c           | 245 ----------
 gio/glocaldirectorymonitor.h           |  84 ----
 gio/glocalfile.c                       |  38 +-
 gio/glocalfile.h                       |   2 +
 gio/glocalfilemonitor.c                | 861
 ++++++++++++++++++++++++++++++---
 gio/glocalfilemonitor.h                |  58 ++-
 gio/inotify/Makefile.am                |   2 -
 gio/inotify/ginotifydirectorymonitor.c |   2 +-
 gio/inotify/ginotifyfilemonitor.c      | 133 ++---
 gio/inotify/ginotifyfilemonitor.h      |   4 +-
 gio/inotify/inotify-helper.c           | 149 ++----
 gio/inotify/inotify-kernel.c           |   8 +-
 gio/inotify/inotify-path.c             |  97 +---
 gio/inotify/inotify-sub.c              |   2 -
 gio/inotify/inotify-sub.h              |   1 -
 po/POTFILES.in                         |   1 -
 21 files changed, 1081 insertions(+), 1315 deletions(-)

commit 779c809a3d07fca6c1da4f87d4ce6cf7f2d95608
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Thu Mar 5 21:28:29 2015 -0500

    inotify: rewrite inotify-kernel

    Remove the hardwired 1 second event queue logic from inotify-kernel
    and
    replace it with something vastly less complicated.

    Events are now reported as soon as is possible instead of after a
    delay.

    We still must delay IN_MOVED_FROM events in order to look for the
    matching IN_MOVED_TO events, and since we want to report events
    in order
    this means that events behind those events can also be delayed.  We
    limit ourselves, however:

     - no more than 100 events can be delayed at a time

     - no event can be delayed by more than 10ms

    https://bugzilla.gnome.org/show_bug.cgi?id=627285

 gio/inotify/inotify-kernel.c | 659
 ++++++++++++-------------------------------
 gio/inotify/inotify-kernel.h |   1 +
 2 files changed, 183 insertions(+), 477 deletions(-)

commit fd8b45eb6785831d4a3749b31724de6eea74de1a
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Thu Mar 5 21:05:06 2015 -0500

    GLocalFile: add _new_from_dirname_and_basename

    Add a new internal constructor for GLocalFile (which itself is
    private).

    This new constructor allows creating a GLocalFile from a dirname and a
    basename, assuming that the dirname is already in canonical form
    and the
    basename is a regular basename.

    This will be used for creating GLocalFile instances from the file
    monitoring code (for signal emissions).

 gio/glocalfile.c | 32 ++++++++++++++++++++++++++++++++
 gio/glocalfile.h |  3 +++
 2 files changed, 35 insertions(+)

commit 6a86390555c19f34c5ac4d2090f0c799c3b96479
Author: Jiri Grönroos <jiri.gronroos+l10n@iki.fi>
Date:   Fri Mar 20 17:43:30 2015 +0200

    Finnish translation update

 po/fi.po | 3455
 +++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 2188 insertions(+), 1267 deletions(-)

commit ea512bf1e6219c99617da80e1367ad37ba1aefb8
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Thu Mar 19 21:16:10 2015 +0100

    Updated Norwegian bokmål translation.

 po/nb.po | 181
 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 103 insertions(+), 78 deletions(-)

commit 93c8cbcfcd9ffe13fe9dd761b660ac9e1ff04da8
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Wed Mar 18 14:28:07 2015 -0700

    Update .gitignore

 gio/tests/.gitignore  | 1 +
 glib/tests/.gitignore | 1 +
 2 files changed, 2 insertions(+)

commit 0fee64032eec45a5f66218a2f608ad43dd085e2a
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Tue Mar 17 12:27:19 2015 +0200

    Updated Hebrew translation

 po/he.po | 281
 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 153 insertions(+), 128 deletions(-)

commit f1f39e7b2afd3828dafb2ead8ae3ef8a04d7ae8f
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Mon Mar 16 15:22:03 2015 -0400

    bump version (to GLib 2.45.0)

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 76f77fe8c971acf087abf8b969800289717ee89a
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Mon Mar 16 14:25:53 2015 -0400

    GLib 2.43.92

 NEWS         | 57
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 58 insertions(+), 1 deletion(-)

commit fdc7cd6dd371b1eb438c02ac910bb5a5283f91d3
Author: Stas Solovey <whats_up@tut.by>
Date:   Mon Mar 16 10:01:52 2015 +0000

    Updated Russian translation

 po/ru.po | 189
 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 109 insertions(+), 80 deletions(-)

commit e6de48e68053b92b88cb4f08d8b6b1072fb66b5a
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sun Mar 15 14:31:13 2015 +0100

    Updated Slovenian translation

 po/sl.po | 181
 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 103 insertions(+), 78 deletions(-)

commit e2d05dfe989f365495ec7b99089c7dcc507115fc
Author: Claude Paroz <claude@2xlibre.net>
Date:   Sat Mar 14 09:34:57 2015 +0100

    Updated French translation

 po/fr.po | 170
 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 98 insertions(+), 72 deletions(-)

commit 7ed2928054f899f75e8debc095a498e4ca655f09
Author: A S Alam <aalam@users.sf.net>
Date:   Fri Mar 13 22:50:42 2015 -0500

    Translation pa updated for Gnome

 po/pa.po | 503
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 266 insertions(+), 237 deletions(-)

commit 0de16c98f7606da0d6cb3700bb6eeac0e16ac4a4
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Fri Mar 13 17:34:57 2015 -0400

    ContextSpecificGroup: some fixups

    For all of the effort spent ensuring that this algorithm would be
    correctly threadsafe, I messed up the order of operations within a
    single thread when porting to the new approach.

    Fix that up.

    Also: fix some overzealous asserting in the testcases.  Since shutdown
    is now lazy, we can never surely say !is_running at any particular
    point
    in time.

 gio/gcontextspecificgroup.c | 7 +++----
 gio/tests/contexts.c        | 5 ++---
 2 files changed, 5 insertions(+), 7 deletions(-)

commit 7a3c8e900aed6d04647efb2a32d2565558e04d19
Author: Samir Ribic <samir.ribic@etf.unsa.ba>
Date:   Fri Mar 13 20:57:49 2015 +0000

    Updated Bosnian translation

 po/bs.po | 6432
 +++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 3600 insertions(+), 2832 deletions(-)

commit 3a2c35850854ceaac372067b19415aa4368c646b
Author: Sebastian Rasmussen <sebras@gmail.com>
Date:   Fri Mar 13 17:16:00 2015 +0000

    Updated Swedish translation

 po/sv.po | 181
 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 103 insertions(+), 78 deletions(-)

commit c5c8bac69337f6a9e9d0311f5b9793cf6b15e41c
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Mar 13 09:10:01 2015 +0000

    goption: Mention type of G_OPTION_ARG_CALLBACK in documentation

 glib/goption.h | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 627a145e16abe92dc5fe94bff6a379a9a1379837
Author: Tim-Philipp Müller <tim@centricular.com>
Date:   Fri Dec 12 01:38:24 2014 +0000

    threads: use FUTEX_WAIT_PRIVATE and FUTEX_WAKE_PRIVATE if possible

    This avoids some expensive code paths in the kernel, see
    http://lwn.net/Articles/229668/

    https://bugzilla.gnome.org/show_bug.cgi?id=741442

 glib/gbitlock.c      |  9 +++++++--
 glib/gthread-posix.c | 17 +++++++++++------
 2 files changed, 18 insertions(+), 8 deletions(-)

commit 6fffce2588b19e5c80915cc9f713fc51d6dd3879
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Thu Mar 12 17:24:05 2015 -0400

    docs: clean up a few glib issues

    Fix a few typical problems, and also stop wrapping the inline
    definition
    of g_steal_pointer in parens, since it is not necessary and it
    confuses
    gtk-doc.

 docs/reference/glib/glib-sections.txt | 3 +++
 glib/gmem.h                           | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit bf19b8e6c32aee318da237f8b9beb9278a10c3aa
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Thu Mar 12 17:01:00 2015 -0400

    gio docs: remote errant colon from docstring

    This does not belong there.

 gio/gtlsclientconnection.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d9de830b65224f6e8f1e1b9284bd049b86b56619
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Thu Mar 12 16:53:18 2015 -0400

    Convert remaining uses of 'Rename to:'

    This was replaced by (rename-to) in 2013 (see bug 676133).

    They're also causing gtk-doc trouble, so let's get rid of them.

 gio/gdbusinterface.c    |  4 +---
 gio/gdbusnameowning.c   |  8 ++------
 gio/gdbusnamewatching.c |  8 ++------
 gio/gsubprocess.c       |  3 +--
 glib/giochannel.c       |  3 +--
 glib/glib-unix.c        |  3 +--
 glib/gmain.c            | 12 ++++--------
 gobject/gbinding.c      |  4 +---
 gobject/gobject.c       |  3 +--
 gobject/gvaluearray.c   |  3 +--
 10 files changed, 15 insertions(+), 36 deletions(-)

commit eff505ed3c36dd15706094cc4bef36b41924d01d
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Thu Mar 12 16:43:02 2015 -0400

    docs: more cleanups for GIO

 docs/reference/gio/Makefile.am      | 9 ++++++++-
 docs/reference/gio/gio-sections.txt | 3 +--
 docs/reference/gio/gio.types        | 1 +
 gio/gdbusprivate.c                  | 2 +-
 gio/gsubprocess.c                   | 2 +-
 5 files changed, 12 insertions(+), 5 deletions(-)

commit 497b294510599f987433833ac15d25e8d7f8da12
Author: Xavier Claessens <xavier.claessens@collabora.com>
Date:   Wed Feb 11 11:27:28 2015 -0500

    Doc: Fix missing API from GOptionGroup boxing

 docs/reference/glib/glib-sections.txt       | 2 ++
 docs/reference/gobject/gobject-sections.txt | 2 ++
 2 files changed, 4 insertions(+)

commit 15a4af545e409004e758903b1f522257e5454e13
Author: Xavier Claessens <xavier.claessens@collabora.com>
Date:   Thu Feb 5 13:10:14 2015 -0500

    Doc: Mark a few things as private

 docs/reference/gio/gio-sections.txt | 5 +++++
 gio/gresource.c                     | 2 +-
 gio/gresource.h                     | 1 +
 gio/gsettingsbackend.h              | 1 +
 4 files changed, 8 insertions(+), 1 deletion(-)

commit 8b654e24a5743a32b1d11794fef10a7cbf8ff5d3
Author: Xavier Claessens <xavier.claessens@collabora.com>
Date:   Wed Jan 28 12:25:10 2015 -0500

    Win32: Move g_win32_check_windows_version() to the correct place
    in header

    It was added after G_END_DECLS, outside the #ifdef G_PLATFORM_WIN32,
    and inside a #ifndef __GTK_DOC_IGNORE__ block. So it was missing from
    the doc.

    https://bugzilla.gnome.org/show_bug.cgi?id=743661

 glib/gwin32.h | 11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)

commit 3626e1426d4fa24dc565618001df3ad9a26b3b00
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Thu Mar 12 21:54:49 2015 +0200

    Updated Latvian translation

 po/lv.po | 525
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 277 insertions(+), 248 deletions(-)

commit 5c825d32725bb48c276d3b0be2971feb3cacd2e2
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Thu Mar 12 02:51:35 2015 +0900

    Updated Korean translation

 po/ko.po | 29 +++++++++++++++++++++++++++--
 1 file changed, 27 insertions(+), 2 deletions(-)

commit 8668631baaf09c58f782c884035ac2710b9b14de
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   Wed Mar 11 13:12:14 2015 +0000

    Updated Greek translation

 po/el.po | 173
 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 99 insertions(+), 74 deletions(-)

commit b4d6a5fb1826da3441ed9040a4c3bf6e2e4cc2c8
Author: Jordi Mas <jmas@softcatala.org>
Date:   Tue Mar 10 17:44:19 2015 -0400

    Update Catalan translation

 po/ca.po | 526
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 276 insertions(+), 250 deletions(-)

commit a866155e8e26fba75f87c643cbcadbc47e13bc82
Author: Benjamin Steinwender <b@stbe.at>
Date:   Tue Mar 10 20:56:05 2015 +0000

    Updated German translation

 po/de.po | 528
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 279 insertions(+), 249 deletions(-)

commit f6ccb19e1a9b8acb700f271b3dc3e6c809babfe0
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Mar 10 19:50:30 2015 +0100

    Updated POTFILES.in

 po/POTFILES.in | 1 +
 1 file changed, 1 insertion(+)

commit 4f1f68e6bebc0694208bc7bf43816bde58229fd6
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Aug 21 19:04:04 2014 +0100

    gtask: Add a GTask:completed property

    This can be used to query whether the task has completed, in the sense
    that it has had a result set on it, and has already – or will
    soon –
    invoke its callback function.

    Notifications for this property are emitted immediately after the
    task’s
    main callback, in the same main context as that callback. This allows
    for multiple bits of code to listen for completion of the GTask, which
    opens the door for blocking on cancellation of the GTask and improved
    handling of ‘pending’ behaviour.

    https://bugzilla.gnome.org/show_bug.cgi?id=743636

 docs/reference/gio/gio-sections.txt |   1 +
 gio/gtask.c                         |  88 +++++++++++++++++-
 gio/gtask.h                         |   2 +
 gio/tests/task.c                    | 175
 ++++++++++++++++++++++++++++++++----
 4 files changed, 245 insertions(+), 21 deletions(-)

commit e83f9e52542af1b3986999638e4aec33587c19b8
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Tue Mar 10 10:35:24 2015 +0200

    Updated Bulgarian translation

 po/bg.po | 449
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 235 insertions(+), 214 deletions(-)

commit a065c7c5d47a6da35c17f77fd62b25ac9e4ec01e
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Mon Mar 9 11:48:33 2015 +0000

    Updated Slovak translation

 po/sk.po | 135
 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 80 insertions(+), 55 deletions(-)

commit ec9f16846ff59629042c6dcd8b22d9cac9d3b223
Author: Trần Ngọc Quân <vnwildman@gmail.com>
Date:   Mon Mar 9 13:26:18 2015 +0700

    Updated Vietnamese translation

    Signed-off-by: Trần Ngọc Quân <vnwildman@gmail.com>

 po/vi.po | 597
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 313 insertions(+), 284 deletions(-)

commit dfb9f09c280101aa0fc220f4aed917ccdf1533a1
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sun Mar 8 21:25:11 2015 +0100

    Updated Spanish translation

 po/es.po | 197
 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 112 insertions(+), 85 deletions(-)

commit 81473a0fff03d0cf0096d38be27e203f1ac1393b
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sun Mar 8 20:26:36 2015 +0200

    Updated Lithuanian translation

 po/lt.po | 147
 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 87 insertions(+), 60 deletions(-)

commit 65efd817b26f5182f219fa774bdb2e475359569b
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Sun Mar 8 18:06:01 2015 +0000

    Updated Kazakh translation

 po/kk.po | 5054
 +++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 2875 insertions(+), 2179 deletions(-)

commit 1e317331e4b078c5525d37a9c49f470a5048d246
Author: Balázs Úr <urbalazs@gmail.com>
Date:   Sun Mar 8 17:38:41 2015 +0000

    Updated Hungarian translation

 po/hu.po | 277
 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 151 insertions(+), 126 deletions(-)

commit 3deaf41e87d09d7e7598eba87c0093b521f93e32
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Sun Mar 8 15:32:40 2015 +0000

    Updated Italian translation

 po/it.po | 1035
 ++++++++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 701 insertions(+), 334 deletions(-)

commit 4a7e68fd73f73cfb97be4ec06b225bf16ef92659
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Mar 8 15:42:16 2015 +0100

    Updated Polish translation

 po/pl.po | 145
 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 85 insertions(+), 60 deletions(-)

commit d4122b954f83e349921b3dea149978d2b821b4f5
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Mar 8 15:39:02 2015 +0100

    Updated POTFILES.in

 po/POTFILES.in | 1 +
 1 file changed, 1 insertion(+)

commit fdcfe584010f0f33945bd5fd7231d3bee167fa26
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Sun Mar 8 03:31:59 2015 +0900

    Updated Korean translation

 po/ko.po | 518
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 263 insertions(+), 255 deletions(-)

commit 6ce79e586f0bb5df49e8f1a1935bfef666986f8a
Author: Dan Winship <danw@gnome.org>
Date:   Tue Dec 9 13:35:06 2014 +0100

    GSocketClient: fix handling of application proxies

    g_socket_client_add_application_proxy() claimed "When the indicated
    proxy protocol is returned by the #GProxyResolver, #GSocketClient will
    consider this protocol as supported but will not try to find a #GProxy
    instance to handle handshaking." But in fact, it did the checks in the
    wrong order, so GProxy proxies ended up overriding
    application-specified ones. Fix that.

    Also, simplify the code a bit by making use of g_hash_table_add() and
    g_hash_table_contains().

    https://bugzilla.gnome.org/show_bug.cgi?id=733876

 gio/gsocketclient.c | 34 +++++++++++++++-------------------
 1 file changed, 15 insertions(+), 19 deletions(-)

commit ed4a742946374f7ee3c46b93eb943c95f04ec4c4
Author: Paolo Borelli <pborelli@gnome.org>
Date:   Sat Feb 28 11:05:02 2015 +0100

    HTTP proxy support

    Based on code from "WockyHttpProxy" written by Nicolas Dufresne
    and Marc-André Lureau. Initial glib patch by Brian J. Murrell.

    https://bugzilla.gnome.org/show_bug.cgi?id=733876

 docs/reference/gio/Makefile.am |   1 +
 gio/Makefile.am                |   2 +
 gio/ghttpproxy.c               | 392
 +++++++++++++++++++++++++++++++++++++++++
 gio/ghttpproxy.h               |  54 ++++++
 gio/giomodule.c                |   3 +
 5 files changed, 452 insertions(+)

commit 6fe28eef3ce5dd7ce12c6ace080bac5d9479f50c
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Mar 5 16:13:03 2015 +0800

    Windows: Use Standard Networking Functions If Possible

    Currently, the Windows code use Winsock2-specific APIs to try
    to emulate
    calls such as inet_pton(), inet_ntop() and if_nametoindex(), which
    may not
    do the job all the time.  On Vista and later, Winsock2 does provide a
    proper implementation for these functions, so we can use them if
    they exist
    on the system, by querying for them during g_networking_init().
    Otherwise,
    we continue to use the original code path for these, in the case of
    XP and
    Server 2003.

    This enables many of the network-address tests to pass on Windows as a
    result, when the native Winsock2 implementations can be used.

    https://bugzilla.gnome.org/show_bug.cgi?id=730352

 gio/Makefile.am        |   1 +
 gio/ginetaddress.c     | 169
 ++++++++++++++++++++++++++++++++-----------------
 gio/gnetworking.c      |  39 +++++++++++-
 gio/gsocket.c          |   8 +++
 gio/gwin32networking.h |  42 ++++++++++++
 5 files changed, 199 insertions(+), 60 deletions(-)

commit ec1edef3ab171f1fa24d62858a2643de6e582f58
Author: ria.freelander@gmail.com <ria.freelander@gmail.com>
Date:   Thu Mar 5 13:07:00 2015 +0000

    gfdonotificationbackend: support themed icons

    The spec allows setting the "image-path" hint to an icon name as well.

    https://bugzilla.gnome.org/show_bug.cgi?id=745634

 gio/gfdonotificationbackend.c | 21 ++++++++++++++++-----
 1 file changed, 16 insertions(+), 5 deletions(-)

commit b9c8cecc9d83d40ea680bbb297047fa837481dc2
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Jan 19 11:03:57 2015 +0800

    gresolver.c: Windows: Fix IPv6 Address Handling

    Check the IPv6 addresses on Windows, as we need to reject those
    that have
    brackets/ports around them as valid addresses in this form would
    have been
    accepted during the call to g_inet_address_new_from_string ().

    https://bugzilla.gnome.org/show_bug.cgi?id=730352

 gio/gresolver.c | 18 ++++++++++++++----
 1 file changed, 14 insertions(+), 4 deletions(-)

commit fecec087024f81fc3afb36ac30e1af3d35ecb65f
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Wed Mar 4 11:46:46 2015 +0100

    gio: add some missing autocleanup

    https://bugzilla.gnome.org/show_bug.cgi?id=745589

    Signed-off-by: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>

 gio/gio-autocleanups.h | 2 ++
 1 file changed, 2 insertions(+)

commit 74c9eaac11c1d4d2c0cdadf572760150c893e625
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Mar 4 20:11:43 2015 +0800

    MSVC Builds: Few More Enahncements

    Update the .pdb file generation for the MSVC 2010+ DLLs (and the
    x64 gspawn
    helper programs), so that they match the names of the DLLs/EXEs
    that are
    built.  Also update the .lib generation so that all will use
    -$(ApiVersion)
    from the property sheets instead of the -2.0 which was previously hard
    coded (as we will eventually move into GLib 3.x in the future,
    for example)

 build/win32/vs10/gio.vcxprojin                     | 12 +++++++----
 build/win32/vs10/glib.vcxprojin                    | 24
 ++++++++++++++--------
 build/win32/vs10/gmodule.vcxproj                   | 12 +++++++----
 build/win32/vs10/gobject.vcxprojin                 | 12 +++++++----
 .../win32/vs10/gspawn-win32-helper-console.vcxproj |  2 ++
 build/win32/vs10/gspawn-win32-helper.vcxproj       |  2 ++
 build/win32/vs10/gthread.vcxproj                   | 12 +++++++----
 build/win32/vs9/gio.vcprojin                       |  8 ++++----
 build/win32/vs9/glib.vcprojin                      | 16 +++++++--------
 build/win32/vs9/gmodule.vcproj                     |  8 ++++----
 build/win32/vs9/gobject.vcprojin                   |  8 ++++----
 build/win32/vs9/gthread.vcproj                     |  8 ++++----
 12 files changed, 76 insertions(+), 48 deletions(-)

commit 6d030ea0aef634cfdd6b82c9f213c1061b68709a
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Mar 4 08:52:22 2015 +0000

    gobject: Mark a helper variable as const

    It’s only used for argv values, which are not modified here.

    https://bugzilla.gnome.org/show_bug.cgi?id=614684

 gobject/gobject-query.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bdfc8231c6252dfe11cc0d614e71dd98e7570b53
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Dec 19 18:21:30 2014 +0000

    gerror: Minor clarifications to the GError documentation

     • Clarify that GError** parameters are for the return of _newly
       allocated_ GError*s.
     • Clarify that errors may need to be checked for explicitly if the
       return value of a function doesn’t reliably indicate them.

    https://bugzilla.gnome.org/show_bug.cgi?id=741779

 glib/gerror.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 7f159f13dc7829613c4b2063cd78b027bf702637
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Tue Mar 3 20:05:47 2015 +0100

    Updated Serbian translation

 po/sr.po       | 468
 ++++++++++++++++++++++++++++-----------------------------
 po/sr@latin.po | 468
 ++++++++++++++++++++++++++++-----------------------------
 2 files changed, 468 insertions(+), 468 deletions(-)

commit 2a581fab7d4eb3c72b0a76c1662f4932ba7be1db
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Dec 19 17:08:59 2014 +0000

    gvariant: Use ‘UTF-8’ in docs rather than ‘utf8’

    Nitpicky correction.

    https://bugzilla.gnome.org/show_bug.cgi?id=741779

 glib/gvariant.c | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit 8df6e5fa3ffeb74739d5d914669c7e245a84e46d
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Dec 19 15:33:59 2014 +0000

    gmain: Explicitly document the threading behaviour of g_timeout_add()

    i.e. That calling g_timeout_add() from a thread other than the
    main one
    probably doesn’t do what you want. Same for g_idle_add() and the
    *_full() variants.

    https://bugzilla.gnome.org/show_bug.cgi?id=741779

 glib/gmain.c | 24 ++++++++++++++++--------
 1 file changed, 16 insertions(+), 8 deletions(-)

commit 4aedc85fb35f58b602259d34b94dcebeefa198bc
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Dec 19 19:02:15 2014 +0000

    gobject: Mention g_clear_object() in g_object_unref() documentation

    https://bugzilla.gnome.org/show_bug.cgi?id=741779

 gobject/gobject.c | 5 +++++
 1 file changed, 5 insertions(+)

commit 18c9a4e17a74b1707b8a17779e13956e151edc27
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Dec 19 19:01:06 2014 +0000

    gmem: Clarify that a NULL check is not needed before calling g_free()

    It was documented before, but wasn’t especially clear. Doing
        if (X)
            g_free (X);
    is apparently quite a pervasive real-world anti-pattern, so perhaps it
    could be documented more explicitly.

    https://bugzilla.gnome.org/show_bug.cgi?id=741779

 glib/gmem.c | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 984576c01e54f335a1a2cde9e6f235946bd35f96
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Dec 19 18:53:54 2014 +0000

    glist: Clarify that g_list_nth() is expensive

    Just in case people have forgotten their basic algorithms course. Seen
    in some pretty terrible code in the wild; hopefully mentioning
    the cost
    in the documentation will make people think twice about using
    a counter
    variable when iterating over a linked list.

    https://bugzilla.gnome.org/show_bug.cgi?id=741779

 glib/glist.c | 8 ++++++++
 1 file changed, 8 insertions(+)

commit c6312daba0418e384b9ee64917861225a85edacf
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Dec 19 18:53:22 2014 +0000

    glist: Clarify how g_list_free_1() handles links

    It doesn’t, which is fine, but could be unexpected if undocumented.

    https://bugzilla.gnome.org/show_bug.cgi?id=741779

 glib/glist.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 59748c3be03fb4df0005fcc54f6b6267d6b2ada8
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Dec 19 18:52:32 2014 +0000

    ghash: Document that g_hash_get_[keys|values]() are expensive

    And definitely not the right way to iterate over a hash table (as seen
    in code in the wild).

    https://bugzilla.gnome.org/show_bug.cgi?id=741779

 glib/ghash.c | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit c639b628ec425ac28b79bd48c703fc7115b1fc97
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Thu Dec 18 11:23:05 2014 +0000

    gparamspecs: Recommend use of most specific GParamSpec types

    It’s quite common to see a g_param_spec_pointer() used for
    GObject or
    boxed types which, while not incorrect, does make memory management
    unsafe, since no copying or reference counting can be performed
    automatically.

    Similarly, people often use g_param_spec_boolean() when an enum
    would be
    more appropriate, cf.
        http://blog.ometer.com/2011/01/20/boolean-parameters-are-wrong/
    Using enums also means that the set of allowable values can be
    extended
    in future if needed.

    In the hope that people who write code like that read the
    documentation,
    mention the more specific types in the documentation.

    https://bugzilla.gnome.org/show_bug.cgi?id=741779

 gobject/gparamspecs.c | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 430814992ddefae2588ae12e4d6aa4d66ed23461
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Feb 18 17:01:18 2015 +0000

    docs: Expand introduction to mention using async calls over sync ones

    As discussed on the mailing list (see the whole thread):
        https://mail.gnome.org/archives/desktop-devel-list/2015-February/msg00126.html

    Expand the GIO documentation introduction to talk a little about
    when to
    use async and sync functions, and how the former should almost
    always be
    preferred over the latter.

    Link to this from the GFile documentation, which is an entry point
    for a
    lot of async calls.

    https://bugzilla.gnome.org/show_bug.cgi?id=744722

 docs/reference/gio/overview.xml | 52
 +++++++++++++++++++++++++++++++++++++++++
 gio/gfile.c                     | 12 +++++++---
 2 files changed, 61 insertions(+), 3 deletions(-)

commit f829bde76acf0d139dcbe4b81b3721d9e929fbee
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Jan 14 10:44:52 2015 +0000

    gstring: Mark the return value from g_string_free() as nullable

    It’s NULL iff free_segment is TRUE, so the annotation doesn’t
    quite
    capture all the function definition, but is a safe over-estimate
    of the
    return value’s nullability.

    https://bugzilla.gnome.org/show_bug.cgi?id=719966

 glib/gstring.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b9c94b344eacba14ad7b9a29e8a4b161c5d3e10e
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Jun 20 21:20:36 2014 +0100

    gfileutils: Mark the return value from g_path_skip_root() as nullable

    It returns NULL for non-absolute paths.

    https://bugzilla.gnome.org/show_bug.cgi?id=719966

 glib/gfileutils.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 32956587f35a8c4f1048549f9fce521c1e21de15
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Feb 18 17:58:32 2015 +0000

    docs: Remove redundant header examples from GObject tutorial

    These are in the header boilerplate section, but are actually source
    boilerplate which is covered in later sections.

    https://bugzilla.gnome.org/show_bug.cgi?id=744060

 docs/reference/gobject/tut_howto.xml | 73
 ++----------------------------------
 1 file changed, 4 insertions(+), 69 deletions(-)

commit 88e011a7cfe531f9f41cc7f0ca91c5ddf6b86325
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Feb 20 14:29:43 2015 +0000

    docs: Change tutorial encodings from ISO-8859-1 to UTF-8

    ISO-8859-1 — that’s a blast from the past.

    https://bugzilla.gnome.org/show_bug.cgi?id=744060

 docs/reference/gobject/tut_gobject.xml | 2 +-
 docs/reference/gobject/tut_gsignal.xml | 2 +-
 docs/reference/gobject/tut_gtype.xml   | 2 +-
 docs/reference/gobject/tut_howto.xml   | 2 +-
 docs/reference/gobject/tut_intro.xml   | 2 +-
 docs/reference/gobject/tut_tools.xml   | 2 +-
 6 files changed, 6 insertions(+), 6 deletions(-)

commit 6be1e678dc2ad1dbe707ab6e58ac56c9053784d3
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Mar 3 19:21:40 2015 +0800

    Visual Studio Builds: "Install" .pdb files

    They are helpful in debugging in a stack.

 build/win32/vs10/glib-install.props  | 25 +++++++++++++++++++++++--
 build/win32/vs9/glib-install.vsprops | 25 +++++++++++++++++++++++--
 2 files changed, 46 insertions(+), 4 deletions(-)

commit 6e117b3fcc6cc076fb0d784c40ca91a756c6b7e7
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Mar 3 18:24:08 2015 +0800

    MSVC Builds: GIO: Standardize zlib Linking

    Link to zlib1.lib for all builds, as:
    -The notion of zlib1d.lib is rather not standardized across the
    board for
     most cases.
    -Easier for the grand all-in-one solution file.

 build/win32/vs10/gio.vcxprojin | 4 ++--
 build/win32/vs9/gio.vcprojin   | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit d76ac1560e606a23e3437370559ab9079f8f81a2
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Mar 3 18:09:42 2015 +0800

    Visual Studio 2008 Builds: Speed Up Release Builds

    Use the /MP option so that each project can build multiple sources in
    parallel, which can cut down release build times by quite a bit.
    This will
    cause a brief warning for debug builds due to their use of /Gm,
    and builds
    would otherwise proceed as they did before.

    Unfortunately Visual Studio 2008 is too old to support the /d2Zi+
    flag, so
    we can't make a better debug situation for it at the moment.

 build/win32/vs9/glib-build-defines.vsprops | 1 +
